//go:build go1.9
// +build go1.9

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

// This code was auto-generated by:
// github.com/Azure/azure-sdk-for-go/eng/tools/profileBuilder

package web

import (
	"context"

	original "github.com/Azure/azure-sdk-for-go/services/web/mgmt/2016-09-01/web"
)

const (
	DefaultBaseURI = original.DefaultBaseURI
)

type AccessControlEntryAction = original.AccessControlEntryAction

const (
	Deny   AccessControlEntryAction = original.Deny
	Permit AccessControlEntryAction = original.Permit
)

type AppServicePlanRestrictions = original.AppServicePlanRestrictions

const (
	Basic    AppServicePlanRestrictions = original.Basic
	Free     AppServicePlanRestrictions = original.Free
	None     AppServicePlanRestrictions = original.None
	Premium  AppServicePlanRestrictions = original.Premium
	Shared   AppServicePlanRestrictions = original.Shared
	Standard AppServicePlanRestrictions = original.Standard
)

type AutoHealActionType = original.AutoHealActionType

const (
	CustomAction AutoHealActionType = original.CustomAction
	LogEvent     AutoHealActionType = original.LogEvent
	Recycle      AutoHealActionType = original.Recycle
)

type AzureResourceType = original.AzureResourceType

const (
	TrafficManager AzureResourceType = original.TrafficManager
	Website        AzureResourceType = original.Website
)

type BackupItemStatus = original.BackupItemStatus

const (
	Created            BackupItemStatus = original.Created
	Deleted            BackupItemStatus = original.Deleted
	DeleteFailed       BackupItemStatus = original.DeleteFailed
	DeleteInProgress   BackupItemStatus = original.DeleteInProgress
	Failed             BackupItemStatus = original.Failed
	InProgress         BackupItemStatus = original.InProgress
	PartiallySucceeded BackupItemStatus = original.PartiallySucceeded
	Skipped            BackupItemStatus = original.Skipped
	Succeeded          BackupItemStatus = original.Succeeded
	TimedOut           BackupItemStatus = original.TimedOut
)

type BackupRestoreOperationType = original.BackupRestoreOperationType

const (
	BackupRestoreOperationTypeClone      BackupRestoreOperationType = original.BackupRestoreOperationTypeClone
	BackupRestoreOperationTypeDefault    BackupRestoreOperationType = original.BackupRestoreOperationTypeDefault
	BackupRestoreOperationTypeRelocation BackupRestoreOperationType = original.BackupRestoreOperationTypeRelocation
	BackupRestoreOperationTypeSnapshot   BackupRestoreOperationType = original.BackupRestoreOperationTypeSnapshot
)

type BuiltInAuthenticationProvider = original.BuiltInAuthenticationProvider

const (
	AzureActiveDirectory BuiltInAuthenticationProvider = original.AzureActiveDirectory
	Facebook             BuiltInAuthenticationProvider = original.Facebook
	Google               BuiltInAuthenticationProvider = original.Google
	MicrosoftAccount     BuiltInAuthenticationProvider = original.MicrosoftAccount
	Twitter              BuiltInAuthenticationProvider = original.Twitter
)

type CertificateOrderActionType = original.CertificateOrderActionType

const (
	CertificateExpirationWarning CertificateOrderActionType = original.CertificateExpirationWarning
	CertificateExpired           CertificateOrderActionType = original.CertificateExpired
	CertificateIssued            CertificateOrderActionType = original.CertificateIssued
	CertificateOrderCanceled     CertificateOrderActionType = original.CertificateOrderCanceled
	CertificateOrderCreated      CertificateOrderActionType = original.CertificateOrderCreated
	CertificateRevoked           CertificateOrderActionType = original.CertificateRevoked
	DomainValidationComplete     CertificateOrderActionType = original.DomainValidationComplete
	FraudCleared                 CertificateOrderActionType = original.FraudCleared
	FraudDetected                CertificateOrderActionType = original.FraudDetected
	FraudDocumentationRequired   CertificateOrderActionType = original.FraudDocumentationRequired
	OrgNameChange                CertificateOrderActionType = original.OrgNameChange
	OrgValidationComplete        CertificateOrderActionType = original.OrgValidationComplete
	SanDrop                      CertificateOrderActionType = original.SanDrop
	Unknown                      CertificateOrderActionType = original.Unknown
)

type CertificateOrderStatus = original.CertificateOrderStatus

const (
	Canceled          CertificateOrderStatus = original.Canceled
	Denied            CertificateOrderStatus = original.Denied
	Expired           CertificateOrderStatus = original.Expired
	Issued            CertificateOrderStatus = original.Issued
	NotSubmitted      CertificateOrderStatus = original.NotSubmitted
	Pendingissuance   CertificateOrderStatus = original.Pendingissuance
	PendingRekey      CertificateOrderStatus = original.PendingRekey
	Pendingrevocation CertificateOrderStatus = original.Pendingrevocation
	Revoked           CertificateOrderStatus = original.Revoked
	Unused            CertificateOrderStatus = original.Unused
)

type CertificateProductType = original.CertificateProductType

const (
	StandardDomainValidatedSsl         CertificateProductType = original.StandardDomainValidatedSsl
	StandardDomainValidatedWildCardSsl CertificateProductType = original.StandardDomainValidatedWildCardSsl
)

type Channels = original.Channels

const (
	All          Channels = original.All
	API          Channels = original.API
	Email        Channels = original.Email
	Notification Channels = original.Notification
	Webhook      Channels = original.Webhook
)

type CheckNameResourceTypes = original.CheckNameResourceTypes

const (
	CheckNameResourceTypesHostingEnvironment              CheckNameResourceTypes = original.CheckNameResourceTypesHostingEnvironment
	CheckNameResourceTypesMicrosoftWebhostingEnvironments CheckNameResourceTypes = original.CheckNameResourceTypesMicrosoftWebhostingEnvironments
	CheckNameResourceTypesMicrosoftWebpublishingUsers     CheckNameResourceTypes = original.CheckNameResourceTypesMicrosoftWebpublishingUsers
	CheckNameResourceTypesMicrosoftWebsites               CheckNameResourceTypes = original.CheckNameResourceTypesMicrosoftWebsites
	CheckNameResourceTypesMicrosoftWebsitesslots          CheckNameResourceTypes = original.CheckNameResourceTypesMicrosoftWebsitesslots
	CheckNameResourceTypesPublishingUser                  CheckNameResourceTypes = original.CheckNameResourceTypesPublishingUser
	CheckNameResourceTypesSite                            CheckNameResourceTypes = original.CheckNameResourceTypesSite
	CheckNameResourceTypesSlot                            CheckNameResourceTypes = original.CheckNameResourceTypesSlot
)

type CloneAbilityResult = original.CloneAbilityResult

const (
	Cloneable          CloneAbilityResult = original.Cloneable
	NotCloneable       CloneAbilityResult = original.NotCloneable
	PartiallyCloneable CloneAbilityResult = original.PartiallyCloneable
)

type ComputeModeOptions = original.ComputeModeOptions

const (
	ComputeModeOptionsDedicated ComputeModeOptions = original.ComputeModeOptionsDedicated
	ComputeModeOptionsDynamic   ComputeModeOptions = original.ComputeModeOptionsDynamic
	ComputeModeOptionsShared    ComputeModeOptions = original.ComputeModeOptionsShared
)

type ConnectionStringType = original.ConnectionStringType

const (
	APIHub          ConnectionStringType = original.APIHub
	Custom          ConnectionStringType = original.Custom
	DocDb           ConnectionStringType = original.DocDb
	EventHub        ConnectionStringType = original.EventHub
	MySQL           ConnectionStringType = original.MySQL
	NotificationHub ConnectionStringType = original.NotificationHub
	PostgreSQL      ConnectionStringType = original.PostgreSQL
	RedisCache      ConnectionStringType = original.RedisCache
	ServiceBus      ConnectionStringType = original.ServiceBus
	SQLAzure        ConnectionStringType = original.SQLAzure
	SQLServer       ConnectionStringType = original.SQLServer
)

type ContinuousWebJobStatus = original.ContinuousWebJobStatus

const (
	Initializing   ContinuousWebJobStatus = original.Initializing
	PendingRestart ContinuousWebJobStatus = original.PendingRestart
	Running        ContinuousWebJobStatus = original.Running
	Starting       ContinuousWebJobStatus = original.Starting
	Stopped        ContinuousWebJobStatus = original.Stopped
)

type CustomHostNameDNSRecordType = original.CustomHostNameDNSRecordType

const (
	A     CustomHostNameDNSRecordType = original.A
	CName CustomHostNameDNSRecordType = original.CName
)

type DNSType = original.DNSType

const (
	AzureDNS                  DNSType = original.AzureDNS
	DefaultDomainRegistrarDNS DNSType = original.DefaultDomainRegistrarDNS
)

type DNSVerificationTestResult = original.DNSVerificationTestResult

const (
	DNSVerificationTestResultFailed  DNSVerificationTestResult = original.DNSVerificationTestResultFailed
	DNSVerificationTestResultPassed  DNSVerificationTestResult = original.DNSVerificationTestResultPassed
	DNSVerificationTestResultSkipped DNSVerificationTestResult = original.DNSVerificationTestResultSkipped
)

type DatabaseType = original.DatabaseType

const (
	DatabaseTypeLocalMySQL DatabaseType = original.DatabaseTypeLocalMySQL
	DatabaseTypeMySQL      DatabaseType = original.DatabaseTypeMySQL
	DatabaseTypePostgreSQL DatabaseType = original.DatabaseTypePostgreSQL
	DatabaseTypeSQLAzure   DatabaseType = original.DatabaseTypeSQLAzure
)

type DomainStatus = original.DomainStatus

const (
	DomainStatusActive              DomainStatus = original.DomainStatusActive
	DomainStatusAwaiting            DomainStatus = original.DomainStatusAwaiting
	DomainStatusCancelled           DomainStatus = original.DomainStatusCancelled
	DomainStatusConfiscated         DomainStatus = original.DomainStatusConfiscated
	DomainStatusDisabled            DomainStatus = original.DomainStatusDisabled
	DomainStatusExcluded            DomainStatus = original.DomainStatusExcluded
	DomainStatusExpired             DomainStatus = original.DomainStatusExpired
	DomainStatusFailed              DomainStatus = original.DomainStatusFailed
	DomainStatusHeld                DomainStatus = original.DomainStatusHeld
	DomainStatusJSONConverterFailed DomainStatus = original.DomainStatusJSONConverterFailed
	DomainStatusLocked              DomainStatus = original.DomainStatusLocked
	DomainStatusParked              DomainStatus = original.DomainStatusParked
	DomainStatusPending             DomainStatus = original.DomainStatusPending
	DomainStatusReserved            DomainStatus = original.DomainStatusReserved
	DomainStatusReverted            DomainStatus = original.DomainStatusReverted
	DomainStatusSuspended           DomainStatus = original.DomainStatusSuspended
	DomainStatusTransferred         DomainStatus = original.DomainStatusTransferred
	DomainStatusUnknown             DomainStatus = original.DomainStatusUnknown
	DomainStatusUnlocked            DomainStatus = original.DomainStatusUnlocked
	DomainStatusUnparked            DomainStatus = original.DomainStatusUnparked
	DomainStatusUpdated             DomainStatus = original.DomainStatusUpdated
)

type DomainType = original.DomainType

const (
	Regular     DomainType = original.Regular
	SoftDeleted DomainType = original.SoftDeleted
)

type FrequencyUnit = original.FrequencyUnit

const (
	Day  FrequencyUnit = original.Day
	Hour FrequencyUnit = original.Hour
)

type HostNameType = original.HostNameType

const (
	Managed  HostNameType = original.Managed
	Verified HostNameType = original.Verified
)

type HostType = original.HostType

const (
	HostTypeRepository HostType = original.HostTypeRepository
	HostTypeStandard   HostType = original.HostTypeStandard
)

type HostingEnvironmentStatus = original.HostingEnvironmentStatus

const (
	Deleting  HostingEnvironmentStatus = original.Deleting
	Preparing HostingEnvironmentStatus = original.Preparing
	Ready     HostingEnvironmentStatus = original.Ready
	Scaling   HostingEnvironmentStatus = original.Scaling
)

type InAvailabilityReasonType = original.InAvailabilityReasonType

const (
	AlreadyExists InAvailabilityReasonType = original.AlreadyExists
	Invalid       InAvailabilityReasonType = original.Invalid
)

type InternalLoadBalancingMode = original.InternalLoadBalancingMode

const (
	InternalLoadBalancingModeNone       InternalLoadBalancingMode = original.InternalLoadBalancingModeNone
	InternalLoadBalancingModePublishing InternalLoadBalancingMode = original.InternalLoadBalancingModePublishing
	InternalLoadBalancingModeWeb        InternalLoadBalancingMode = original.InternalLoadBalancingModeWeb
)

type IssueType = original.IssueType

const (
	AppCrash             IssueType = original.AppCrash
	AppDeployment        IssueType = original.AppDeployment
	AseDeployment        IssueType = original.AseDeployment
	Other                IssueType = original.Other
	PlatformIssue        IssueType = original.PlatformIssue
	RuntimeIssueDetected IssueType = original.RuntimeIssueDetected
	ServiceIncident      IssueType = original.ServiceIncident
	UserIssue            IssueType = original.UserIssue
)

type JobType = original.JobType

const (
	Continuous JobType = original.Continuous
	Triggered  JobType = original.Triggered
)

type KeyVaultSecretStatus = original.KeyVaultSecretStatus

const (
	KeyVaultSecretStatusAzureServiceUnauthorizedToAccessKeyVault KeyVaultSecretStatus = original.KeyVaultSecretStatusAzureServiceUnauthorizedToAccessKeyVault
	KeyVaultSecretStatusCertificateOrderFailed                   KeyVaultSecretStatus = original.KeyVaultSecretStatusCertificateOrderFailed
	KeyVaultSecretStatusExternalPrivateKey                       KeyVaultSecretStatus = original.KeyVaultSecretStatusExternalPrivateKey
	KeyVaultSecretStatusInitialized                              KeyVaultSecretStatus = original.KeyVaultSecretStatusInitialized
	KeyVaultSecretStatusKeyVaultDoesNotExist                     KeyVaultSecretStatus = original.KeyVaultSecretStatusKeyVaultDoesNotExist
	KeyVaultSecretStatusKeyVaultSecretDoesNotExist               KeyVaultSecretStatus = original.KeyVaultSecretStatusKeyVaultSecretDoesNotExist
	KeyVaultSecretStatusOperationNotPermittedOnKeyVault          KeyVaultSecretStatus = original.KeyVaultSecretStatusOperationNotPermittedOnKeyVault
	KeyVaultSecretStatusSucceeded                                KeyVaultSecretStatus = original.KeyVaultSecretStatusSucceeded
	KeyVaultSecretStatusUnknown                                  KeyVaultSecretStatus = original.KeyVaultSecretStatusUnknown
	KeyVaultSecretStatusUnknownError                             KeyVaultSecretStatus = original.KeyVaultSecretStatusUnknownError
	KeyVaultSecretStatusWaitingOnCertificateOrder                KeyVaultSecretStatus = original.KeyVaultSecretStatusWaitingOnCertificateOrder
)

type LogLevel = original.LogLevel

const (
	Error       LogLevel = original.Error
	Information LogLevel = original.Information
	Off         LogLevel = original.Off
	Verbose     LogLevel = original.Verbose
	Warning     LogLevel = original.Warning
)

type MSDeployLogEntryType = original.MSDeployLogEntryType

const (
	MSDeployLogEntryTypeError   MSDeployLogEntryType = original.MSDeployLogEntryTypeError
	MSDeployLogEntryTypeMessage MSDeployLogEntryType = original.MSDeployLogEntryTypeMessage
	MSDeployLogEntryTypeWarning MSDeployLogEntryType = original.MSDeployLogEntryTypeWarning
)

type MSDeployProvisioningState = original.MSDeployProvisioningState

const (
	MSDeployProvisioningStateAccepted  MSDeployProvisioningState = original.MSDeployProvisioningStateAccepted
	MSDeployProvisioningStateCanceled  MSDeployProvisioningState = original.MSDeployProvisioningStateCanceled
	MSDeployProvisioningStateFailed    MSDeployProvisioningState = original.MSDeployProvisioningStateFailed
	MSDeployProvisioningStateRunning   MSDeployProvisioningState = original.MSDeployProvisioningStateRunning
	MSDeployProvisioningStateSucceeded MSDeployProvisioningState = original.MSDeployProvisioningStateSucceeded
)

type ManagedPipelineMode = original.ManagedPipelineMode

const (
	Classic    ManagedPipelineMode = original.Classic
	Integrated ManagedPipelineMode = original.Integrated
)

type ManagedServiceIdentityType = original.ManagedServiceIdentityType

const (
	SystemAssigned ManagedServiceIdentityType = original.SystemAssigned
)

type MySQLMigrationType = original.MySQLMigrationType

const (
	LocalToRemote MySQLMigrationType = original.LocalToRemote
	RemoteToLocal MySQLMigrationType = original.RemoteToLocal
)

type NotificationLevel = original.NotificationLevel

const (
	NotificationLevelCritical            NotificationLevel = original.NotificationLevelCritical
	NotificationLevelInformation         NotificationLevel = original.NotificationLevelInformation
	NotificationLevelNonUrgentSuggestion NotificationLevel = original.NotificationLevelNonUrgentSuggestion
	NotificationLevelWarning             NotificationLevel = original.NotificationLevelWarning
)

type OperationStatus = original.OperationStatus

const (
	OperationStatusCreated    OperationStatus = original.OperationStatusCreated
	OperationStatusFailed     OperationStatus = original.OperationStatusFailed
	OperationStatusInProgress OperationStatus = original.OperationStatusInProgress
	OperationStatusSucceeded  OperationStatus = original.OperationStatusSucceeded
	OperationStatusTimedOut   OperationStatus = original.OperationStatusTimedOut
)

type ProvisioningState = original.ProvisioningState

const (
	ProvisioningStateCanceled   ProvisioningState = original.ProvisioningStateCanceled
	ProvisioningStateDeleting   ProvisioningState = original.ProvisioningStateDeleting
	ProvisioningStateFailed     ProvisioningState = original.ProvisioningStateFailed
	ProvisioningStateInProgress ProvisioningState = original.ProvisioningStateInProgress
	ProvisioningStateSucceeded  ProvisioningState = original.ProvisioningStateSucceeded
)

type PublicCertificateLocation = original.PublicCertificateLocation

const (
	PublicCertificateLocationCurrentUserMy  PublicCertificateLocation = original.PublicCertificateLocationCurrentUserMy
	PublicCertificateLocationLocalMachineMy PublicCertificateLocation = original.PublicCertificateLocationLocalMachineMy
	PublicCertificateLocationUnknown        PublicCertificateLocation = original.PublicCertificateLocationUnknown
)

type PublishingProfileFormat = original.PublishingProfileFormat

const (
	FileZilla3 PublishingProfileFormat = original.FileZilla3
	Ftp        PublishingProfileFormat = original.Ftp
	WebDeploy  PublishingProfileFormat = original.WebDeploy
)

type RenderingType = original.RenderingType

const (
	NoGraph               RenderingType = original.NoGraph
	Table                 RenderingType = original.Table
	TimeSeries            RenderingType = original.TimeSeries
	TimeSeriesPerInstance RenderingType = original.TimeSeriesPerInstance
)

type ResourceScopeType = original.ResourceScopeType

const (
	ServerFarm   ResourceScopeType = original.ServerFarm
	Subscription ResourceScopeType = original.Subscription
	WebSite      ResourceScopeType = original.WebSite
)

type RouteType = original.RouteType

const (
	DEFAULT   RouteType = original.DEFAULT
	INHERITED RouteType = original.INHERITED
	STATIC    RouteType = original.STATIC
)

type ScmType = original.ScmType

const (
	ScmTypeBitbucketGit ScmType = original.ScmTypeBitbucketGit
	ScmTypeBitbucketHg  ScmType = original.ScmTypeBitbucketHg
	ScmTypeCodePlexGit  ScmType = original.ScmTypeCodePlexGit
	ScmTypeCodePlexHg   ScmType = original.ScmTypeCodePlexHg
	ScmTypeDropbox      ScmType = original.ScmTypeDropbox
	ScmTypeExternalGit  ScmType = original.ScmTypeExternalGit
	ScmTypeExternalHg   ScmType = original.ScmTypeExternalHg
	ScmTypeGitHub       ScmType = original.ScmTypeGitHub
	ScmTypeLocalGit     ScmType = original.ScmTypeLocalGit
	ScmTypeNone         ScmType = original.ScmTypeNone
	ScmTypeOneDrive     ScmType = original.ScmTypeOneDrive
	ScmTypeTfs          ScmType = original.ScmTypeTfs
	ScmTypeVSO          ScmType = original.ScmTypeVSO
)

type SiteAvailabilityState = original.SiteAvailabilityState

const (
	DisasterRecoveryMode SiteAvailabilityState = original.DisasterRecoveryMode
	Limited              SiteAvailabilityState = original.Limited
	Normal               SiteAvailabilityState = original.Normal
)

type SiteExtensionType = original.SiteExtensionType

const (
	Gallery SiteExtensionType = original.Gallery
	WebRoot SiteExtensionType = original.WebRoot
)

type SiteLoadBalancing = original.SiteLoadBalancing

const (
	LeastRequests        SiteLoadBalancing = original.LeastRequests
	LeastResponseTime    SiteLoadBalancing = original.LeastResponseTime
	RequestHash          SiteLoadBalancing = original.RequestHash
	WeightedRoundRobin   SiteLoadBalancing = original.WeightedRoundRobin
	WeightedTotalTraffic SiteLoadBalancing = original.WeightedTotalTraffic
)

type SkuName = original.SkuName

const (
	SkuNameBasic     SkuName = original.SkuNameBasic
	SkuNameDynamic   SkuName = original.SkuNameDynamic
	SkuNameFree      SkuName = original.SkuNameFree
	SkuNameIsolated  SkuName = original.SkuNameIsolated
	SkuNamePremium   SkuName = original.SkuNamePremium
	SkuNamePremiumV2 SkuName = original.SkuNamePremiumV2
	SkuNameShared    SkuName = original.SkuNameShared
	SkuNameStandard  SkuName = original.SkuNameStandard
)

type SolutionType = original.SolutionType

const (
	BestPractices     SolutionType = original.BestPractices
	DeepInvestigation SolutionType = original.DeepInvestigation
	QuickSolution     SolutionType = original.QuickSolution
)

type SslState = original.SslState

const (
	Disabled       SslState = original.Disabled
	IPBasedEnabled SslState = original.IPBasedEnabled
	SniEnabled     SslState = original.SniEnabled
)

type StatusOptions = original.StatusOptions

const (
	StatusOptionsCreating StatusOptions = original.StatusOptionsCreating
	StatusOptionsPending  StatusOptions = original.StatusOptionsPending
	StatusOptionsReady    StatusOptions = original.StatusOptionsReady
)

type SupportedTLSVersions = original.SupportedTLSVersions

const (
	OneFullStopOne  SupportedTLSVersions = original.OneFullStopOne
	OneFullStopTwo  SupportedTLSVersions = original.OneFullStopTwo
	OneFullStopZero SupportedTLSVersions = original.OneFullStopZero
)

type TriggeredWebJobStatus = original.TriggeredWebJobStatus

const (
	TriggeredWebJobStatusError   TriggeredWebJobStatus = original.TriggeredWebJobStatusError
	TriggeredWebJobStatusFailed  TriggeredWebJobStatus = original.TriggeredWebJobStatusFailed
	TriggeredWebJobStatusSuccess TriggeredWebJobStatus = original.TriggeredWebJobStatusSuccess
)

type UnauthenticatedClientAction = original.UnauthenticatedClientAction

const (
	AllowAnonymous      UnauthenticatedClientAction = original.AllowAnonymous
	RedirectToLoginPage UnauthenticatedClientAction = original.RedirectToLoginPage
)

type UsageState = original.UsageState

const (
	UsageStateExceeded UsageState = original.UsageStateExceeded
	UsageStateNormal   UsageState = original.UsageStateNormal
)

type ValidateResourceTypes = original.ValidateResourceTypes

const (
	ValidateResourceTypesServerFarm ValidateResourceTypes = original.ValidateResourceTypesServerFarm
	ValidateResourceTypesSite       ValidateResourceTypes = original.ValidateResourceTypesSite
)

type WorkerSizeOptions = original.WorkerSizeOptions

const (
	D1      WorkerSizeOptions = original.D1
	D2      WorkerSizeOptions = original.D2
	D3      WorkerSizeOptions = original.D3
	Default WorkerSizeOptions = original.Default
	Large   WorkerSizeOptions = original.Large
	Medium  WorkerSizeOptions = original.Medium
	Small   WorkerSizeOptions = original.Small
)

type APIDefinitionInfo = original.APIDefinitionInfo
type AbnormalTimePeriod = original.AbnormalTimePeriod
type Address = original.Address
type AddressResponse = original.AddressResponse
type AnalysisData = original.AnalysisData
type AnalysisDefinition = original.AnalysisDefinition
type AnalysisDefinitionProperties = original.AnalysisDefinitionProperties
type AppCollection = original.AppCollection
type AppCollectionIterator = original.AppCollectionIterator
type AppCollectionPage = original.AppCollectionPage
type AppInstanceCollection = original.AppInstanceCollection
type AppInstanceCollectionIterator = original.AppInstanceCollectionIterator
type AppInstanceCollectionPage = original.AppInstanceCollectionPage
type AppServiceCertificate = original.AppServiceCertificate
type AppServiceCertificateCollection = original.AppServiceCertificateCollection
type AppServiceCertificateCollectionIterator = original.AppServiceCertificateCollectionIterator
type AppServiceCertificateCollectionPage = original.AppServiceCertificateCollectionPage
type AppServiceCertificateOrder = original.AppServiceCertificateOrder
type AppServiceCertificateOrderCollection = original.AppServiceCertificateOrderCollection
type AppServiceCertificateOrderCollectionIterator = original.AppServiceCertificateOrderCollectionIterator
type AppServiceCertificateOrderCollectionPage = original.AppServiceCertificateOrderCollectionPage
type AppServiceCertificateOrderPatchResource = original.AppServiceCertificateOrderPatchResource
type AppServiceCertificateOrderPatchResourceProperties = original.AppServiceCertificateOrderPatchResourceProperties
type AppServiceCertificateOrderProperties = original.AppServiceCertificateOrderProperties
type AppServiceCertificateOrdersClient = original.AppServiceCertificateOrdersClient
type AppServiceCertificateOrdersCreateOrUpdateCertificateFuture = original.AppServiceCertificateOrdersCreateOrUpdateCertificateFuture
type AppServiceCertificateOrdersCreateOrUpdateFuture = original.AppServiceCertificateOrdersCreateOrUpdateFuture
type AppServiceCertificatePatchResource = original.AppServiceCertificatePatchResource
type AppServiceCertificateResource = original.AppServiceCertificateResource
type AppServiceEnvironment = original.AppServiceEnvironment
type AppServiceEnvironmentCollection = original.AppServiceEnvironmentCollection
type AppServiceEnvironmentCollectionIterator = original.AppServiceEnvironmentCollectionIterator
type AppServiceEnvironmentCollectionPage = original.AppServiceEnvironmentCollectionPage
type AppServiceEnvironmentPatchResource = original.AppServiceEnvironmentPatchResource
type AppServiceEnvironmentResource = original.AppServiceEnvironmentResource
type AppServiceEnvironmentsClient = original.AppServiceEnvironmentsClient
type AppServiceEnvironmentsCreateOrUpdateFuture = original.AppServiceEnvironmentsCreateOrUpdateFuture
type AppServiceEnvironmentsCreateOrUpdateMultiRolePoolFuture = original.AppServiceEnvironmentsCreateOrUpdateMultiRolePoolFuture
type AppServiceEnvironmentsCreateOrUpdateWorkerPoolFuture = original.AppServiceEnvironmentsCreateOrUpdateWorkerPoolFuture
type AppServiceEnvironmentsDeleteFuture = original.AppServiceEnvironmentsDeleteFuture
type AppServiceEnvironmentsResumeAllFuture = original.AppServiceEnvironmentsResumeAllFuture
type AppServiceEnvironmentsResumeFuture = original.AppServiceEnvironmentsResumeFuture
type AppServiceEnvironmentsSuspendAllFuture = original.AppServiceEnvironmentsSuspendAllFuture
type AppServiceEnvironmentsSuspendFuture = original.AppServiceEnvironmentsSuspendFuture
type AppServicePlan = original.AppServicePlan
type AppServicePlanCollection = original.AppServicePlanCollection
type AppServicePlanCollectionIterator = original.AppServicePlanCollectionIterator
type AppServicePlanCollectionPage = original.AppServicePlanCollectionPage
type AppServicePlanPatchResource = original.AppServicePlanPatchResource
type AppServicePlanPatchResourceProperties = original.AppServicePlanPatchResourceProperties
type AppServicePlanProperties = original.AppServicePlanProperties
type AppServicePlansClient = original.AppServicePlansClient
type AppServicePlansCreateOrUpdateFuture = original.AppServicePlansCreateOrUpdateFuture
type ApplicationLogsConfig = original.ApplicationLogsConfig
type ApplicationStack = original.ApplicationStack
type ApplicationStackCollection = original.ApplicationStackCollection
type ApplicationStackCollectionIterator = original.ApplicationStackCollectionIterator
type ApplicationStackCollectionPage = original.ApplicationStackCollectionPage
type AppsClient = original.AppsClient
type AppsCreateFunctionFuture = original.AppsCreateFunctionFuture
type AppsCreateInstanceFunctionSlotFuture = original.AppsCreateInstanceFunctionSlotFuture
type AppsCreateInstanceMSDeployOperationFuture = original.AppsCreateInstanceMSDeployOperationFuture
type AppsCreateInstanceMSDeployOperationSlotFuture = original.AppsCreateInstanceMSDeployOperationSlotFuture
type AppsCreateMSDeployOperationFuture = original.AppsCreateMSDeployOperationFuture
type AppsCreateMSDeployOperationSlotFuture = original.AppsCreateMSDeployOperationSlotFuture
type AppsCreateOrUpdateFuture = original.AppsCreateOrUpdateFuture
type AppsCreateOrUpdateSlotFuture = original.AppsCreateOrUpdateSlotFuture
type AppsCreateOrUpdateSourceControlFuture = original.AppsCreateOrUpdateSourceControlFuture
type AppsCreateOrUpdateSourceControlSlotFuture = original.AppsCreateOrUpdateSourceControlSlotFuture
type AppsInstallSiteExtensionFuture = original.AppsInstallSiteExtensionFuture
type AppsInstallSiteExtensionSlotFuture = original.AppsInstallSiteExtensionSlotFuture
type AppsListPublishingCredentialsFuture = original.AppsListPublishingCredentialsFuture
type AppsListPublishingCredentialsSlotFuture = original.AppsListPublishingCredentialsSlotFuture
type AppsMigrateMySQLFuture = original.AppsMigrateMySQLFuture
type AppsMigrateStorageFuture = original.AppsMigrateStorageFuture
type AppsRecoverFuture = original.AppsRecoverFuture
type AppsRecoverSlotFuture = original.AppsRecoverSlotFuture
type AppsRestoreFuture = original.AppsRestoreFuture
type AppsRestoreSlotFuture = original.AppsRestoreSlotFuture
type AppsSwapSlotSlotFuture = original.AppsSwapSlotSlotFuture
type AppsSwapSlotWithProductionFuture = original.AppsSwapSlotWithProductionFuture
type AutoHealActions = original.AutoHealActions
type AutoHealCustomAction = original.AutoHealCustomAction
type AutoHealRules = original.AutoHealRules
type AutoHealTriggers = original.AutoHealTriggers
type AzureBlobStorageApplicationLogsConfig = original.AzureBlobStorageApplicationLogsConfig
type AzureBlobStorageHTTPLogsConfig = original.AzureBlobStorageHTTPLogsConfig
type AzureTableStorageApplicationLogsConfig = original.AzureTableStorageApplicationLogsConfig
type BackupItem = original.BackupItem
type BackupItemCollection = original.BackupItemCollection
type BackupItemCollectionIterator = original.BackupItemCollectionIterator
type BackupItemCollectionPage = original.BackupItemCollectionPage
type BackupItemProperties = original.BackupItemProperties
type BackupRequest = original.BackupRequest
type BackupRequestProperties = original.BackupRequestProperties
type BackupSchedule = original.BackupSchedule
type BaseClient = original.BaseClient
type BillingMeter = original.BillingMeter
type BillingMeterCollection = original.BillingMeterCollection
type BillingMeterCollectionIterator = original.BillingMeterCollectionIterator
type BillingMeterCollectionPage = original.BillingMeterCollectionPage
type BillingMeterProperties = original.BillingMeterProperties
type BillingMetersClient = original.BillingMetersClient
type Capability = original.Capability
type Certificate = original.Certificate
type CertificateCollection = original.CertificateCollection
type CertificateCollectionIterator = original.CertificateCollectionIterator
type CertificateCollectionPage = original.CertificateCollectionPage
type CertificateDetails = original.CertificateDetails
type CertificateEmail = original.CertificateEmail
type CertificateEmailProperties = original.CertificateEmailProperties
type CertificateOrderAction = original.CertificateOrderAction
type CertificateOrderActionProperties = original.CertificateOrderActionProperties
type CertificatePatchResource = original.CertificatePatchResource
type CertificatePatchResourceProperties = original.CertificatePatchResourceProperties
type CertificateProperties = original.CertificateProperties
type CertificateRegistrationProviderClient = original.CertificateRegistrationProviderClient
type CertificatesClient = original.CertificatesClient
type CloningInfo = original.CloningInfo
type ConnStringInfo = original.ConnStringInfo
type ConnStringValueTypePair = original.ConnStringValueTypePair
type ConnectionStringDictionary = original.ConnectionStringDictionary
type Contact = original.Contact
type ContinuousWebJob = original.ContinuousWebJob
type ContinuousWebJobCollection = original.ContinuousWebJobCollection
type ContinuousWebJobCollectionIterator = original.ContinuousWebJobCollectionIterator
type ContinuousWebJobCollectionPage = original.ContinuousWebJobCollectionPage
type ContinuousWebJobProperties = original.ContinuousWebJobProperties
type CorsSettings = original.CorsSettings
type CsmMoveResourceEnvelope = original.CsmMoveResourceEnvelope
type CsmOperationCollection = original.CsmOperationCollection
type CsmOperationCollectionIterator = original.CsmOperationCollectionIterator
type CsmOperationCollectionPage = original.CsmOperationCollectionPage
type CsmOperationDescription = original.CsmOperationDescription
type CsmOperationDescriptionProperties = original.CsmOperationDescriptionProperties
type CsmOperationDisplay = original.CsmOperationDisplay
type CsmPublishingProfileOptions = original.CsmPublishingProfileOptions
type CsmSlotEntity = original.CsmSlotEntity
type CsmUsageQuota = original.CsmUsageQuota
type CsmUsageQuotaCollection = original.CsmUsageQuotaCollection
type CsmUsageQuotaCollectionIterator = original.CsmUsageQuotaCollectionIterator
type CsmUsageQuotaCollectionPage = original.CsmUsageQuotaCollectionPage
type CustomHostnameAnalysisResult = original.CustomHostnameAnalysisResult
type CustomHostnameAnalysisResultProperties = original.CustomHostnameAnalysisResultProperties
type DataSource = original.DataSource
type DataTableResponseColumn = original.DataTableResponseColumn
type DataTableResponseObject = original.DataTableResponseObject
type DatabaseBackupSetting = original.DatabaseBackupSetting
type DefaultErrorResponse = original.DefaultErrorResponse
type DefaultErrorResponseError = original.DefaultErrorResponseError
type DefaultErrorResponseErrorDetailsItem = original.DefaultErrorResponseErrorDetailsItem
type DeletedSite = original.DeletedSite
type DeletedWebAppCollection = original.DeletedWebAppCollection
type DeletedWebAppCollectionIterator = original.DeletedWebAppCollectionIterator
type DeletedWebAppCollectionPage = original.DeletedWebAppCollectionPage
type DeletedWebAppsClient = original.DeletedWebAppsClient
type Deployment = original.Deployment
type DeploymentCollection = original.DeploymentCollection
type DeploymentCollectionIterator = original.DeploymentCollectionIterator
type DeploymentCollectionPage = original.DeploymentCollectionPage
type DeploymentLocations = original.DeploymentLocations
type DeploymentProperties = original.DeploymentProperties
type DetectorAbnormalTimePeriod = original.DetectorAbnormalTimePeriod
type DetectorDefinition = original.DetectorDefinition
type DetectorDefinitionProperties = original.DetectorDefinitionProperties
type DetectorInfo = original.DetectorInfo
type DetectorResponse = original.DetectorResponse
type DetectorResponseCollection = original.DetectorResponseCollection
type DetectorResponseCollectionIterator = original.DetectorResponseCollectionIterator
type DetectorResponseCollectionPage = original.DetectorResponseCollectionPage
type DetectorResponseProperties = original.DetectorResponseProperties
type DiagnosticAnalysis = original.DiagnosticAnalysis
type DiagnosticAnalysisCollection = original.DiagnosticAnalysisCollection
type DiagnosticAnalysisCollectionIterator = original.DiagnosticAnalysisCollectionIterator
type DiagnosticAnalysisCollectionPage = original.DiagnosticAnalysisCollectionPage
type DiagnosticAnalysisProperties = original.DiagnosticAnalysisProperties
type DiagnosticCategory = original.DiagnosticCategory
type DiagnosticCategoryCollection = original.DiagnosticCategoryCollection
type DiagnosticCategoryCollectionIterator = original.DiagnosticCategoryCollectionIterator
type DiagnosticCategoryCollectionPage = original.DiagnosticCategoryCollectionPage
type DiagnosticCategoryProperties = original.DiagnosticCategoryProperties
type DiagnosticData = original.DiagnosticData
type DiagnosticDetectorCollection = original.DiagnosticDetectorCollection
type DiagnosticDetectorCollectionIterator = original.DiagnosticDetectorCollectionIterator
type DiagnosticDetectorCollectionPage = original.DiagnosticDetectorCollectionPage
type DiagnosticDetectorResponse = original.DiagnosticDetectorResponse
type DiagnosticDetectorResponseProperties = original.DiagnosticDetectorResponseProperties
type DiagnosticMetricSample = original.DiagnosticMetricSample
type DiagnosticMetricSet = original.DiagnosticMetricSet
type DiagnosticsClient = original.DiagnosticsClient
type Dimension = original.Dimension
type Domain = original.Domain
type DomainAvailablilityCheckResult = original.DomainAvailablilityCheckResult
type DomainCollection = original.DomainCollection
type DomainCollectionIterator = original.DomainCollectionIterator
type DomainCollectionPage = original.DomainCollectionPage
type DomainControlCenterSsoRequest = original.DomainControlCenterSsoRequest
type DomainOwnershipIdentifier = original.DomainOwnershipIdentifier
type DomainOwnershipIdentifierCollection = original.DomainOwnershipIdentifierCollection
type DomainOwnershipIdentifierCollectionIterator = original.DomainOwnershipIdentifierCollectionIterator
type DomainOwnershipIdentifierCollectionPage = original.DomainOwnershipIdentifierCollectionPage
type DomainOwnershipIdentifierProperties = original.DomainOwnershipIdentifierProperties
type DomainPatchResource = original.DomainPatchResource
type DomainPatchResourceProperties = original.DomainPatchResourceProperties
type DomainProperties = original.DomainProperties
type DomainPurchaseConsent = original.DomainPurchaseConsent
type DomainRecommendationSearchParameters = original.DomainRecommendationSearchParameters
type DomainRegistrationProviderClient = original.DomainRegistrationProviderClient
type DomainsClient = original.DomainsClient
type DomainsCreateOrUpdateFuture = original.DomainsCreateOrUpdateFuture
type EnabledConfig = original.EnabledConfig
type ErrorEntity = original.ErrorEntity
type ErrorResponse = original.ErrorResponse
type Experiments = original.Experiments
type FileSystemApplicationLogsConfig = original.FileSystemApplicationLogsConfig
type FileSystemHTTPLogsConfig = original.FileSystemHTTPLogsConfig
type FunctionEnvelope = original.FunctionEnvelope
type FunctionEnvelopeCollection = original.FunctionEnvelopeCollection
type FunctionEnvelopeCollectionIterator = original.FunctionEnvelopeCollectionIterator
type FunctionEnvelopeCollectionPage = original.FunctionEnvelopeCollectionPage
type FunctionEnvelopeProperties = original.FunctionEnvelopeProperties
type FunctionSecrets = original.FunctionSecrets
type FunctionSecretsProperties = original.FunctionSecretsProperties
type GeoRegion = original.GeoRegion
type GeoRegionCollection = original.GeoRegionCollection
type GeoRegionCollectionIterator = original.GeoRegionCollectionIterator
type GeoRegionCollectionPage = original.GeoRegionCollectionPage
type GeoRegionProperties = original.GeoRegionProperties
type GlobalCsmSkuDescription = original.GlobalCsmSkuDescription
type HTTPLogsConfig = original.HTTPLogsConfig
type HandlerMapping = original.HandlerMapping
type HostName = original.HostName
type HostNameBinding = original.HostNameBinding
type HostNameBindingCollection = original.HostNameBindingCollection
type HostNameBindingCollectionIterator = original.HostNameBindingCollectionIterator
type HostNameBindingCollectionPage = original.HostNameBindingCollectionPage
type HostNameBindingProperties = original.HostNameBindingProperties
type HostNameSslState = original.HostNameSslState
type HostingEnvironmentDeploymentInfo = original.HostingEnvironmentDeploymentInfo
type HostingEnvironmentDiagnostics = original.HostingEnvironmentDiagnostics
type HostingEnvironmentProfile = original.HostingEnvironmentProfile
type HybridConnection = original.HybridConnection
type HybridConnectionCollection = original.HybridConnectionCollection
type HybridConnectionCollectionIterator = original.HybridConnectionCollectionIterator
type HybridConnectionCollectionPage = original.HybridConnectionCollectionPage
type HybridConnectionKey = original.HybridConnectionKey
type HybridConnectionKeyProperties = original.HybridConnectionKeyProperties
type HybridConnectionLimits = original.HybridConnectionLimits
type HybridConnectionLimitsProperties = original.HybridConnectionLimitsProperties
type HybridConnectionProperties = original.HybridConnectionProperties
type IPSecurityRestriction = original.IPSecurityRestriction
type Identifier = original.Identifier
type IdentifierCollection = original.IdentifierCollection
type IdentifierCollectionIterator = original.IdentifierCollectionIterator
type IdentifierCollectionPage = original.IdentifierCollectionPage
type IdentifierProperties = original.IdentifierProperties
type Job = original.Job
type JobCollection = original.JobCollection
type JobCollectionIterator = original.JobCollectionIterator
type JobCollectionPage = original.JobCollectionPage
type JobProperties = original.JobProperties
type ListCapability = original.ListCapability
type ListCertificateEmail = original.ListCertificateEmail
type ListCertificateOrderAction = original.ListCertificateOrderAction
type ListHostingEnvironmentDiagnostics = original.ListHostingEnvironmentDiagnostics
type ListOperation = original.ListOperation
type ListVnetInfo = original.ListVnetInfo
type ListVnetRoute = original.ListVnetRoute
type LocalizableString = original.LocalizableString
type MSDeploy = original.MSDeploy
type MSDeployCore = original.MSDeployCore
type MSDeployLog = original.MSDeployLog
type MSDeployLogEntry = original.MSDeployLogEntry
type MSDeployLogProperties = original.MSDeployLogProperties
type MSDeployStatus = original.MSDeployStatus
type MSDeployStatusProperties = original.MSDeployStatusProperties
type ManagedServiceIdentity = original.ManagedServiceIdentity
type MetricAvailabilily = original.MetricAvailabilily
type MetricAvailability = original.MetricAvailability
type MetricDefinition = original.MetricDefinition
type MetricDefinitionProperties = original.MetricDefinitionProperties
type MetricSpecification = original.MetricSpecification
type MigrateMySQLRequest = original.MigrateMySQLRequest
type MigrateMySQLRequestProperties = original.MigrateMySQLRequestProperties
type MigrateMySQLStatus = original.MigrateMySQLStatus
type MigrateMySQLStatusProperties = original.MigrateMySQLStatusProperties
type NameIdentifier = original.NameIdentifier
type NameIdentifierCollection = original.NameIdentifierCollection
type NameIdentifierCollectionIterator = original.NameIdentifierCollectionIterator
type NameIdentifierCollectionPage = original.NameIdentifierCollectionPage
type NameValuePair = original.NameValuePair
type NetworkAccessControlEntry = original.NetworkAccessControlEntry
type NetworkFeatures = original.NetworkFeatures
type NetworkFeaturesProperties = original.NetworkFeaturesProperties
type Operation = original.Operation
type PerfMonCounterCollection = original.PerfMonCounterCollection
type PerfMonCounterCollectionIterator = original.PerfMonCounterCollectionIterator
type PerfMonCounterCollectionPage = original.PerfMonCounterCollectionPage
type PerfMonResponse = original.PerfMonResponse
type PerfMonSample = original.PerfMonSample
type PerfMonSet = original.PerfMonSet
type PremierAddOn = original.PremierAddOn
type PremierAddOnOffer = original.PremierAddOnOffer
type PremierAddOnOfferCollection = original.PremierAddOnOfferCollection
type PremierAddOnOfferCollectionIterator = original.PremierAddOnOfferCollectionIterator
type PremierAddOnOfferCollectionPage = original.PremierAddOnOfferCollectionPage
type PremierAddOnOfferProperties = original.PremierAddOnOfferProperties
type PremierAddOnProperties = original.PremierAddOnProperties
type ProcessInfo = original.ProcessInfo
type ProcessInfoCollection = original.ProcessInfoCollection
type ProcessInfoCollectionIterator = original.ProcessInfoCollectionIterator
type ProcessInfoCollectionPage = original.ProcessInfoCollectionPage
type ProcessInfoProperties = original.ProcessInfoProperties
type ProcessModuleInfo = original.ProcessModuleInfo
type ProcessModuleInfoCollection = original.ProcessModuleInfoCollection
type ProcessModuleInfoCollectionIterator = original.ProcessModuleInfoCollectionIterator
type ProcessModuleInfoCollectionPage = original.ProcessModuleInfoCollectionPage
type ProcessModuleInfoProperties = original.ProcessModuleInfoProperties
type ProcessThreadInfo = original.ProcessThreadInfo
type ProcessThreadInfoCollection = original.ProcessThreadInfoCollection
type ProcessThreadInfoCollectionIterator = original.ProcessThreadInfoCollectionIterator
type ProcessThreadInfoCollectionPage = original.ProcessThreadInfoCollectionPage
type ProcessThreadInfoProperties = original.ProcessThreadInfoProperties
type ProviderClient = original.ProviderClient
type ProxyOnlyResource = original.ProxyOnlyResource
type PublicCertificate = original.PublicCertificate
type PublicCertificateCollection = original.PublicCertificateCollection
type PublicCertificateCollectionIterator = original.PublicCertificateCollectionIterator
type PublicCertificateCollectionPage = original.PublicCertificateCollectionPage
type PublicCertificateProperties = original.PublicCertificateProperties
type PushSettings = original.PushSettings
type PushSettingsProperties = original.PushSettingsProperties
type RampUpRule = original.RampUpRule
type ReadCloser = original.ReadCloser
type Recommendation = original.Recommendation
type RecommendationCollection = original.RecommendationCollection
type RecommendationCollectionIterator = original.RecommendationCollectionIterator
type RecommendationCollectionPage = original.RecommendationCollectionPage
type RecommendationProperties = original.RecommendationProperties
type RecommendationRule = original.RecommendationRule
type RecommendationRuleProperties = original.RecommendationRuleProperties
type RecommendationsClient = original.RecommendationsClient
type ReissueCertificateOrderRequest = original.ReissueCertificateOrderRequest
type ReissueCertificateOrderRequestProperties = original.ReissueCertificateOrderRequestProperties
type RelayServiceConnectionEntity = original.RelayServiceConnectionEntity
type RelayServiceConnectionEntityProperties = original.RelayServiceConnectionEntityProperties
type Rendering = original.Rendering
type RenewCertificateOrderRequest = original.RenewCertificateOrderRequest
type RenewCertificateOrderRequestProperties = original.RenewCertificateOrderRequestProperties
type RequestsBasedTrigger = original.RequestsBasedTrigger
type Resource = original.Resource
type ResourceCollection = original.ResourceCollection
type ResourceCollectionIterator = original.ResourceCollectionIterator
type ResourceCollectionPage = original.ResourceCollectionPage
type ResourceHealthMetadata = original.ResourceHealthMetadata
type ResourceHealthMetadataClient = original.ResourceHealthMetadataClient
type ResourceHealthMetadataCollection = original.ResourceHealthMetadataCollection
type ResourceHealthMetadataCollectionIterator = original.ResourceHealthMetadataCollectionIterator
type ResourceHealthMetadataCollectionPage = original.ResourceHealthMetadataCollectionPage
type ResourceHealthMetadataProperties = original.ResourceHealthMetadataProperties
type ResourceMetric = original.ResourceMetric
type ResourceMetricAvailability = original.ResourceMetricAvailability
type ResourceMetricCollection = original.ResourceMetricCollection
type ResourceMetricCollectionIterator = original.ResourceMetricCollectionIterator
type ResourceMetricCollectionPage = original.ResourceMetricCollectionPage
type ResourceMetricDefinition = original.ResourceMetricDefinition
type ResourceMetricDefinitionCollection = original.ResourceMetricDefinitionCollection
type ResourceMetricDefinitionCollectionIterator = original.ResourceMetricDefinitionCollectionIterator
type ResourceMetricDefinitionCollectionPage = original.ResourceMetricDefinitionCollectionPage
type ResourceMetricDefinitionProperties = original.ResourceMetricDefinitionProperties
type ResourceMetricName = original.ResourceMetricName
type ResourceMetricProperty = original.ResourceMetricProperty
type ResourceMetricValue = original.ResourceMetricValue
type ResourceNameAvailability = original.ResourceNameAvailability
type ResourceNameAvailabilityRequest = original.ResourceNameAvailabilityRequest
type ResponseMetaData = original.ResponseMetaData
type RestoreRequest = original.RestoreRequest
type RestoreRequestProperties = original.RestoreRequestProperties
type RestoreResponse = original.RestoreResponse
type RestoreResponseProperties = original.RestoreResponseProperties
type ServiceSpecification = original.ServiceSpecification
type SetObject = original.SetObject
type Site = original.Site
type SiteAuthSettings = original.SiteAuthSettings
type SiteAuthSettingsProperties = original.SiteAuthSettingsProperties
type SiteCloneability = original.SiteCloneability
type SiteCloneabilityCriterion = original.SiteCloneabilityCriterion
type SiteConfig = original.SiteConfig
type SiteConfigResource = original.SiteConfigResource
type SiteConfigResourceCollection = original.SiteConfigResourceCollection
type SiteConfigResourceCollectionIterator = original.SiteConfigResourceCollectionIterator
type SiteConfigResourceCollectionPage = original.SiteConfigResourceCollectionPage
type SiteConfigurationSnapshotInfo = original.SiteConfigurationSnapshotInfo
type SiteConfigurationSnapshotInfoCollection = original.SiteConfigurationSnapshotInfoCollection
type SiteConfigurationSnapshotInfoCollectionIterator = original.SiteConfigurationSnapshotInfoCollectionIterator
type SiteConfigurationSnapshotInfoCollectionPage = original.SiteConfigurationSnapshotInfoCollectionPage
type SiteConfigurationSnapshotInfoProperties = original.SiteConfigurationSnapshotInfoProperties
type SiteExtensionInfo = original.SiteExtensionInfo
type SiteExtensionInfoCollection = original.SiteExtensionInfoCollection
type SiteExtensionInfoCollectionIterator = original.SiteExtensionInfoCollectionIterator
type SiteExtensionInfoCollectionPage = original.SiteExtensionInfoCollectionPage
type SiteExtensionInfoProperties = original.SiteExtensionInfoProperties
type SiteInstance = original.SiteInstance
type SiteInstanceProperties = original.SiteInstanceProperties
type SiteLimits = original.SiteLimits
type SiteLogsConfig = original.SiteLogsConfig
type SiteLogsConfigProperties = original.SiteLogsConfigProperties
type SiteMachineKey = original.SiteMachineKey
type SitePatchResource = original.SitePatchResource
type SitePatchResourceProperties = original.SitePatchResourceProperties
type SitePhpErrorLogFlag = original.SitePhpErrorLogFlag
type SitePhpErrorLogFlagProperties = original.SitePhpErrorLogFlagProperties
type SiteProperties = original.SiteProperties
type SiteSeal = original.SiteSeal
type SiteSealRequest = original.SiteSealRequest
type SiteSourceControl = original.SiteSourceControl
type SiteSourceControlProperties = original.SiteSourceControlProperties
type SkuCapacity = original.SkuCapacity
type SkuDescription = original.SkuDescription
type SkuInfo = original.SkuInfo
type SkuInfoCollection = original.SkuInfoCollection
type SkuInfoCollectionIterator = original.SkuInfoCollectionIterator
type SkuInfoCollectionPage = original.SkuInfoCollectionPage
type SkuInfos = original.SkuInfos
type SlotConfigNames = original.SlotConfigNames
type SlotConfigNamesResource = original.SlotConfigNamesResource
type SlotDifference = original.SlotDifference
type SlotDifferenceCollection = original.SlotDifferenceCollection
type SlotDifferenceCollectionIterator = original.SlotDifferenceCollectionIterator
type SlotDifferenceCollectionPage = original.SlotDifferenceCollectionPage
type SlotDifferenceProperties = original.SlotDifferenceProperties
type SlotSwapStatus = original.SlotSwapStatus
type SlowRequestsBasedTrigger = original.SlowRequestsBasedTrigger
type Snapshot = original.Snapshot
type SnapshotCollection = original.SnapshotCollection
type SnapshotCollectionIterator = original.SnapshotCollectionIterator
type SnapshotCollectionPage = original.SnapshotCollectionPage
type SnapshotProperties = original.SnapshotProperties
type SnapshotRecoveryRequest = original.SnapshotRecoveryRequest
type SnapshotRecoveryRequestProperties = original.SnapshotRecoveryRequestProperties
type SnapshotRecoveryTarget = original.SnapshotRecoveryTarget
type Solution = original.Solution
type SourceControl = original.SourceControl
type SourceControlCollection = original.SourceControlCollection
type SourceControlCollectionIterator = original.SourceControlCollectionIterator
type SourceControlCollectionPage = original.SourceControlCollectionPage
type SourceControlProperties = original.SourceControlProperties
type StackMajorVersion = original.StackMajorVersion
type StackMinorVersion = original.StackMinorVersion
type StampCapacity = original.StampCapacity
type StampCapacityCollection = original.StampCapacityCollection
type StampCapacityCollectionIterator = original.StampCapacityCollectionIterator
type StampCapacityCollectionPage = original.StampCapacityCollectionPage
type StatusCodesBasedTrigger = original.StatusCodesBasedTrigger
type StorageMigrationOptions = original.StorageMigrationOptions
type StorageMigrationOptionsProperties = original.StorageMigrationOptionsProperties
type StorageMigrationResponse = original.StorageMigrationResponse
type StorageMigrationResponseProperties = original.StorageMigrationResponseProperties
type String = original.String
type StringDictionary = original.StringDictionary
type TldLegalAgreement = original.TldLegalAgreement
type TldLegalAgreementCollection = original.TldLegalAgreementCollection
type TldLegalAgreementCollectionIterator = original.TldLegalAgreementCollectionIterator
type TldLegalAgreementCollectionPage = original.TldLegalAgreementCollectionPage
type TopLevelDomain = original.TopLevelDomain
type TopLevelDomainAgreementOption = original.TopLevelDomainAgreementOption
type TopLevelDomainCollection = original.TopLevelDomainCollection
type TopLevelDomainCollectionIterator = original.TopLevelDomainCollectionIterator
type TopLevelDomainCollectionPage = original.TopLevelDomainCollectionPage
type TopLevelDomainProperties = original.TopLevelDomainProperties
type TopLevelDomainsClient = original.TopLevelDomainsClient
type TriggeredJobHistory = original.TriggeredJobHistory
type TriggeredJobHistoryCollection = original.TriggeredJobHistoryCollection
type TriggeredJobHistoryCollectionIterator = original.TriggeredJobHistoryCollectionIterator
type TriggeredJobHistoryCollectionPage = original.TriggeredJobHistoryCollectionPage
type TriggeredJobHistoryProperties = original.TriggeredJobHistoryProperties
type TriggeredJobRun = original.TriggeredJobRun
type TriggeredJobRunProperties = original.TriggeredJobRunProperties
type TriggeredWebJob = original.TriggeredWebJob
type TriggeredWebJobCollection = original.TriggeredWebJobCollection
type TriggeredWebJobCollectionIterator = original.TriggeredWebJobCollectionIterator
type TriggeredWebJobCollectionPage = original.TriggeredWebJobCollectionPage
type TriggeredWebJobProperties = original.TriggeredWebJobProperties
type Usage = original.Usage
type UsageCollection = original.UsageCollection
type UsageCollectionIterator = original.UsageCollectionIterator
type UsageCollectionPage = original.UsageCollectionPage
type UsageProperties = original.UsageProperties
type User = original.User
type UserProperties = original.UserProperties
type ValidateProperties = original.ValidateProperties
type ValidateRequest = original.ValidateRequest
type ValidateResponse = original.ValidateResponse
type ValidateResponseError = original.ValidateResponseError
type VirtualApplication = original.VirtualApplication
type VirtualDirectory = original.VirtualDirectory
type VirtualIPMapping = original.VirtualIPMapping
type VirtualNetworkProfile = original.VirtualNetworkProfile
type VnetGateway = original.VnetGateway
type VnetGatewayProperties = original.VnetGatewayProperties
type VnetInfo = original.VnetInfo
type VnetInfoProperties = original.VnetInfoProperties
type VnetParameters = original.VnetParameters
type VnetParametersProperties = original.VnetParametersProperties
type VnetRoute = original.VnetRoute
type VnetRouteProperties = original.VnetRouteProperties
type VnetValidationFailureDetails = original.VnetValidationFailureDetails
type VnetValidationFailureDetailsProperties = original.VnetValidationFailureDetailsProperties
type VnetValidationTestFailure = original.VnetValidationTestFailure
type VnetValidationTestFailureProperties = original.VnetValidationTestFailureProperties
type WorkerPool = original.WorkerPool
type WorkerPoolCollection = original.WorkerPoolCollection
type WorkerPoolCollectionIterator = original.WorkerPoolCollectionIterator
type WorkerPoolCollectionPage = original.WorkerPoolCollectionPage
type WorkerPoolResource = original.WorkerPoolResource

func New(subscriptionID string) BaseClient {
	return original.New(subscriptionID)
}
func NewAppCollectionIterator(page AppCollectionPage) AppCollectionIterator {
	return original.NewAppCollectionIterator(page)
}
func NewAppCollectionPage(cur AppCollection, getNextPage func(context.Context, AppCollection) (AppCollection, error)) AppCollectionPage {
	return original.NewAppCollectionPage(cur, getNextPage)
}
func NewAppInstanceCollectionIterator(page AppInstanceCollectionPage) AppInstanceCollectionIterator {
	return original.NewAppInstanceCollectionIterator(page)
}
func NewAppInstanceCollectionPage(cur AppInstanceCollection, getNextPage func(context.Context, AppInstanceCollection) (AppInstanceCollection, error)) AppInstanceCollectionPage {
	return original.NewAppInstanceCollectionPage(cur, getNextPage)
}
func NewAppServiceCertificateCollectionIterator(page AppServiceCertificateCollectionPage) AppServiceCertificateCollectionIterator {
	return original.NewAppServiceCertificateCollectionIterator(page)
}
func NewAppServiceCertificateCollectionPage(cur AppServiceCertificateCollection, getNextPage func(context.Context, AppServiceCertificateCollection) (AppServiceCertificateCollection, error)) AppServiceCertificateCollectionPage {
	return original.NewAppServiceCertificateCollectionPage(cur, getNextPage)
}
func NewAppServiceCertificateOrderCollectionIterator(page AppServiceCertificateOrderCollectionPage) AppServiceCertificateOrderCollectionIterator {
	return original.NewAppServiceCertificateOrderCollectionIterator(page)
}
func NewAppServiceCertificateOrderCollectionPage(cur AppServiceCertificateOrderCollection, getNextPage func(context.Context, AppServiceCertificateOrderCollection) (AppServiceCertificateOrderCollection, error)) AppServiceCertificateOrderCollectionPage {
	return original.NewAppServiceCertificateOrderCollectionPage(cur, getNextPage)
}
func NewAppServiceCertificateOrdersClient(subscriptionID string) AppServiceCertificateOrdersClient {
	return original.NewAppServiceCertificateOrdersClient(subscriptionID)
}
func NewAppServiceCertificateOrdersClientWithBaseURI(baseURI string, subscriptionID string) AppServiceCertificateOrdersClient {
	return original.NewAppServiceCertificateOrdersClientWithBaseURI(baseURI, subscriptionID)
}
func NewAppServiceEnvironmentCollectionIterator(page AppServiceEnvironmentCollectionPage) AppServiceEnvironmentCollectionIterator {
	return original.NewAppServiceEnvironmentCollectionIterator(page)
}
func NewAppServiceEnvironmentCollectionPage(cur AppServiceEnvironmentCollection, getNextPage func(context.Context, AppServiceEnvironmentCollection) (AppServiceEnvironmentCollection, error)) AppServiceEnvironmentCollectionPage {
	return original.NewAppServiceEnvironmentCollectionPage(cur, getNextPage)
}
func NewAppServiceEnvironmentsClient(subscriptionID string) AppServiceEnvironmentsClient {
	return original.NewAppServiceEnvironmentsClient(subscriptionID)
}
func NewAppServiceEnvironmentsClientWithBaseURI(baseURI string, subscriptionID string) AppServiceEnvironmentsClient {
	return original.NewAppServiceEnvironmentsClientWithBaseURI(baseURI, subscriptionID)
}
func NewAppServicePlanCollectionIterator(page AppServicePlanCollectionPage) AppServicePlanCollectionIterator {
	return original.NewAppServicePlanCollectionIterator(page)
}
func NewAppServicePlanCollectionPage(cur AppServicePlanCollection, getNextPage func(context.Context, AppServicePlanCollection) (AppServicePlanCollection, error)) AppServicePlanCollectionPage {
	return original.NewAppServicePlanCollectionPage(cur, getNextPage)
}
func NewAppServicePlansClient(subscriptionID string) AppServicePlansClient {
	return original.NewAppServicePlansClient(subscriptionID)
}
func NewAppServicePlansClientWithBaseURI(baseURI string, subscriptionID string) AppServicePlansClient {
	return original.NewAppServicePlansClientWithBaseURI(baseURI, subscriptionID)
}
func NewApplicationStackCollectionIterator(page ApplicationStackCollectionPage) ApplicationStackCollectionIterator {
	return original.NewApplicationStackCollectionIterator(page)
}
func NewApplicationStackCollectionPage(cur ApplicationStackCollection, getNextPage func(context.Context, ApplicationStackCollection) (ApplicationStackCollection, error)) ApplicationStackCollectionPage {
	return original.NewApplicationStackCollectionPage(cur, getNextPage)
}
func NewAppsClient(subscriptionID string) AppsClient {
	return original.NewAppsClient(subscriptionID)
}
func NewAppsClientWithBaseURI(baseURI string, subscriptionID string) AppsClient {
	return original.NewAppsClientWithBaseURI(baseURI, subscriptionID)
}
func NewBackupItemCollectionIterator(page BackupItemCollectionPage) BackupItemCollectionIterator {
	return original.NewBackupItemCollectionIterator(page)
}
func NewBackupItemCollectionPage(cur BackupItemCollection, getNextPage func(context.Context, BackupItemCollection) (BackupItemCollection, error)) BackupItemCollectionPage {
	return original.NewBackupItemCollectionPage(cur, getNextPage)
}
func NewBillingMeterCollectionIterator(page BillingMeterCollectionPage) BillingMeterCollectionIterator {
	return original.NewBillingMeterCollectionIterator(page)
}
func NewBillingMeterCollectionPage(cur BillingMeterCollection, getNextPage func(context.Context, BillingMeterCollection) (BillingMeterCollection, error)) BillingMeterCollectionPage {
	return original.NewBillingMeterCollectionPage(cur, getNextPage)
}
func NewBillingMetersClient(subscriptionID string) BillingMetersClient {
	return original.NewBillingMetersClient(subscriptionID)
}
func NewBillingMetersClientWithBaseURI(baseURI string, subscriptionID string) BillingMetersClient {
	return original.NewBillingMetersClientWithBaseURI(baseURI, subscriptionID)
}
func NewCertificateCollectionIterator(page CertificateCollectionPage) CertificateCollectionIterator {
	return original.NewCertificateCollectionIterator(page)
}
func NewCertificateCollectionPage(cur CertificateCollection, getNextPage func(context.Context, CertificateCollection) (CertificateCollection, error)) CertificateCollectionPage {
	return original.NewCertificateCollectionPage(cur, getNextPage)
}
func NewCertificateRegistrationProviderClient(subscriptionID string) CertificateRegistrationProviderClient {
	return original.NewCertificateRegistrationProviderClient(subscriptionID)
}
func NewCertificateRegistrationProviderClientWithBaseURI(baseURI string, subscriptionID string) CertificateRegistrationProviderClient {
	return original.NewCertificateRegistrationProviderClientWithBaseURI(baseURI, subscriptionID)
}
func NewCertificatesClient(subscriptionID string) CertificatesClient {
	return original.NewCertificatesClient(subscriptionID)
}
func NewCertificatesClientWithBaseURI(baseURI string, subscriptionID string) CertificatesClient {
	return original.NewCertificatesClientWithBaseURI(baseURI, subscriptionID)
}
func NewContinuousWebJobCollectionIterator(page ContinuousWebJobCollectionPage) ContinuousWebJobCollectionIterator {
	return original.NewContinuousWebJobCollectionIterator(page)
}
func NewContinuousWebJobCollectionPage(cur ContinuousWebJobCollection, getNextPage func(context.Context, ContinuousWebJobCollection) (ContinuousWebJobCollection, error)) ContinuousWebJobCollectionPage {
	return original.NewContinuousWebJobCollectionPage(cur, getNextPage)
}
func NewCsmOperationCollectionIterator(page CsmOperationCollectionPage) CsmOperationCollectionIterator {
	return original.NewCsmOperationCollectionIterator(page)
}
func NewCsmOperationCollectionPage(cur CsmOperationCollection, getNextPage func(context.Context, CsmOperationCollection) (CsmOperationCollection, error)) CsmOperationCollectionPage {
	return original.NewCsmOperationCollectionPage(cur, getNextPage)
}
func NewCsmUsageQuotaCollectionIterator(page CsmUsageQuotaCollectionPage) CsmUsageQuotaCollectionIterator {
	return original.NewCsmUsageQuotaCollectionIterator(page)
}
func NewCsmUsageQuotaCollectionPage(cur CsmUsageQuotaCollection, getNextPage func(context.Context, CsmUsageQuotaCollection) (CsmUsageQuotaCollection, error)) CsmUsageQuotaCollectionPage {
	return original.NewCsmUsageQuotaCollectionPage(cur, getNextPage)
}
func NewDeletedWebAppCollectionIterator(page DeletedWebAppCollectionPage) DeletedWebAppCollectionIterator {
	return original.NewDeletedWebAppCollectionIterator(page)
}
func NewDeletedWebAppCollectionPage(cur DeletedWebAppCollection, getNextPage func(context.Context, DeletedWebAppCollection) (DeletedWebAppCollection, error)) DeletedWebAppCollectionPage {
	return original.NewDeletedWebAppCollectionPage(cur, getNextPage)
}
func NewDeletedWebAppsClient(subscriptionID string) DeletedWebAppsClient {
	return original.NewDeletedWebAppsClient(subscriptionID)
}
func NewDeletedWebAppsClientWithBaseURI(baseURI string, subscriptionID string) DeletedWebAppsClient {
	return original.NewDeletedWebAppsClientWithBaseURI(baseURI, subscriptionID)
}
func NewDeploymentCollectionIterator(page DeploymentCollectionPage) DeploymentCollectionIterator {
	return original.NewDeploymentCollectionIterator(page)
}
func NewDeploymentCollectionPage(cur DeploymentCollection, getNextPage func(context.Context, DeploymentCollection) (DeploymentCollection, error)) DeploymentCollectionPage {
	return original.NewDeploymentCollectionPage(cur, getNextPage)
}
func NewDetectorResponseCollectionIterator(page DetectorResponseCollectionPage) DetectorResponseCollectionIterator {
	return original.NewDetectorResponseCollectionIterator(page)
}
func NewDetectorResponseCollectionPage(cur DetectorResponseCollection, getNextPage func(context.Context, DetectorResponseCollection) (DetectorResponseCollection, error)) DetectorResponseCollectionPage {
	return original.NewDetectorResponseCollectionPage(cur, getNextPage)
}
func NewDiagnosticAnalysisCollectionIterator(page DiagnosticAnalysisCollectionPage) DiagnosticAnalysisCollectionIterator {
	return original.NewDiagnosticAnalysisCollectionIterator(page)
}
func NewDiagnosticAnalysisCollectionPage(cur DiagnosticAnalysisCollection, getNextPage func(context.Context, DiagnosticAnalysisCollection) (DiagnosticAnalysisCollection, error)) DiagnosticAnalysisCollectionPage {
	return original.NewDiagnosticAnalysisCollectionPage(cur, getNextPage)
}
func NewDiagnosticCategoryCollectionIterator(page DiagnosticCategoryCollectionPage) DiagnosticCategoryCollectionIterator {
	return original.NewDiagnosticCategoryCollectionIterator(page)
}
func NewDiagnosticCategoryCollectionPage(cur DiagnosticCategoryCollection, getNextPage func(context.Context, DiagnosticCategoryCollection) (DiagnosticCategoryCollection, error)) DiagnosticCategoryCollectionPage {
	return original.NewDiagnosticCategoryCollectionPage(cur, getNextPage)
}
func NewDiagnosticDetectorCollectionIterator(page DiagnosticDetectorCollectionPage) DiagnosticDetectorCollectionIterator {
	return original.NewDiagnosticDetectorCollectionIterator(page)
}
func NewDiagnosticDetectorCollectionPage(cur DiagnosticDetectorCollection, getNextPage func(context.Context, DiagnosticDetectorCollection) (DiagnosticDetectorCollection, error)) DiagnosticDetectorCollectionPage {
	return original.NewDiagnosticDetectorCollectionPage(cur, getNextPage)
}
func NewDiagnosticsClient(subscriptionID string) DiagnosticsClient {
	return original.NewDiagnosticsClient(subscriptionID)
}
func NewDiagnosticsClientWithBaseURI(baseURI string, subscriptionID string) DiagnosticsClient {
	return original.NewDiagnosticsClientWithBaseURI(baseURI, subscriptionID)
}
func NewDomainCollectionIterator(page DomainCollectionPage) DomainCollectionIterator {
	return original.NewDomainCollectionIterator(page)
}
func NewDomainCollectionPage(cur DomainCollection, getNextPage func(context.Context, DomainCollection) (DomainCollection, error)) DomainCollectionPage {
	return original.NewDomainCollectionPage(cur, getNextPage)
}
func NewDomainOwnershipIdentifierCollectionIterator(page DomainOwnershipIdentifierCollectionPage) DomainOwnershipIdentifierCollectionIterator {
	return original.NewDomainOwnershipIdentifierCollectionIterator(page)
}
func NewDomainOwnershipIdentifierCollectionPage(cur DomainOwnershipIdentifierCollection, getNextPage func(context.Context, DomainOwnershipIdentifierCollection) (DomainOwnershipIdentifierCollection, error)) DomainOwnershipIdentifierCollectionPage {
	return original.NewDomainOwnershipIdentifierCollectionPage(cur, getNextPage)
}
func NewDomainRegistrationProviderClient(subscriptionID string) DomainRegistrationProviderClient {
	return original.NewDomainRegistrationProviderClient(subscriptionID)
}
func NewDomainRegistrationProviderClientWithBaseURI(baseURI string, subscriptionID string) DomainRegistrationProviderClient {
	return original.NewDomainRegistrationProviderClientWithBaseURI(baseURI, subscriptionID)
}
func NewDomainsClient(subscriptionID string) DomainsClient {
	return original.NewDomainsClient(subscriptionID)
}
func NewDomainsClientWithBaseURI(baseURI string, subscriptionID string) DomainsClient {
	return original.NewDomainsClientWithBaseURI(baseURI, subscriptionID)
}
func NewFunctionEnvelopeCollectionIterator(page FunctionEnvelopeCollectionPage) FunctionEnvelopeCollectionIterator {
	return original.NewFunctionEnvelopeCollectionIterator(page)
}
func NewFunctionEnvelopeCollectionPage(cur FunctionEnvelopeCollection, getNextPage func(context.Context, FunctionEnvelopeCollection) (FunctionEnvelopeCollection, error)) FunctionEnvelopeCollectionPage {
	return original.NewFunctionEnvelopeCollectionPage(cur, getNextPage)
}
func NewGeoRegionCollectionIterator(page GeoRegionCollectionPage) GeoRegionCollectionIterator {
	return original.NewGeoRegionCollectionIterator(page)
}
func NewGeoRegionCollectionPage(cur GeoRegionCollection, getNextPage func(context.Context, GeoRegionCollection) (GeoRegionCollection, error)) GeoRegionCollectionPage {
	return original.NewGeoRegionCollectionPage(cur, getNextPage)
}
func NewHostNameBindingCollectionIterator(page HostNameBindingCollectionPage) HostNameBindingCollectionIterator {
	return original.NewHostNameBindingCollectionIterator(page)
}
func NewHostNameBindingCollectionPage(cur HostNameBindingCollection, getNextPage func(context.Context, HostNameBindingCollection) (HostNameBindingCollection, error)) HostNameBindingCollectionPage {
	return original.NewHostNameBindingCollectionPage(cur, getNextPage)
}
func NewHybridConnectionCollectionIterator(page HybridConnectionCollectionPage) HybridConnectionCollectionIterator {
	return original.NewHybridConnectionCollectionIterator(page)
}
func NewHybridConnectionCollectionPage(cur HybridConnectionCollection, getNextPage func(context.Context, HybridConnectionCollection) (HybridConnectionCollection, error)) HybridConnectionCollectionPage {
	return original.NewHybridConnectionCollectionPage(cur, getNextPage)
}
func NewIdentifierCollectionIterator(page IdentifierCollectionPage) IdentifierCollectionIterator {
	return original.NewIdentifierCollectionIterator(page)
}
func NewIdentifierCollectionPage(cur IdentifierCollection, getNextPage func(context.Context, IdentifierCollection) (IdentifierCollection, error)) IdentifierCollectionPage {
	return original.NewIdentifierCollectionPage(cur, getNextPage)
}
func NewJobCollectionIterator(page JobCollectionPage) JobCollectionIterator {
	return original.NewJobCollectionIterator(page)
}
func NewJobCollectionPage(cur JobCollection, getNextPage func(context.Context, JobCollection) (JobCollection, error)) JobCollectionPage {
	return original.NewJobCollectionPage(cur, getNextPage)
}
func NewNameIdentifierCollectionIterator(page NameIdentifierCollectionPage) NameIdentifierCollectionIterator {
	return original.NewNameIdentifierCollectionIterator(page)
}
func NewNameIdentifierCollectionPage(cur NameIdentifierCollection, getNextPage func(context.Context, NameIdentifierCollection) (NameIdentifierCollection, error)) NameIdentifierCollectionPage {
	return original.NewNameIdentifierCollectionPage(cur, getNextPage)
}
func NewPerfMonCounterCollectionIterator(page PerfMonCounterCollectionPage) PerfMonCounterCollectionIterator {
	return original.NewPerfMonCounterCollectionIterator(page)
}
func NewPerfMonCounterCollectionPage(cur PerfMonCounterCollection, getNextPage func(context.Context, PerfMonCounterCollection) (PerfMonCounterCollection, error)) PerfMonCounterCollectionPage {
	return original.NewPerfMonCounterCollectionPage(cur, getNextPage)
}
func NewPremierAddOnOfferCollectionIterator(page PremierAddOnOfferCollectionPage) PremierAddOnOfferCollectionIterator {
	return original.NewPremierAddOnOfferCollectionIterator(page)
}
func NewPremierAddOnOfferCollectionPage(cur PremierAddOnOfferCollection, getNextPage func(context.Context, PremierAddOnOfferCollection) (PremierAddOnOfferCollection, error)) PremierAddOnOfferCollectionPage {
	return original.NewPremierAddOnOfferCollectionPage(cur, getNextPage)
}
func NewProcessInfoCollectionIterator(page ProcessInfoCollectionPage) ProcessInfoCollectionIterator {
	return original.NewProcessInfoCollectionIterator(page)
}
func NewProcessInfoCollectionPage(cur ProcessInfoCollection, getNextPage func(context.Context, ProcessInfoCollection) (ProcessInfoCollection, error)) ProcessInfoCollectionPage {
	return original.NewProcessInfoCollectionPage(cur, getNextPage)
}
func NewProcessModuleInfoCollectionIterator(page ProcessModuleInfoCollectionPage) ProcessModuleInfoCollectionIterator {
	return original.NewProcessModuleInfoCollectionIterator(page)
}
func NewProcessModuleInfoCollectionPage(cur ProcessModuleInfoCollection, getNextPage func(context.Context, ProcessModuleInfoCollection) (ProcessModuleInfoCollection, error)) ProcessModuleInfoCollectionPage {
	return original.NewProcessModuleInfoCollectionPage(cur, getNextPage)
}
func NewProcessThreadInfoCollectionIterator(page ProcessThreadInfoCollectionPage) ProcessThreadInfoCollectionIterator {
	return original.NewProcessThreadInfoCollectionIterator(page)
}
func NewProcessThreadInfoCollectionPage(cur ProcessThreadInfoCollection, getNextPage func(context.Context, ProcessThreadInfoCollection) (ProcessThreadInfoCollection, error)) ProcessThreadInfoCollectionPage {
	return original.NewProcessThreadInfoCollectionPage(cur, getNextPage)
}
func NewProviderClient(subscriptionID string) ProviderClient {
	return original.NewProviderClient(subscriptionID)
}
func NewProviderClientWithBaseURI(baseURI string, subscriptionID string) ProviderClient {
	return original.NewProviderClientWithBaseURI(baseURI, subscriptionID)
}
func NewPublicCertificateCollectionIterator(page PublicCertificateCollectionPage) PublicCertificateCollectionIterator {
	return original.NewPublicCertificateCollectionIterator(page)
}
func NewPublicCertificateCollectionPage(cur PublicCertificateCollection, getNextPage func(context.Context, PublicCertificateCollection) (PublicCertificateCollection, error)) PublicCertificateCollectionPage {
	return original.NewPublicCertificateCollectionPage(cur, getNextPage)
}
func NewRecommendationCollectionIterator(page RecommendationCollectionPage) RecommendationCollectionIterator {
	return original.NewRecommendationCollectionIterator(page)
}
func NewRecommendationCollectionPage(cur RecommendationCollection, getNextPage func(context.Context, RecommendationCollection) (RecommendationCollection, error)) RecommendationCollectionPage {
	return original.NewRecommendationCollectionPage(cur, getNextPage)
}
func NewRecommendationsClient(subscriptionID string) RecommendationsClient {
	return original.NewRecommendationsClient(subscriptionID)
}
func NewRecommendationsClientWithBaseURI(baseURI string, subscriptionID string) RecommendationsClient {
	return original.NewRecommendationsClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceCollectionIterator(page ResourceCollectionPage) ResourceCollectionIterator {
	return original.NewResourceCollectionIterator(page)
}
func NewResourceCollectionPage(cur ResourceCollection, getNextPage func(context.Context, ResourceCollection) (ResourceCollection, error)) ResourceCollectionPage {
	return original.NewResourceCollectionPage(cur, getNextPage)
}
func NewResourceHealthMetadataClient(subscriptionID string) ResourceHealthMetadataClient {
	return original.NewResourceHealthMetadataClient(subscriptionID)
}
func NewResourceHealthMetadataClientWithBaseURI(baseURI string, subscriptionID string) ResourceHealthMetadataClient {
	return original.NewResourceHealthMetadataClientWithBaseURI(baseURI, subscriptionID)
}
func NewResourceHealthMetadataCollectionIterator(page ResourceHealthMetadataCollectionPage) ResourceHealthMetadataCollectionIterator {
	return original.NewResourceHealthMetadataCollectionIterator(page)
}
func NewResourceHealthMetadataCollectionPage(cur ResourceHealthMetadataCollection, getNextPage func(context.Context, ResourceHealthMetadataCollection) (ResourceHealthMetadataCollection, error)) ResourceHealthMetadataCollectionPage {
	return original.NewResourceHealthMetadataCollectionPage(cur, getNextPage)
}
func NewResourceMetricCollectionIterator(page ResourceMetricCollectionPage) ResourceMetricCollectionIterator {
	return original.NewResourceMetricCollectionIterator(page)
}
func NewResourceMetricCollectionPage(cur ResourceMetricCollection, getNextPage func(context.Context, ResourceMetricCollection) (ResourceMetricCollection, error)) ResourceMetricCollectionPage {
	return original.NewResourceMetricCollectionPage(cur, getNextPage)
}
func NewResourceMetricDefinitionCollectionIterator(page ResourceMetricDefinitionCollectionPage) ResourceMetricDefinitionCollectionIterator {
	return original.NewResourceMetricDefinitionCollectionIterator(page)
}
func NewResourceMetricDefinitionCollectionPage(cur ResourceMetricDefinitionCollection, getNextPage func(context.Context, ResourceMetricDefinitionCollection) (ResourceMetricDefinitionCollection, error)) ResourceMetricDefinitionCollectionPage {
	return original.NewResourceMetricDefinitionCollectionPage(cur, getNextPage)
}
func NewSiteConfigResourceCollectionIterator(page SiteConfigResourceCollectionPage) SiteConfigResourceCollectionIterator {
	return original.NewSiteConfigResourceCollectionIterator(page)
}
func NewSiteConfigResourceCollectionPage(cur SiteConfigResourceCollection, getNextPage func(context.Context, SiteConfigResourceCollection) (SiteConfigResourceCollection, error)) SiteConfigResourceCollectionPage {
	return original.NewSiteConfigResourceCollectionPage(cur, getNextPage)
}
func NewSiteConfigurationSnapshotInfoCollectionIterator(page SiteConfigurationSnapshotInfoCollectionPage) SiteConfigurationSnapshotInfoCollectionIterator {
	return original.NewSiteConfigurationSnapshotInfoCollectionIterator(page)
}
func NewSiteConfigurationSnapshotInfoCollectionPage(cur SiteConfigurationSnapshotInfoCollection, getNextPage func(context.Context, SiteConfigurationSnapshotInfoCollection) (SiteConfigurationSnapshotInfoCollection, error)) SiteConfigurationSnapshotInfoCollectionPage {
	return original.NewSiteConfigurationSnapshotInfoCollectionPage(cur, getNextPage)
}
func NewSiteExtensionInfoCollectionIterator(page SiteExtensionInfoCollectionPage) SiteExtensionInfoCollectionIterator {
	return original.NewSiteExtensionInfoCollectionIterator(page)
}
func NewSiteExtensionInfoCollectionPage(cur SiteExtensionInfoCollection, getNextPage func(context.Context, SiteExtensionInfoCollection) (SiteExtensionInfoCollection, error)) SiteExtensionInfoCollectionPage {
	return original.NewSiteExtensionInfoCollectionPage(cur, getNextPage)
}
func NewSkuInfoCollectionIterator(page SkuInfoCollectionPage) SkuInfoCollectionIterator {
	return original.NewSkuInfoCollectionIterator(page)
}
func NewSkuInfoCollectionPage(cur SkuInfoCollection, getNextPage func(context.Context, SkuInfoCollection) (SkuInfoCollection, error)) SkuInfoCollectionPage {
	return original.NewSkuInfoCollectionPage(cur, getNextPage)
}
func NewSlotDifferenceCollectionIterator(page SlotDifferenceCollectionPage) SlotDifferenceCollectionIterator {
	return original.NewSlotDifferenceCollectionIterator(page)
}
func NewSlotDifferenceCollectionPage(cur SlotDifferenceCollection, getNextPage func(context.Context, SlotDifferenceCollection) (SlotDifferenceCollection, error)) SlotDifferenceCollectionPage {
	return original.NewSlotDifferenceCollectionPage(cur, getNextPage)
}
func NewSnapshotCollectionIterator(page SnapshotCollectionPage) SnapshotCollectionIterator {
	return original.NewSnapshotCollectionIterator(page)
}
func NewSnapshotCollectionPage(cur SnapshotCollection, getNextPage func(context.Context, SnapshotCollection) (SnapshotCollection, error)) SnapshotCollectionPage {
	return original.NewSnapshotCollectionPage(cur, getNextPage)
}
func NewSourceControlCollectionIterator(page SourceControlCollectionPage) SourceControlCollectionIterator {
	return original.NewSourceControlCollectionIterator(page)
}
func NewSourceControlCollectionPage(cur SourceControlCollection, getNextPage func(context.Context, SourceControlCollection) (SourceControlCollection, error)) SourceControlCollectionPage {
	return original.NewSourceControlCollectionPage(cur, getNextPage)
}
func NewStampCapacityCollectionIterator(page StampCapacityCollectionPage) StampCapacityCollectionIterator {
	return original.NewStampCapacityCollectionIterator(page)
}
func NewStampCapacityCollectionPage(cur StampCapacityCollection, getNextPage func(context.Context, StampCapacityCollection) (StampCapacityCollection, error)) StampCapacityCollectionPage {
	return original.NewStampCapacityCollectionPage(cur, getNextPage)
}
func NewTldLegalAgreementCollectionIterator(page TldLegalAgreementCollectionPage) TldLegalAgreementCollectionIterator {
	return original.NewTldLegalAgreementCollectionIterator(page)
}
func NewTldLegalAgreementCollectionPage(cur TldLegalAgreementCollection, getNextPage func(context.Context, TldLegalAgreementCollection) (TldLegalAgreementCollection, error)) TldLegalAgreementCollectionPage {
	return original.NewTldLegalAgreementCollectionPage(cur, getNextPage)
}
func NewTopLevelDomainCollectionIterator(page TopLevelDomainCollectionPage) TopLevelDomainCollectionIterator {
	return original.NewTopLevelDomainCollectionIterator(page)
}
func NewTopLevelDomainCollectionPage(cur TopLevelDomainCollection, getNextPage func(context.Context, TopLevelDomainCollection) (TopLevelDomainCollection, error)) TopLevelDomainCollectionPage {
	return original.NewTopLevelDomainCollectionPage(cur, getNextPage)
}
func NewTopLevelDomainsClient(subscriptionID string) TopLevelDomainsClient {
	return original.NewTopLevelDomainsClient(subscriptionID)
}
func NewTopLevelDomainsClientWithBaseURI(baseURI string, subscriptionID string) TopLevelDomainsClient {
	return original.NewTopLevelDomainsClientWithBaseURI(baseURI, subscriptionID)
}
func NewTriggeredJobHistoryCollectionIterator(page TriggeredJobHistoryCollectionPage) TriggeredJobHistoryCollectionIterator {
	return original.NewTriggeredJobHistoryCollectionIterator(page)
}
func NewTriggeredJobHistoryCollectionPage(cur TriggeredJobHistoryCollection, getNextPage func(context.Context, TriggeredJobHistoryCollection) (TriggeredJobHistoryCollection, error)) TriggeredJobHistoryCollectionPage {
	return original.NewTriggeredJobHistoryCollectionPage(cur, getNextPage)
}
func NewTriggeredWebJobCollectionIterator(page TriggeredWebJobCollectionPage) TriggeredWebJobCollectionIterator {
	return original.NewTriggeredWebJobCollectionIterator(page)
}
func NewTriggeredWebJobCollectionPage(cur TriggeredWebJobCollection, getNextPage func(context.Context, TriggeredWebJobCollection) (TriggeredWebJobCollection, error)) TriggeredWebJobCollectionPage {
	return original.NewTriggeredWebJobCollectionPage(cur, getNextPage)
}
func NewUsageCollectionIterator(page UsageCollectionPage) UsageCollectionIterator {
	return original.NewUsageCollectionIterator(page)
}
func NewUsageCollectionPage(cur UsageCollection, getNextPage func(context.Context, UsageCollection) (UsageCollection, error)) UsageCollectionPage {
	return original.NewUsageCollectionPage(cur, getNextPage)
}
func NewWithBaseURI(baseURI string, subscriptionID string) BaseClient {
	return original.NewWithBaseURI(baseURI, subscriptionID)
}
func NewWorkerPoolCollectionIterator(page WorkerPoolCollectionPage) WorkerPoolCollectionIterator {
	return original.NewWorkerPoolCollectionIterator(page)
}
func NewWorkerPoolCollectionPage(cur WorkerPoolCollection, getNextPage func(context.Context, WorkerPoolCollection) (WorkerPoolCollection, error)) WorkerPoolCollectionPage {
	return original.NewWorkerPoolCollectionPage(cur, getNextPage)
}
func PossibleAccessControlEntryActionValues() []AccessControlEntryAction {
	return original.PossibleAccessControlEntryActionValues()
}
func PossibleAppServicePlanRestrictionsValues() []AppServicePlanRestrictions {
	return original.PossibleAppServicePlanRestrictionsValues()
}
func PossibleAutoHealActionTypeValues() []AutoHealActionType {
	return original.PossibleAutoHealActionTypeValues()
}
func PossibleAzureResourceTypeValues() []AzureResourceType {
	return original.PossibleAzureResourceTypeValues()
}
func PossibleBackupItemStatusValues() []BackupItemStatus {
	return original.PossibleBackupItemStatusValues()
}
func PossibleBackupRestoreOperationTypeValues() []BackupRestoreOperationType {
	return original.PossibleBackupRestoreOperationTypeValues()
}
func PossibleBuiltInAuthenticationProviderValues() []BuiltInAuthenticationProvider {
	return original.PossibleBuiltInAuthenticationProviderValues()
}
func PossibleCertificateOrderActionTypeValues() []CertificateOrderActionType {
	return original.PossibleCertificateOrderActionTypeValues()
}
func PossibleCertificateOrderStatusValues() []CertificateOrderStatus {
	return original.PossibleCertificateOrderStatusValues()
}
func PossibleCertificateProductTypeValues() []CertificateProductType {
	return original.PossibleCertificateProductTypeValues()
}
func PossibleChannelsValues() []Channels {
	return original.PossibleChannelsValues()
}
func PossibleCheckNameResourceTypesValues() []CheckNameResourceTypes {
	return original.PossibleCheckNameResourceTypesValues()
}
func PossibleCloneAbilityResultValues() []CloneAbilityResult {
	return original.PossibleCloneAbilityResultValues()
}
func PossibleComputeModeOptionsValues() []ComputeModeOptions {
	return original.PossibleComputeModeOptionsValues()
}
func PossibleConnectionStringTypeValues() []ConnectionStringType {
	return original.PossibleConnectionStringTypeValues()
}
func PossibleContinuousWebJobStatusValues() []ContinuousWebJobStatus {
	return original.PossibleContinuousWebJobStatusValues()
}
func PossibleCustomHostNameDNSRecordTypeValues() []CustomHostNameDNSRecordType {
	return original.PossibleCustomHostNameDNSRecordTypeValues()
}
func PossibleDNSTypeValues() []DNSType {
	return original.PossibleDNSTypeValues()
}
func PossibleDNSVerificationTestResultValues() []DNSVerificationTestResult {
	return original.PossibleDNSVerificationTestResultValues()
}
func PossibleDatabaseTypeValues() []DatabaseType {
	return original.PossibleDatabaseTypeValues()
}
func PossibleDomainStatusValues() []DomainStatus {
	return original.PossibleDomainStatusValues()
}
func PossibleDomainTypeValues() []DomainType {
	return original.PossibleDomainTypeValues()
}
func PossibleFrequencyUnitValues() []FrequencyUnit {
	return original.PossibleFrequencyUnitValues()
}
func PossibleHostNameTypeValues() []HostNameType {
	return original.PossibleHostNameTypeValues()
}
func PossibleHostTypeValues() []HostType {
	return original.PossibleHostTypeValues()
}
func PossibleHostingEnvironmentStatusValues() []HostingEnvironmentStatus {
	return original.PossibleHostingEnvironmentStatusValues()
}
func PossibleInAvailabilityReasonTypeValues() []InAvailabilityReasonType {
	return original.PossibleInAvailabilityReasonTypeValues()
}
func PossibleInternalLoadBalancingModeValues() []InternalLoadBalancingMode {
	return original.PossibleInternalLoadBalancingModeValues()
}
func PossibleIssueTypeValues() []IssueType {
	return original.PossibleIssueTypeValues()
}
func PossibleJobTypeValues() []JobType {
	return original.PossibleJobTypeValues()
}
func PossibleKeyVaultSecretStatusValues() []KeyVaultSecretStatus {
	return original.PossibleKeyVaultSecretStatusValues()
}
func PossibleLogLevelValues() []LogLevel {
	return original.PossibleLogLevelValues()
}
func PossibleMSDeployLogEntryTypeValues() []MSDeployLogEntryType {
	return original.PossibleMSDeployLogEntryTypeValues()
}
func PossibleMSDeployProvisioningStateValues() []MSDeployProvisioningState {
	return original.PossibleMSDeployProvisioningStateValues()
}
func PossibleManagedPipelineModeValues() []ManagedPipelineMode {
	return original.PossibleManagedPipelineModeValues()
}
func PossibleManagedServiceIdentityTypeValues() []ManagedServiceIdentityType {
	return original.PossibleManagedServiceIdentityTypeValues()
}
func PossibleMySQLMigrationTypeValues() []MySQLMigrationType {
	return original.PossibleMySQLMigrationTypeValues()
}
func PossibleNotificationLevelValues() []NotificationLevel {
	return original.PossibleNotificationLevelValues()
}
func PossibleOperationStatusValues() []OperationStatus {
	return original.PossibleOperationStatusValues()
}
func PossibleProvisioningStateValues() []ProvisioningState {
	return original.PossibleProvisioningStateValues()
}
func PossiblePublicCertificateLocationValues() []PublicCertificateLocation {
	return original.PossiblePublicCertificateLocationValues()
}
func PossiblePublishingProfileFormatValues() []PublishingProfileFormat {
	return original.PossiblePublishingProfileFormatValues()
}
func PossibleRenderingTypeValues() []RenderingType {
	return original.PossibleRenderingTypeValues()
}
func PossibleResourceScopeTypeValues() []ResourceScopeType {
	return original.PossibleResourceScopeTypeValues()
}
func PossibleRouteTypeValues() []RouteType {
	return original.PossibleRouteTypeValues()
}
func PossibleScmTypeValues() []ScmType {
	return original.PossibleScmTypeValues()
}
func PossibleSiteAvailabilityStateValues() []SiteAvailabilityState {
	return original.PossibleSiteAvailabilityStateValues()
}
func PossibleSiteExtensionTypeValues() []SiteExtensionType {
	return original.PossibleSiteExtensionTypeValues()
}
func PossibleSiteLoadBalancingValues() []SiteLoadBalancing {
	return original.PossibleSiteLoadBalancingValues()
}
func PossibleSkuNameValues() []SkuName {
	return original.PossibleSkuNameValues()
}
func PossibleSolutionTypeValues() []SolutionType {
	return original.PossibleSolutionTypeValues()
}
func PossibleSslStateValues() []SslState {
	return original.PossibleSslStateValues()
}
func PossibleStatusOptionsValues() []StatusOptions {
	return original.PossibleStatusOptionsValues()
}
func PossibleSupportedTLSVersionsValues() []SupportedTLSVersions {
	return original.PossibleSupportedTLSVersionsValues()
}
func PossibleTriggeredWebJobStatusValues() []TriggeredWebJobStatus {
	return original.PossibleTriggeredWebJobStatusValues()
}
func PossibleUnauthenticatedClientActionValues() []UnauthenticatedClientAction {
	return original.PossibleUnauthenticatedClientActionValues()
}
func PossibleUsageStateValues() []UsageState {
	return original.PossibleUsageStateValues()
}
func PossibleValidateResourceTypesValues() []ValidateResourceTypes {
	return original.PossibleValidateResourceTypesValues()
}
func PossibleWorkerSizeOptionsValues() []WorkerSizeOptions {
	return original.PossibleWorkerSizeOptionsValues()
}
func UserAgent() string {
	return original.UserAgent() + " profiles/2018-03-01"
}
func Version() string {
	return original.Version()
}
