package changeanalysisapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/changeanalysis/mgmt/2021-04-01/changeanalysis"
	"github.com/Azure/go-autorest/autorest/date"
)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context, skipToken string) (result changeanalysis.ResourceProviderOperationListPage, err error)
	ListComplete(ctx context.Context, skipToken string) (result changeanalysis.ResourceProviderOperationListIterator, err error)
}

var _ OperationsClientAPI = (*changeanalysis.OperationsClient)(nil)

// ResourceChangesClientAPI contains the set of methods on the ResourceChangesClient type.
type ResourceChangesClientAPI interface {
	List(ctx context.Context, resourceID string, startTime date.Time, endTime date.Time, skipToken string) (result changeanalysis.ChangeListPage, err error)
	ListComplete(ctx context.Context, resourceID string, startTime date.Time, endTime date.Time, skipToken string) (result changeanalysis.ChangeListIterator, err error)
}

var _ ResourceChangesClientAPI = (*changeanalysis.ResourceChangesClient)(nil)

// ChangesClientAPI contains the set of methods on the ChangesClient type.
type ChangesClientAPI interface {
	ListChangesByResourceGroup(ctx context.Context, resourceGroupName string, startTime date.Time, endTime date.Time, skipToken string) (result changeanalysis.ChangeListPage, err error)
	ListChangesByResourceGroupComplete(ctx context.Context, resourceGroupName string, startTime date.Time, endTime date.Time, skipToken string) (result changeanalysis.ChangeListIterator, err error)
	ListChangesBySubscription(ctx context.Context, startTime date.Time, endTime date.Time, skipToken string) (result changeanalysis.ChangeListPage, err error)
	ListChangesBySubscriptionComplete(ctx context.Context, startTime date.Time, endTime date.Time, skipToken string) (result changeanalysis.ChangeListIterator, err error)
}

var _ ChangesClientAPI = (*changeanalysis.ChangesClient)(nil)
