package healthbotapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/healthbot/mgmt/2020-12-08/healthbot"
)

// BotsClientAPI contains the set of methods on the BotsClient type.
type BotsClientAPI interface {
	Create(ctx context.Context, resourceGroupName string, botName string, parameters healthbot.HealthBot) (result healthbot.BotsCreateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, botName string) (result healthbot.BotsDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, botName string) (result healthbot.HealthBot, err error)
	List(ctx context.Context) (result healthbot.BotResponseListPage, err error)
	ListComplete(ctx context.Context) (result healthbot.BotResponseListIterator, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result healthbot.BotResponseListPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result healthbot.BotResponseListIterator, err error)
	Update(ctx context.Context, resourceGroupName string, botName string, parameters healthbot.UpdateParameters) (result healthbot.HealthBot, err error)
}

var _ BotsClientAPI = (*healthbot.BotsClient)(nil)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result healthbot.AvailableOperationsPage, err error)
	ListComplete(ctx context.Context) (result healthbot.AvailableOperationsIterator, err error)
}

var _ OperationsClientAPI = (*healthbot.OperationsClient)(nil)
