package mapsapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/maps/mgmt/2021-02-01/maps"
	"github.com/Azure/go-autorest/autorest"
)

// AccountsClientAPI contains the set of methods on the AccountsClient type.
type AccountsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, accountName string, mapsAccount maps.Account) (result maps.Account, err error)
	Delete(ctx context.Context, resourceGroupName string, accountName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, accountName string) (result maps.Account, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result maps.AccountsPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result maps.AccountsIterator, err error)
	ListBySubscription(ctx context.Context) (result maps.AccountsPage, err error)
	ListBySubscriptionComplete(ctx context.Context) (result maps.AccountsIterator, err error)
	ListKeys(ctx context.Context, resourceGroupName string, accountName string) (result maps.AccountKeys, err error)
	RegenerateKeys(ctx context.Context, resourceGroupName string, accountName string, keySpecification maps.KeySpecification) (result maps.AccountKeys, err error)
	Update(ctx context.Context, resourceGroupName string, accountName string, mapsAccountUpdateParameters maps.AccountUpdateParameters) (result maps.Account, err error)
}

var _ AccountsClientAPI = (*maps.AccountsClient)(nil)

// ClientAPI contains the set of methods on the Client type.
type ClientAPI interface {
	ListOperations(ctx context.Context) (result maps.OperationsPage, err error)
	ListOperationsComplete(ctx context.Context) (result maps.OperationsIterator, err error)
}

var _ ClientAPI = (*maps.Client)(nil)

// CreatorsClientAPI contains the set of methods on the CreatorsClient type.
type CreatorsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, accountName string, creatorName string, creatorResource maps.Creator) (result maps.Creator, err error)
	Delete(ctx context.Context, resourceGroupName string, accountName string, creatorName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, accountName string, creatorName string) (result maps.Creator, err error)
	ListByAccount(ctx context.Context, resourceGroupName string, accountName string) (result maps.CreatorListPage, err error)
	ListByAccountComplete(ctx context.Context, resourceGroupName string, accountName string) (result maps.CreatorListIterator, err error)
	Update(ctx context.Context, resourceGroupName string, accountName string, creatorName string, creatorUpdateParameters maps.CreatorUpdateParameters) (result maps.Creator, err error)
}

var _ CreatorsClientAPI = (*maps.CreatorsClient)(nil)
