package experimentationapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/machinelearning/mgmt/2017-05-01-preview/experimentation"
	"github.com/Azure/go-autorest/autorest"
)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result experimentation.OperationListResult, err error)
}

var _ OperationsClientAPI = (*experimentation.OperationsClient)(nil)

// AccountsClientAPI contains the set of methods on the AccountsClient type.
type AccountsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, accountName string, parameters experimentation.Account) (result experimentation.Account, err error)
	Delete(ctx context.Context, resourceGroupName string, accountName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, accountName string) (result experimentation.Account, err error)
	List(ctx context.Context) (result experimentation.AccountListResultPage, err error)
	ListComplete(ctx context.Context) (result experimentation.AccountListResultIterator, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result experimentation.AccountListResultPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result experimentation.AccountListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, accountName string, parameters experimentation.AccountUpdateParameters) (result experimentation.Account, err error)
}

var _ AccountsClientAPI = (*experimentation.AccountsClient)(nil)

// WorkspacesClientAPI contains the set of methods on the WorkspacesClient type.
type WorkspacesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, accountName string, workspaceName string, parameters experimentation.Workspace) (result experimentation.Workspace, err error)
	Delete(ctx context.Context, resourceGroupName string, accountName string, workspaceName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, accountName string, workspaceName string) (result experimentation.Workspace, err error)
	ListByAccounts(ctx context.Context, accountName string, resourceGroupName string) (result experimentation.WorkspaceListResultPage, err error)
	ListByAccountsComplete(ctx context.Context, accountName string, resourceGroupName string) (result experimentation.WorkspaceListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, accountName string, workspaceName string, parameters experimentation.WorkspaceUpdateParameters) (result experimentation.Workspace, err error)
}

var _ WorkspacesClientAPI = (*experimentation.WorkspacesClient)(nil)

// ProjectsClientAPI contains the set of methods on the ProjectsClient type.
type ProjectsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, accountName string, workspaceName string, projectName string, parameters experimentation.Project) (result experimentation.Project, err error)
	Delete(ctx context.Context, resourceGroupName string, accountName string, workspaceName string, projectName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, accountName string, workspaceName string, projectName string) (result experimentation.Project, err error)
	ListByWorkspace(ctx context.Context, accountName string, workspaceName string, resourceGroupName string) (result experimentation.ProjectListResultPage, err error)
	ListByWorkspaceComplete(ctx context.Context, accountName string, workspaceName string, resourceGroupName string) (result experimentation.ProjectListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, accountName string, workspaceName string, projectName string, parameters experimentation.ProjectUpdateParameters) (result experimentation.Project, err error)
}

var _ ProjectsClientAPI = (*experimentation.ProjectsClient)(nil)
