package resourcegraphapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/resourcegraph/mgmt/2018-09-01/resourcegraph"
	"github.com/Azure/go-autorest/autorest"
)

// BaseClientAPI contains the set of methods on the BaseClient type.
type BaseClientAPI interface {
	ResourceChangeDetails(ctx context.Context, parameters resourcegraph.ResourceChangeDetailsRequestParameters) (result resourcegraph.ResourceChangeData, err error)
	ResourceChanges(ctx context.Context, parameters resourcegraph.ResourceChangesRequestParameters) (result resourcegraph.ResourceChangeList, err error)
	Resources(ctx context.Context, query resourcegraph.QueryRequest) (result resourcegraph.QueryResponse, err error)
}

var _ BaseClientAPI = (*resourcegraph.BaseClient)(nil)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result resourcegraph.OperationListResultPage, err error)
	ListComplete(ctx context.Context) (result resourcegraph.OperationListResultIterator, err error)
}

var _ OperationsClientAPI = (*resourcegraph.OperationsClient)(nil)

// GraphQueryClientAPI contains the set of methods on the GraphQueryClient type.
type GraphQueryClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, resourceName string, properties resourcegraph.GraphQueryResource) (result resourcegraph.GraphQueryResource, err error)
	Delete(ctx context.Context, resourceGroupName string, resourceName string) (result autorest.Response, err error)
	Get(ctx context.Context, resourceGroupName string, resourceName string) (result resourcegraph.GraphQueryResource, err error)
	List(ctx context.Context, resourceGroupName string) (result resourcegraph.GraphQueryListResultPage, err error)
	ListComplete(ctx context.Context, resourceGroupName string) (result resourcegraph.GraphQueryListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, resourceName string, body resourcegraph.GraphQueryUpdateParameters) (result resourcegraph.GraphQueryResource, err error)
}

var _ GraphQueryClientAPI = (*resourcegraph.GraphQueryClient)(nil)
