package templatespecs

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

// CreatedByType enumerates the values for created by type.
type CreatedByType string

const (
	// Application ...
	Application CreatedByType = "Application"
	// Key ...
	Key CreatedByType = "Key"
	// ManagedIdentity ...
	ManagedIdentity CreatedByType = "ManagedIdentity"
	// User ...
	User CreatedByType = "User"
)

// PossibleCreatedByTypeValues returns an array of possible values for the CreatedByType const type.
func PossibleCreatedByTypeValues() []CreatedByType {
	return []CreatedByType{Application, Key, ManagedIdentity, User}
}

// Kind enumerates the values for kind.
type Kind string

const (
	// KindTemplate ...
	KindTemplate Kind = "template"
	// KindTemplateSpecArtifact ...
	KindTemplateSpecArtifact Kind = "TemplateSpecArtifact"
)

// PossibleKindValues returns an array of possible values for the Kind const type.
func PossibleKindValues() []Kind {
	return []Kind{KindTemplate, KindTemplateSpecArtifact}
}

// TemplateSpecExpandKind enumerates the values for template spec expand kind.
type TemplateSpecExpandKind string

const (
	// Versions Includes version information with the Template Spec.
	Versions TemplateSpecExpandKind = "versions"
)

// PossibleTemplateSpecExpandKindValues returns an array of possible values for the TemplateSpecExpandKind const type.
func PossibleTemplateSpecExpandKindValues() []TemplateSpecExpandKind {
	return []TemplateSpecExpandKind{Versions}
}
