package sqlvirtualmachineapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/sqlvirtualmachine/mgmt/2017-03-01-preview/sqlvirtualmachine"
)

// AvailabilityGroupListenersClientAPI contains the set of methods on the AvailabilityGroupListenersClient type.
type AvailabilityGroupListenersClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string, availabilityGroupListenerName string, parameters sqlvirtualmachine.AvailabilityGroupListener) (result sqlvirtualmachine.AvailabilityGroupListenersCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string, availabilityGroupListenerName string) (result sqlvirtualmachine.AvailabilityGroupListenersDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string, availabilityGroupListenerName string) (result sqlvirtualmachine.AvailabilityGroupListener, err error)
	ListByGroup(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string) (result sqlvirtualmachine.AvailabilityGroupListenerListResultPage, err error)
	ListByGroupComplete(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string) (result sqlvirtualmachine.AvailabilityGroupListenerListResultIterator, err error)
}

var _ AvailabilityGroupListenersClientAPI = (*sqlvirtualmachine.AvailabilityGroupListenersClient)(nil)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result sqlvirtualmachine.OperationListResultPage, err error)
	ListComplete(ctx context.Context) (result sqlvirtualmachine.OperationListResultIterator, err error)
}

var _ OperationsClientAPI = (*sqlvirtualmachine.OperationsClient)(nil)

// GroupsClientAPI contains the set of methods on the GroupsClient type.
type GroupsClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string, parameters sqlvirtualmachine.Group) (result sqlvirtualmachine.GroupsCreateOrUpdateFuture, err error)
	Delete(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string) (result sqlvirtualmachine.GroupsDeleteFuture, err error)
	Get(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string) (result sqlvirtualmachine.Group, err error)
	List(ctx context.Context) (result sqlvirtualmachine.GroupListResultPage, err error)
	ListComplete(ctx context.Context) (result sqlvirtualmachine.GroupListResultIterator, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result sqlvirtualmachine.GroupListResultPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result sqlvirtualmachine.GroupListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string, parameters sqlvirtualmachine.GroupUpdate) (result sqlvirtualmachine.GroupsUpdateFuture, err error)
}

var _ GroupsClientAPI = (*sqlvirtualmachine.GroupsClient)(nil)

// SQLVirtualMachinesClientAPI contains the set of methods on the SQLVirtualMachinesClient type.
type SQLVirtualMachinesClientAPI interface {
	CreateOrUpdate(ctx context.Context, resourceGroupName string, SQLVirtualMachineName string, parameters sqlvirtualmachine.SQLVirtualMachine) (result sqlvirtualmachine.SQLVirtualMachinesCreateOrUpdateFutureType, err error)
	Delete(ctx context.Context, resourceGroupName string, SQLVirtualMachineName string) (result sqlvirtualmachine.SQLVirtualMachinesDeleteFutureType, err error)
	Get(ctx context.Context, resourceGroupName string, SQLVirtualMachineName string, expand string) (result sqlvirtualmachine.SQLVirtualMachine, err error)
	List(ctx context.Context) (result sqlvirtualmachine.ListResultPage, err error)
	ListComplete(ctx context.Context) (result sqlvirtualmachine.ListResultIterator, err error)
	ListByResourceGroup(ctx context.Context, resourceGroupName string) (result sqlvirtualmachine.ListResultPage, err error)
	ListByResourceGroupComplete(ctx context.Context, resourceGroupName string) (result sqlvirtualmachine.ListResultIterator, err error)
	ListBySQLVMGroup(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string) (result sqlvirtualmachine.ListResultPage, err error)
	ListBySQLVMGroupComplete(ctx context.Context, resourceGroupName string, SQLVirtualMachineGroupName string) (result sqlvirtualmachine.ListResultIterator, err error)
	Update(ctx context.Context, resourceGroupName string, SQLVirtualMachineName string, parameters sqlvirtualmachine.Update) (result sqlvirtualmachine.SQLVirtualMachinesUpdateFutureType, err error)
}

var _ SQLVirtualMachinesClientAPI = (*sqlvirtualmachine.SQLVirtualMachinesClient)(nil)
