package workloadmonitorapi

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"context"
	"github.com/Azure/azure-sdk-for-go/services/preview/workloadmonitor/mgmt/2020-01-13-preview/workloadmonitor"
	"github.com/Azure/go-autorest/autorest/date"
)

// OperationsClientAPI contains the set of methods on the OperationsClient type.
type OperationsClientAPI interface {
	List(ctx context.Context) (result workloadmonitor.OperationListPage, err error)
	ListComplete(ctx context.Context) (result workloadmonitor.OperationListIterator, err error)
}

var _ OperationsClientAPI = (*workloadmonitor.OperationsClient)(nil)

// HealthMonitorsClientAPI contains the set of methods on the HealthMonitorsClient type.
type HealthMonitorsClientAPI interface {
	Get(ctx context.Context, subscriptionID string, resourceGroupName string, providerName string, resourceCollectionName string, resourceName string, monitorID string, expand string) (result workloadmonitor.HealthMonitor, err error)
	GetStateChange(ctx context.Context, subscriptionID string, resourceGroupName string, providerName string, resourceCollectionName string, resourceName string, monitorID string, timestampUnix string, expand string) (result workloadmonitor.HealthMonitorStateChange, err error)
	List(ctx context.Context, subscriptionID string, resourceGroupName string, providerName string, resourceCollectionName string, resourceName string, filter string, expand string) (result workloadmonitor.HealthMonitorListPage, err error)
	ListComplete(ctx context.Context, subscriptionID string, resourceGroupName string, providerName string, resourceCollectionName string, resourceName string, filter string, expand string) (result workloadmonitor.HealthMonitorListIterator, err error)
	ListStateChanges(ctx context.Context, subscriptionID string, resourceGroupName string, providerName string, resourceCollectionName string, resourceName string, monitorID string, filter string, expand string, startTimestampUtc *date.Time, endTimestampUtc *date.Time) (result workloadmonitor.HealthMonitorStateChangeListPage, err error)
	ListStateChangesComplete(ctx context.Context, subscriptionID string, resourceGroupName string, providerName string, resourceCollectionName string, resourceName string, monitorID string, filter string, expand string, startTimestampUtc *date.Time, endTimestampUtc *date.Time) (result workloadmonitor.HealthMonitorStateChangeListIterator, err error)
}

var _ HealthMonitorsClientAPI = (*workloadmonitor.HealthMonitorsClient)(nil)
