package redhatopenshift

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

// CreatedByType enumerates the values for created by type.
type CreatedByType string

const (
	// CreatedByTypeApplication ...
	CreatedByTypeApplication CreatedByType = "Application"
	// CreatedByTypeKey ...
	CreatedByTypeKey CreatedByType = "Key"
	// CreatedByTypeManagedIdentity ...
	CreatedByTypeManagedIdentity CreatedByType = "ManagedIdentity"
	// CreatedByTypeUser ...
	CreatedByTypeUser CreatedByType = "User"
)

// PossibleCreatedByTypeValues returns an array of possible values for the CreatedByType const type.
func PossibleCreatedByTypeValues() []CreatedByType {
	return []CreatedByType{CreatedByTypeApplication, CreatedByTypeKey, CreatedByTypeManagedIdentity, CreatedByTypeUser}
}

// EncryptionAtHost enumerates the values for encryption at host.
type EncryptionAtHost string

const (
	// EncryptionAtHostDisabled ...
	EncryptionAtHostDisabled EncryptionAtHost = "Disabled"
	// EncryptionAtHostEnabled ...
	EncryptionAtHostEnabled EncryptionAtHost = "Enabled"
)

// PossibleEncryptionAtHostValues returns an array of possible values for the EncryptionAtHost const type.
func PossibleEncryptionAtHostValues() []EncryptionAtHost {
	return []EncryptionAtHost{EncryptionAtHostDisabled, EncryptionAtHostEnabled}
}

// FipsValidatedModules enumerates the values for fips validated modules.
type FipsValidatedModules string

const (
	// FipsValidatedModulesDisabled ...
	FipsValidatedModulesDisabled FipsValidatedModules = "Disabled"
	// FipsValidatedModulesEnabled ...
	FipsValidatedModulesEnabled FipsValidatedModules = "Enabled"
)

// PossibleFipsValidatedModulesValues returns an array of possible values for the FipsValidatedModules const type.
func PossibleFipsValidatedModulesValues() []FipsValidatedModules {
	return []FipsValidatedModules{FipsValidatedModulesDisabled, FipsValidatedModulesEnabled}
}

// ProvisioningState enumerates the values for provisioning state.
type ProvisioningState string

const (
	// ProvisioningStateAdminUpdating ...
	ProvisioningStateAdminUpdating ProvisioningState = "AdminUpdating"
	// ProvisioningStateCreating ...
	ProvisioningStateCreating ProvisioningState = "Creating"
	// ProvisioningStateDeleting ...
	ProvisioningStateDeleting ProvisioningState = "Deleting"
	// ProvisioningStateFailed ...
	ProvisioningStateFailed ProvisioningState = "Failed"
	// ProvisioningStateSucceeded ...
	ProvisioningStateSucceeded ProvisioningState = "Succeeded"
	// ProvisioningStateUpdating ...
	ProvisioningStateUpdating ProvisioningState = "Updating"
)

// PossibleProvisioningStateValues returns an array of possible values for the ProvisioningState const type.
func PossibleProvisioningStateValues() []ProvisioningState {
	return []ProvisioningState{ProvisioningStateAdminUpdating, ProvisioningStateCreating, ProvisioningStateDeleting, ProvisioningStateFailed, ProvisioningStateSucceeded, ProvisioningStateUpdating}
}

// Visibility enumerates the values for visibility.
type Visibility string

const (
	// VisibilityPrivate ...
	VisibilityPrivate Visibility = "Private"
	// VisibilityPublic ...
	VisibilityPublic Visibility = "Public"
)

// PossibleVisibilityValues returns an array of possible values for the Visibility const type.
func PossibleVisibilityValues() []Visibility {
	return []Visibility{VisibilityPrivate, VisibilityPublic}
}
