//go:build go1.9
// +build go1.9

// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

// This code was auto-generated by:
// github.com/Azure/azure-sdk-for-go/eng/tools/profileBuilder

package security

import (
	"context"

	original "github.com/Azure/azure-sdk-for-go/services/preview/security/mgmt/v3.0/security"
)

const (
	DefaultBaseURI = original.DefaultBaseURI
)

type AadConnectivityState = original.AadConnectivityState

const (
	Connected   AadConnectivityState = original.Connected
	Discovered  AadConnectivityState = original.Discovered
	NotLicensed AadConnectivityState = original.NotLicensed
)

type Action = original.Action

const (
	Add         Action = original.Add
	Recommended Action = original.Recommended
	Remove      Action = original.Remove
)

type ActionType = original.ActionType

const (
	ActionTypeAutomationAction ActionType = original.ActionTypeAutomationAction
	ActionTypeEventHub         ActionType = original.ActionTypeEventHub
	ActionTypeLogicApp         ActionType = original.ActionTypeLogicApp
	ActionTypeWorkspace        ActionType = original.ActionTypeWorkspace
)

type AdditionalWorkspaceDataType = original.AdditionalWorkspaceDataType

const (
	Alerts    AdditionalWorkspaceDataType = original.Alerts
	RawEvents AdditionalWorkspaceDataType = original.RawEvents
)

type AdditionalWorkspaceType = original.AdditionalWorkspaceType

const (
	Sentinel AdditionalWorkspaceType = original.Sentinel
)

type AlertIntent = original.AlertIntent

const (
	Collection          AlertIntent = original.Collection
	CommandAndControl   AlertIntent = original.CommandAndControl
	CredentialAccess    AlertIntent = original.CredentialAccess
	DefenseEvasion      AlertIntent = original.DefenseEvasion
	Discovery           AlertIntent = original.Discovery
	Execution           AlertIntent = original.Execution
	Exfiltration        AlertIntent = original.Exfiltration
	Exploitation        AlertIntent = original.Exploitation
	Impact              AlertIntent = original.Impact
	InitialAccess       AlertIntent = original.InitialAccess
	LateralMovement     AlertIntent = original.LateralMovement
	Persistence         AlertIntent = original.Persistence
	PreAttack           AlertIntent = original.PreAttack
	PrivilegeEscalation AlertIntent = original.PrivilegeEscalation
	Probing             AlertIntent = original.Probing
	Unknown             AlertIntent = original.Unknown
)

type AlertNotifications = original.AlertNotifications

const (
	Off AlertNotifications = original.Off
	On  AlertNotifications = original.On
)

type AlertSeverity = original.AlertSeverity

const (
	High          AlertSeverity = original.High
	Informational AlertSeverity = original.Informational
	Low           AlertSeverity = original.Low
	Medium        AlertSeverity = original.Medium
)

type AlertStatus = original.AlertStatus

const (
	Active    AlertStatus = original.Active
	Dismissed AlertStatus = original.Dismissed
	Resolved  AlertStatus = original.Resolved
)

type AlertsToAdmins = original.AlertsToAdmins

const (
	AlertsToAdminsOff AlertsToAdmins = original.AlertsToAdminsOff
	AlertsToAdminsOn  AlertsToAdmins = original.AlertsToAdminsOn
)

type AssessedResourceType = original.AssessedResourceType

const (
	AssessedResourceTypeAdditionalData                 AssessedResourceType = original.AssessedResourceTypeAdditionalData
	AssessedResourceTypeContainerRegistryVulnerability AssessedResourceType = original.AssessedResourceTypeContainerRegistryVulnerability
	AssessedResourceTypeServerVulnerabilityAssessment  AssessedResourceType = original.AssessedResourceTypeServerVulnerabilityAssessment
	AssessedResourceTypeSQLServerVulnerability         AssessedResourceType = original.AssessedResourceTypeSQLServerVulnerability
)

type AssessmentStatusCode = original.AssessmentStatusCode

const (
	Healthy       AssessmentStatusCode = original.Healthy
	NotApplicable AssessmentStatusCode = original.NotApplicable
	Unhealthy     AssessmentStatusCode = original.Unhealthy
)

type AssessmentType = original.AssessmentType

const (
	BuiltIn         AssessmentType = original.BuiltIn
	CustomerManaged AssessmentType = original.CustomerManaged
	CustomPolicy    AssessmentType = original.CustomPolicy
	VerifiedPartner AssessmentType = original.VerifiedPartner
)

type AuthenticationProvisioningState = original.AuthenticationProvisioningState

const (
	Expired         AuthenticationProvisioningState = original.Expired
	IncorrectPolicy AuthenticationProvisioningState = original.IncorrectPolicy
	Invalid         AuthenticationProvisioningState = original.Invalid
	Valid           AuthenticationProvisioningState = original.Valid
)

type AuthenticationType = original.AuthenticationType

const (
	AuthenticationTypeAuthenticationDetailsProperties AuthenticationType = original.AuthenticationTypeAuthenticationDetailsProperties
	AuthenticationTypeAwsAssumeRole                   AuthenticationType = original.AuthenticationTypeAwsAssumeRole
	AuthenticationTypeAwsCreds                        AuthenticationType = original.AuthenticationTypeAwsCreds
	AuthenticationTypeGcpCredentials                  AuthenticationType = original.AuthenticationTypeGcpCredentials
)

type AuthorizationState = original.AuthorizationState

const (
	Authorized   AuthorizationState = original.Authorized
	Unauthorized AuthorizationState = original.Unauthorized
)

type AutoProvision = original.AutoProvision

const (
	AutoProvisionOff AutoProvision = original.AutoProvisionOff
	AutoProvisionOn  AutoProvision = original.AutoProvisionOn
)

type BundleType = original.BundleType

const (
	AppServices       BundleType = original.AppServices
	DNS               BundleType = original.DNS
	KeyVaults         BundleType = original.KeyVaults
	KubernetesService BundleType = original.KubernetesService
	ResourceManager   BundleType = original.ResourceManager
	SQLServers        BundleType = original.SQLServers
	StorageAccounts   BundleType = original.StorageAccounts
	VirtualMachines   BundleType = original.VirtualMachines
)

type Categories = original.Categories

const (
	Compute           Categories = original.Compute
	Data              Categories = original.Data
	IdentityAndAccess Categories = original.IdentityAndAccess
	IoT               Categories = original.IoT
	Networking        Categories = original.Networking
)

type ConfigurationStatus = original.ConfigurationStatus

const (
	Configured    ConfigurationStatus = original.Configured
	Failed        ConfigurationStatus = original.Failed
	InProgress    ConfigurationStatus = original.InProgress
	NoStatus      ConfigurationStatus = original.NoStatus
	NotConfigured ConfigurationStatus = original.NotConfigured
)

type ConfigurationStatus1 = original.ConfigurationStatus1

const (
	ConfigurationStatus1Configured    ConfigurationStatus1 = original.ConfigurationStatus1Configured
	ConfigurationStatus1Failed        ConfigurationStatus1 = original.ConfigurationStatus1Failed
	ConfigurationStatus1InProgress    ConfigurationStatus1 = original.ConfigurationStatus1InProgress
	ConfigurationStatus1NoStatus      ConfigurationStatus1 = original.ConfigurationStatus1NoStatus
	ConfigurationStatus1NotConfigured ConfigurationStatus1 = original.ConfigurationStatus1NotConfigured
)

type ConfigurationStatus2 = original.ConfigurationStatus2

const (
	ConfigurationStatus2Configured    ConfigurationStatus2 = original.ConfigurationStatus2Configured
	ConfigurationStatus2Failed        ConfigurationStatus2 = original.ConfigurationStatus2Failed
	ConfigurationStatus2InProgress    ConfigurationStatus2 = original.ConfigurationStatus2InProgress
	ConfigurationStatus2NoStatus      ConfigurationStatus2 = original.ConfigurationStatus2NoStatus
	ConfigurationStatus2NotConfigured ConfigurationStatus2 = original.ConfigurationStatus2NotConfigured
)

type ConnectionType = original.ConnectionType

const (
	External ConnectionType = original.External
	Internal ConnectionType = original.Internal
)

type ControlType = original.ControlType

const (
	ControlTypeBuiltIn ControlType = original.ControlTypeBuiltIn
	ControlTypeCustom  ControlType = original.ControlTypeCustom
)

type CreatedByType = original.CreatedByType

const (
	Application     CreatedByType = original.Application
	Key             CreatedByType = original.Key
	ManagedIdentity CreatedByType = original.ManagedIdentity
	User            CreatedByType = original.User
)

type DataSource = original.DataSource

const (
	TwinData DataSource = original.TwinData
)

type DeviceCriticality = original.DeviceCriticality

const (
	Important DeviceCriticality = original.Important
	Standard  DeviceCriticality = original.Standard
)

type DeviceStatus = original.DeviceStatus

const (
	DeviceStatusActive  DeviceStatus = original.DeviceStatusActive
	DeviceStatusRemoved DeviceStatus = original.DeviceStatusRemoved
)

type Direction = original.Direction

const (
	Inbound  Direction = original.Inbound
	Outbound Direction = original.Outbound
)

type EndOfSupportStatus = original.EndOfSupportStatus

const (
	NoLongerSupported                EndOfSupportStatus = original.NoLongerSupported
	None                             EndOfSupportStatus = original.None
	UpcomingNoLongerSupported        EndOfSupportStatus = original.UpcomingNoLongerSupported
	UpcomingVersionNoLongerSupported EndOfSupportStatus = original.UpcomingVersionNoLongerSupported
	VersionNoLongerSupported         EndOfSupportStatus = original.VersionNoLongerSupported
)

type EnforcementMode = original.EnforcementMode

const (
	EnforcementModeAudit   EnforcementMode = original.EnforcementModeAudit
	EnforcementModeEnforce EnforcementMode = original.EnforcementModeEnforce
	EnforcementModeNone    EnforcementMode = original.EnforcementModeNone
)

type EnforcementSupport = original.EnforcementSupport

const (
	EnforcementSupportNotSupported EnforcementSupport = original.EnforcementSupportNotSupported
	EnforcementSupportSupported    EnforcementSupport = original.EnforcementSupportSupported
	EnforcementSupportUnknown      EnforcementSupport = original.EnforcementSupportUnknown
)

type EventSource = original.EventSource

const (
	EventSourceAlerts                                 EventSource = original.EventSourceAlerts
	EventSourceAssessments                            EventSource = original.EventSourceAssessments
	EventSourceRegulatoryComplianceAssessment         EventSource = original.EventSourceRegulatoryComplianceAssessment
	EventSourceRegulatoryComplianceAssessmentSnapshot EventSource = original.EventSourceRegulatoryComplianceAssessmentSnapshot
	EventSourceSecureScoreControls                    EventSource = original.EventSourceSecureScoreControls
	EventSourceSecureScoreControlsSnapshot            EventSource = original.EventSourceSecureScoreControlsSnapshot
	EventSourceSecureScores                           EventSource = original.EventSourceSecureScores
	EventSourceSecureScoresSnapshot                   EventSource = original.EventSourceSecureScoresSnapshot
	EventSourceSubAssessments                         EventSource = original.EventSourceSubAssessments
)

type Exe = original.Exe

const (
	ExeAudit   Exe = original.ExeAudit
	ExeEnforce Exe = original.ExeEnforce
	ExeNone    Exe = original.ExeNone
)

type Executable = original.Executable

const (
	ExecutableAudit   Executable = original.ExecutableAudit
	ExecutableEnforce Executable = original.ExecutableEnforce
	ExecutableNone    Executable = original.ExecutableNone
)

type ExpandControlsEnum = original.ExpandControlsEnum

const (
	Definition ExpandControlsEnum = original.Definition
)

type ExpandEnum = original.ExpandEnum

const (
	Links    ExpandEnum = original.Links
	Metadata ExpandEnum = original.Metadata
)

type ExportData = original.ExportData

const (
	ExportDataRawEvents ExportData = original.ExportDataRawEvents
)

type ExternalSecuritySolutionKind = original.ExternalSecuritySolutionKind

const (
	AAD ExternalSecuritySolutionKind = original.AAD
	ATA ExternalSecuritySolutionKind = original.ATA
	CEF ExternalSecuritySolutionKind = original.CEF
)

type Family = original.Family

const (
	Ngfw    Family = original.Ngfw
	SaasWaf Family = original.SaasWaf
	Va      Family = original.Va
	Waf     Family = original.Waf
)

type FileType = original.FileType

const (
	FileTypeDll        FileType = original.FileTypeDll
	FileTypeExe        FileType = original.FileTypeExe
	FileTypeExecutable FileType = original.FileTypeExecutable
	FileTypeMsi        FileType = original.FileTypeMsi
	FileTypeScript     FileType = original.FileTypeScript
	FileTypeUnknown    FileType = original.FileTypeUnknown
)

type HybridComputeProvisioningState = original.HybridComputeProvisioningState

const (
	HybridComputeProvisioningStateExpired HybridComputeProvisioningState = original.HybridComputeProvisioningStateExpired
	HybridComputeProvisioningStateInvalid HybridComputeProvisioningState = original.HybridComputeProvisioningStateInvalid
	HybridComputeProvisioningStateValid   HybridComputeProvisioningState = original.HybridComputeProvisioningStateValid
)

type ImplementationEffort = original.ImplementationEffort

const (
	ImplementationEffortHigh     ImplementationEffort = original.ImplementationEffortHigh
	ImplementationEffortLow      ImplementationEffort = original.ImplementationEffortLow
	ImplementationEffortModerate ImplementationEffort = original.ImplementationEffortModerate
)

type Intent = original.Intent

const (
	IntentCollection          Intent = original.IntentCollection
	IntentCommandAndControl   Intent = original.IntentCommandAndControl
	IntentCredentialAccess    Intent = original.IntentCredentialAccess
	IntentDefenseEvasion      Intent = original.IntentDefenseEvasion
	IntentDiscovery           Intent = original.IntentDiscovery
	IntentExecution           Intent = original.IntentExecution
	IntentExfiltration        Intent = original.IntentExfiltration
	IntentExploitation        Intent = original.IntentExploitation
	IntentImpact              Intent = original.IntentImpact
	IntentInitialAccess       Intent = original.IntentInitialAccess
	IntentLateralMovement     Intent = original.IntentLateralMovement
	IntentPersistence         Intent = original.IntentPersistence
	IntentPreAttack           Intent = original.IntentPreAttack
	IntentPrivilegeEscalation Intent = original.IntentPrivilegeEscalation
	IntentProbing             Intent = original.IntentProbing
	IntentUnknown             Intent = original.IntentUnknown
)

type Issue = original.Issue

const (
	ExecutableViolationsAudited   Issue = original.ExecutableViolationsAudited
	MsiAndScriptViolationsAudited Issue = original.MsiAndScriptViolationsAudited
	MsiAndScriptViolationsBlocked Issue = original.MsiAndScriptViolationsBlocked
	RulesViolatedManually         Issue = original.RulesViolatedManually
	ViolationsAudited             Issue = original.ViolationsAudited
	ViolationsBlocked             Issue = original.ViolationsBlocked
)

type KindEnum = original.KindEnum

const (
	KindAAD                      KindEnum = original.KindAAD
	KindATA                      KindEnum = original.KindATA
	KindCEF                      KindEnum = original.KindCEF
	KindExternalSecuritySolution KindEnum = original.KindExternalSecuritySolution
)

type KindEnum1 = original.KindEnum1

const (
	KindAlertSimulatorRequestProperties KindEnum1 = original.KindAlertSimulatorRequestProperties
	KindBundles                         KindEnum1 = original.KindBundles
)

type KindEnum2 = original.KindEnum2

const (
	KindAlertSyncSettings  KindEnum2 = original.KindAlertSyncSettings
	KindDataExportSettings KindEnum2 = original.KindDataExportSettings
	KindSetting            KindEnum2 = original.KindSetting
)

type MacSignificance = original.MacSignificance

const (
	Primary   MacSignificance = original.Primary
	Secondary MacSignificance = original.Secondary
)

type ManagementState = original.ManagementState

const (
	Managed   ManagementState = original.Managed
	Unmanaged ManagementState = original.Unmanaged
)

type Msi = original.Msi

const (
	MsiAudit   Msi = original.MsiAudit
	MsiEnforce Msi = original.MsiEnforce
	MsiNone    Msi = original.MsiNone
)

type OnboardingKind = original.OnboardingKind

const (
	Default         OnboardingKind = original.Default
	Evaluation      OnboardingKind = original.Evaluation
	MigratedToAzure OnboardingKind = original.MigratedToAzure
	Purchased       OnboardingKind = original.Purchased
)

type Operator = original.Operator

const (
	Contains             Operator = original.Contains
	EndsWith             Operator = original.EndsWith
	Equals               Operator = original.Equals
	GreaterThan          Operator = original.GreaterThan
	GreaterThanOrEqualTo Operator = original.GreaterThanOrEqualTo
	LesserThan           Operator = original.LesserThan
	LesserThanOrEqualTo  Operator = original.LesserThanOrEqualTo
	NotEquals            Operator = original.NotEquals
	StartsWith           Operator = original.StartsWith
)

type PermissionProperty = original.PermissionProperty

const (
	AWSAmazonSSMAutomationRole      PermissionProperty = original.AWSAmazonSSMAutomationRole
	AWSAWSSecurityHubReadOnlyAccess PermissionProperty = original.AWSAWSSecurityHubReadOnlyAccess
	AWSSecurityAudit                PermissionProperty = original.AWSSecurityAudit
	GCPSecurityCenterAdminViewer    PermissionProperty = original.GCPSecurityCenterAdminViewer
)

type PricingTier = original.PricingTier

const (
	PricingTierFree     PricingTier = original.PricingTierFree
	PricingTierStandard PricingTier = original.PricingTierStandard
)

type ProgrammingState = original.ProgrammingState

const (
	NotProgrammingDevice ProgrammingState = original.NotProgrammingDevice
	ProgrammingDevice    ProgrammingState = original.ProgrammingDevice
)

type PropertyType = original.PropertyType

const (
	Boolean PropertyType = original.Boolean
	Integer PropertyType = original.Integer
	Number  PropertyType = original.Number
	String  PropertyType = original.String
)

type Protocol = original.Protocol

const (
	All Protocol = original.All
	TCP Protocol = original.TCP
	UDP Protocol = original.UDP
)

type ProvisioningState = original.ProvisioningState

const (
	ProvisioningStateFailed    ProvisioningState = original.ProvisioningStateFailed
	ProvisioningStateSucceeded ProvisioningState = original.ProvisioningStateSucceeded
	ProvisioningStateUpdating  ProvisioningState = original.ProvisioningStateUpdating
)

type ProvisioningState1 = original.ProvisioningState1

const (
	ProvisioningState1Canceled       ProvisioningState1 = original.ProvisioningState1Canceled
	ProvisioningState1Deprovisioning ProvisioningState1 = original.ProvisioningState1Deprovisioning
	ProvisioningState1Failed         ProvisioningState1 = original.ProvisioningState1Failed
	ProvisioningState1Provisioning   ProvisioningState1 = original.ProvisioningState1Provisioning
	ProvisioningState1Succeeded      ProvisioningState1 = original.ProvisioningState1Succeeded
)

type PurdueLevel = original.PurdueLevel

const (
	Enterprise     PurdueLevel = original.Enterprise
	ProcessControl PurdueLevel = original.ProcessControl
	Supervisory    PurdueLevel = original.Supervisory
)

type Rank = original.Rank

const (
	RankCritical Rank = original.RankCritical
	RankHigh     Rank = original.RankHigh
	RankLow      Rank = original.RankLow
	RankMedium   Rank = original.RankMedium
	RankNone     Rank = original.RankNone
)

type RecommendationAction = original.RecommendationAction

const (
	RecommendationActionAdd         RecommendationAction = original.RecommendationActionAdd
	RecommendationActionRecommended RecommendationAction = original.RecommendationActionRecommended
	RecommendationActionRemove      RecommendationAction = original.RecommendationActionRemove
)

type RecommendationAction1 = original.RecommendationAction1

const (
	RecommendationAction1Add         RecommendationAction1 = original.RecommendationAction1Add
	RecommendationAction1Recommended RecommendationAction1 = original.RecommendationAction1Recommended
	RecommendationAction1Remove      RecommendationAction1 = original.RecommendationAction1Remove
)

type RecommendationConfigStatus = original.RecommendationConfigStatus

const (
	Disabled RecommendationConfigStatus = original.Disabled
	Enabled  RecommendationConfigStatus = original.Enabled
)

type RecommendationSeverity = original.RecommendationSeverity

const (
	RecommendationSeverityHealthy       RecommendationSeverity = original.RecommendationSeverityHealthy
	RecommendationSeverityHigh          RecommendationSeverity = original.RecommendationSeverityHigh
	RecommendationSeverityLow           RecommendationSeverity = original.RecommendationSeverityLow
	RecommendationSeverityMedium        RecommendationSeverity = original.RecommendationSeverityMedium
	RecommendationSeverityNotApplicable RecommendationSeverity = original.RecommendationSeverityNotApplicable
	RecommendationSeverityOffByPolicy   RecommendationSeverity = original.RecommendationSeverityOffByPolicy
	RecommendationSeverityUnknown       RecommendationSeverity = original.RecommendationSeverityUnknown
)

type RecommendationStatus = original.RecommendationStatus

const (
	RecommendationStatusNoStatus       RecommendationStatus = original.RecommendationStatusNoStatus
	RecommendationStatusNotAvailable   RecommendationStatus = original.RecommendationStatusNotAvailable
	RecommendationStatusNotRecommended RecommendationStatus = original.RecommendationStatusNotRecommended
	RecommendationStatusRecommended    RecommendationStatus = original.RecommendationStatusRecommended
)

type RecommendationType = original.RecommendationType

const (
	IoTACRAuthentication             RecommendationType = original.IoTACRAuthentication
	IoTAgentSendsUnutilizedMessages  RecommendationType = original.IoTAgentSendsUnutilizedMessages
	IoTBaseline                      RecommendationType = original.IoTBaseline
	IoTEdgeHubMemOptimize            RecommendationType = original.IoTEdgeHubMemOptimize
	IoTEdgeLoggingOptions            RecommendationType = original.IoTEdgeLoggingOptions
	IoTInconsistentModuleSettings    RecommendationType = original.IoTInconsistentModuleSettings
	IoTInstallAgent                  RecommendationType = original.IoTInstallAgent
	IoTIPFilterDenyAll               RecommendationType = original.IoTIPFilterDenyAll
	IoTIPFilterPermissiveRule        RecommendationType = original.IoTIPFilterPermissiveRule
	IoTOpenPorts                     RecommendationType = original.IoTOpenPorts
	IoTPermissiveFirewallPolicy      RecommendationType = original.IoTPermissiveFirewallPolicy
	IoTPermissiveInputFirewallRules  RecommendationType = original.IoTPermissiveInputFirewallRules
	IoTPermissiveOutputFirewallRules RecommendationType = original.IoTPermissiveOutputFirewallRules
	IoTPrivilegedDockerOptions       RecommendationType = original.IoTPrivilegedDockerOptions
	IoTSharedCredentials             RecommendationType = original.IoTSharedCredentials
	IoTVulnerableTLSCipherSuite      RecommendationType = original.IoTVulnerableTLSCipherSuite
)

type RelationToIPStatus = original.RelationToIPStatus

const (
	Certain RelationToIPStatus = original.Certain
	Guess   RelationToIPStatus = original.Guess
)

type ReportedSeverity = original.ReportedSeverity

const (
	ReportedSeverityHigh          ReportedSeverity = original.ReportedSeverityHigh
	ReportedSeverityInformational ReportedSeverity = original.ReportedSeverityInformational
	ReportedSeverityLow           ReportedSeverity = original.ReportedSeverityLow
	ReportedSeverityMedium        ReportedSeverity = original.ReportedSeverityMedium
)

type ResourceStatus = original.ResourceStatus

const (
	ResourceStatusHealthy       ResourceStatus = original.ResourceStatusHealthy
	ResourceStatusNotApplicable ResourceStatus = original.ResourceStatusNotApplicable
	ResourceStatusNotHealthy    ResourceStatus = original.ResourceStatusNotHealthy
	ResourceStatusOffByPolicy   ResourceStatus = original.ResourceStatusOffByPolicy
)

type RuleSeverity = original.RuleSeverity

const (
	RuleSeverityHigh          RuleSeverity = original.RuleSeverityHigh
	RuleSeverityInformational RuleSeverity = original.RuleSeverityInformational
	RuleSeverityLow           RuleSeverity = original.RuleSeverityLow
	RuleSeverityMedium        RuleSeverity = original.RuleSeverityMedium
	RuleSeverityObsolete      RuleSeverity = original.RuleSeverityObsolete
)

type RuleState = original.RuleState

const (
	RuleStateDisabled RuleState = original.RuleStateDisabled
	RuleStateEnabled  RuleState = original.RuleStateEnabled
	RuleStateExpired  RuleState = original.RuleStateExpired
)

type RuleStatus = original.RuleStatus

const (
	Finding       RuleStatus = original.Finding
	InternalError RuleStatus = original.InternalError
	NonFinding    RuleStatus = original.NonFinding
)

type RuleType = original.RuleType

const (
	BaselineExpected RuleType = original.BaselineExpected
	Binary           RuleType = original.Binary
	NegativeList     RuleType = original.NegativeList
	PositiveList     RuleType = original.PositiveList
)

type RuleTypeBasicCustomAlertRule = original.RuleTypeBasicCustomAlertRule

const (
	RuleTypeActiveConnectionsNotInAllowedRange       RuleTypeBasicCustomAlertRule = original.RuleTypeActiveConnectionsNotInAllowedRange
	RuleTypeAllowlistCustomAlertRule                 RuleTypeBasicCustomAlertRule = original.RuleTypeAllowlistCustomAlertRule
	RuleTypeAmqpC2DMessagesNotInAllowedRange         RuleTypeBasicCustomAlertRule = original.RuleTypeAmqpC2DMessagesNotInAllowedRange
	RuleTypeAmqpC2DRejectedMessagesNotInAllowedRange RuleTypeBasicCustomAlertRule = original.RuleTypeAmqpC2DRejectedMessagesNotInAllowedRange
	RuleTypeAmqpD2CMessagesNotInAllowedRange         RuleTypeBasicCustomAlertRule = original.RuleTypeAmqpD2CMessagesNotInAllowedRange
	RuleTypeConnectionFromIPNotAllowed               RuleTypeBasicCustomAlertRule = original.RuleTypeConnectionFromIPNotAllowed
	RuleTypeConnectionToIPNotAllowed                 RuleTypeBasicCustomAlertRule = original.RuleTypeConnectionToIPNotAllowed
	RuleTypeCustomAlertRule                          RuleTypeBasicCustomAlertRule = original.RuleTypeCustomAlertRule
	RuleTypeDenylistCustomAlertRule                  RuleTypeBasicCustomAlertRule = original.RuleTypeDenylistCustomAlertRule
	RuleTypeDirectMethodInvokesNotInAllowedRange     RuleTypeBasicCustomAlertRule = original.RuleTypeDirectMethodInvokesNotInAllowedRange
	RuleTypeFailedLocalLoginsNotInAllowedRange       RuleTypeBasicCustomAlertRule = original.RuleTypeFailedLocalLoginsNotInAllowedRange
	RuleTypeFileUploadsNotInAllowedRange             RuleTypeBasicCustomAlertRule = original.RuleTypeFileUploadsNotInAllowedRange
	RuleTypeHTTPC2DMessagesNotInAllowedRange         RuleTypeBasicCustomAlertRule = original.RuleTypeHTTPC2DMessagesNotInAllowedRange
	RuleTypeHTTPC2DRejectedMessagesNotInAllowedRange RuleTypeBasicCustomAlertRule = original.RuleTypeHTTPC2DRejectedMessagesNotInAllowedRange
	RuleTypeHTTPD2CMessagesNotInAllowedRange         RuleTypeBasicCustomAlertRule = original.RuleTypeHTTPD2CMessagesNotInAllowedRange
	RuleTypeListCustomAlertRule                      RuleTypeBasicCustomAlertRule = original.RuleTypeListCustomAlertRule
	RuleTypeLocalUserNotAllowed                      RuleTypeBasicCustomAlertRule = original.RuleTypeLocalUserNotAllowed
	RuleTypeMqttC2DMessagesNotInAllowedRange         RuleTypeBasicCustomAlertRule = original.RuleTypeMqttC2DMessagesNotInAllowedRange
	RuleTypeMqttC2DRejectedMessagesNotInAllowedRange RuleTypeBasicCustomAlertRule = original.RuleTypeMqttC2DRejectedMessagesNotInAllowedRange
	RuleTypeMqttD2CMessagesNotInAllowedRange         RuleTypeBasicCustomAlertRule = original.RuleTypeMqttD2CMessagesNotInAllowedRange
	RuleTypeProcessNotAllowed                        RuleTypeBasicCustomAlertRule = original.RuleTypeProcessNotAllowed
	RuleTypeQueuePurgesNotInAllowedRange             RuleTypeBasicCustomAlertRule = original.RuleTypeQueuePurgesNotInAllowedRange
	RuleTypeThresholdCustomAlertRule                 RuleTypeBasicCustomAlertRule = original.RuleTypeThresholdCustomAlertRule
	RuleTypeTimeWindowCustomAlertRule                RuleTypeBasicCustomAlertRule = original.RuleTypeTimeWindowCustomAlertRule
	RuleTypeTwinUpdatesNotInAllowedRange             RuleTypeBasicCustomAlertRule = original.RuleTypeTwinUpdatesNotInAllowedRange
	RuleTypeUnauthorizedOperationsNotInAllowedRange  RuleTypeBasicCustomAlertRule = original.RuleTypeUnauthorizedOperationsNotInAllowedRange
)

type ScanState = original.ScanState

const (
	ScanStateFailed      ScanState = original.ScanStateFailed
	ScanStateFailedToRun ScanState = original.ScanStateFailedToRun
	ScanStateInProgress  ScanState = original.ScanStateInProgress
	ScanStatePassed      ScanState = original.ScanStatePassed
)

type ScanTriggerType = original.ScanTriggerType

const (
	OnDemand  ScanTriggerType = original.OnDemand
	Recurring ScanTriggerType = original.Recurring
)

type ScanningFunctionality = original.ScanningFunctionality

const (
	NotScannerDevice ScanningFunctionality = original.NotScannerDevice
	ScannerDevice    ScanningFunctionality = original.ScannerDevice
)

type Script = original.Script

const (
	ScriptAudit   Script = original.ScriptAudit
	ScriptEnforce Script = original.ScriptEnforce
	ScriptNone    Script = original.ScriptNone
)

type SensorStatus = original.SensorStatus

const (
	Disconnected SensorStatus = original.Disconnected
	Ok           SensorStatus = original.Ok
	Unavailable  SensorStatus = original.Unavailable
)

type SensorType = original.SensorType

const (
	SensorTypeEnterprise SensorType = original.SensorTypeEnterprise
	SensorTypeOt         SensorType = original.SensorTypeOt
)

type Severity = original.Severity

const (
	SeverityHigh   Severity = original.SeverityHigh
	SeverityLow    Severity = original.SeverityLow
	SeverityMedium Severity = original.SeverityMedium
)

type SolutionStatus = original.SolutionStatus

const (
	SolutionStatusDisabled SolutionStatus = original.SolutionStatusDisabled
	SolutionStatusEnabled  SolutionStatus = original.SolutionStatusEnabled
)

type Source = original.Source

const (
	SourceAzure           Source = original.SourceAzure
	SourceOnPremise       Source = original.SourceOnPremise
	SourceOnPremiseSQL    Source = original.SourceOnPremiseSQL
	SourceResourceDetails Source = original.SourceResourceDetails
)

type SourceSystem = original.SourceSystem

const (
	SourceSystemAzureAppLocker    SourceSystem = original.SourceSystemAzureAppLocker
	SourceSystemAzureAuditD       SourceSystem = original.SourceSystemAzureAuditD
	SourceSystemNonAzureAppLocker SourceSystem = original.SourceSystemNonAzureAppLocker
	SourceSystemNonAzureAuditD    SourceSystem = original.SourceSystemNonAzureAuditD
	SourceSystemNone              SourceSystem = original.SourceSystemNone
)

type State = original.State

const (
	StateFailed      State = original.StateFailed
	StatePassed      State = original.StatePassed
	StateSkipped     State = original.StateSkipped
	StateUnsupported State = original.StateUnsupported
)

type Status = original.Status

const (
	Initiated Status = original.Initiated
	Revoked   Status = original.Revoked
)

type StatusReason = original.StatusReason

const (
	StatusReasonExpired               StatusReason = original.StatusReasonExpired
	StatusReasonNewerRequestInitiated StatusReason = original.StatusReasonNewerRequestInitiated
	StatusReasonUserRequested         StatusReason = original.StatusReasonUserRequested
)

type SubAssessmentStatusCode = original.SubAssessmentStatusCode

const (
	SubAssessmentStatusCodeHealthy       SubAssessmentStatusCode = original.SubAssessmentStatusCodeHealthy
	SubAssessmentStatusCodeNotApplicable SubAssessmentStatusCode = original.SubAssessmentStatusCodeNotApplicable
	SubAssessmentStatusCodeUnhealthy     SubAssessmentStatusCode = original.SubAssessmentStatusCodeUnhealthy
)

type Threats = original.Threats

const (
	AccountBreach        Threats = original.AccountBreach
	DataExfiltration     Threats = original.DataExfiltration
	DataSpillage         Threats = original.DataSpillage
	DenialOfService      Threats = original.DenialOfService
	ElevationOfPrivilege Threats = original.ElevationOfPrivilege
	MaliciousInsider     Threats = original.MaliciousInsider
	MissingCoverage      Threats = original.MissingCoverage
	ThreatResistance     Threats = original.ThreatResistance
)

type TiStatus = original.TiStatus

const (
	TiStatusFailed          TiStatus = original.TiStatusFailed
	TiStatusInProgress      TiStatus = original.TiStatusInProgress
	TiStatusOk              TiStatus = original.TiStatusOk
	TiStatusUpdateAvailable TiStatus = original.TiStatusUpdateAvailable
)

type TransportProtocol = original.TransportProtocol

const (
	TransportProtocolTCP TransportProtocol = original.TransportProtocolTCP
	TransportProtocolUDP TransportProtocol = original.TransportProtocolUDP
)

type Type = original.Type

const (
	BinarySignature          Type = original.BinarySignature
	File                     Type = original.File
	FileHash                 Type = original.FileHash
	ProductSignature         Type = original.ProductSignature
	PublisherSignature       Type = original.PublisherSignature
	VersionAndAboveSignature Type = original.VersionAndAboveSignature
)

type TypeBasicResourceIdentifier = original.TypeBasicResourceIdentifier

const (
	TypeAzureResource      TypeBasicResourceIdentifier = original.TypeAzureResource
	TypeLogAnalytics       TypeBasicResourceIdentifier = original.TypeLogAnalytics
	TypeResourceIdentifier TypeBasicResourceIdentifier = original.TypeResourceIdentifier
)

type UnmaskedIPLoggingStatus = original.UnmaskedIPLoggingStatus

const (
	UnmaskedIPLoggingStatusDisabled UnmaskedIPLoggingStatus = original.UnmaskedIPLoggingStatusDisabled
	UnmaskedIPLoggingStatusEnabled  UnmaskedIPLoggingStatus = original.UnmaskedIPLoggingStatusEnabled
)

type UserImpact = original.UserImpact

const (
	UserImpactHigh     UserImpact = original.UserImpactHigh
	UserImpactLow      UserImpact = original.UserImpactLow
	UserImpactModerate UserImpact = original.UserImpactModerate
)

type ValueType = original.ValueType

const (
	ValueTypeIPCidr ValueType = original.ValueTypeIPCidr
	ValueTypeString ValueType = original.ValueTypeString
)

type VersionKind = original.VersionKind

const (
	Latest   VersionKind = original.Latest
	Preview  VersionKind = original.Preview
	Previous VersionKind = original.Previous
)

type AadConnectivityState1 = original.AadConnectivityState1
type AadExternalSecuritySolution = original.AadExternalSecuritySolution
type AadSolutionProperties = original.AadSolutionProperties
type ActiveConnectionsNotInAllowedRange = original.ActiveConnectionsNotInAllowedRange
type AdaptiveApplicationControlGroup = original.AdaptiveApplicationControlGroup
type AdaptiveApplicationControlGroupData = original.AdaptiveApplicationControlGroupData
type AdaptiveApplicationControlGroups = original.AdaptiveApplicationControlGroups
type AdaptiveApplicationControlIssueSummary = original.AdaptiveApplicationControlIssueSummary
type AdaptiveApplicationControlsClient = original.AdaptiveApplicationControlsClient
type AdaptiveNetworkHardening = original.AdaptiveNetworkHardening
type AdaptiveNetworkHardeningEnforceRequest = original.AdaptiveNetworkHardeningEnforceRequest
type AdaptiveNetworkHardeningProperties = original.AdaptiveNetworkHardeningProperties
type AdaptiveNetworkHardeningsClient = original.AdaptiveNetworkHardeningsClient
type AdaptiveNetworkHardeningsEnforceFuture = original.AdaptiveNetworkHardeningsEnforceFuture
type AdaptiveNetworkHardeningsList = original.AdaptiveNetworkHardeningsList
type AdaptiveNetworkHardeningsListIterator = original.AdaptiveNetworkHardeningsListIterator
type AdaptiveNetworkHardeningsListPage = original.AdaptiveNetworkHardeningsListPage
type AdditionalData = original.AdditionalData
type AdditionalWorkspacesProperties = original.AdditionalWorkspacesProperties
type AdvancedThreatProtectionClient = original.AdvancedThreatProtectionClient
type AdvancedThreatProtectionProperties = original.AdvancedThreatProtectionProperties
type AdvancedThreatProtectionSetting = original.AdvancedThreatProtectionSetting
type Alert = original.Alert
type AlertEntity = original.AlertEntity
type AlertList = original.AlertList
type AlertListIterator = original.AlertListIterator
type AlertListPage = original.AlertListPage
type AlertProperties = original.AlertProperties
type AlertSimulatorBundlesRequestProperties = original.AlertSimulatorBundlesRequestProperties
type AlertSimulatorRequestBody = original.AlertSimulatorRequestBody
type AlertSimulatorRequestProperties = original.AlertSimulatorRequestProperties
type AlertSyncSettingProperties = original.AlertSyncSettingProperties
type AlertSyncSettings = original.AlertSyncSettings
type AlertsClient = original.AlertsClient
type AlertsSimulateFuture = original.AlertsSimulateFuture
type AlertsSuppressionRule = original.AlertsSuppressionRule
type AlertsSuppressionRuleProperties = original.AlertsSuppressionRuleProperties
type AlertsSuppressionRulesClient = original.AlertsSuppressionRulesClient
type AlertsSuppressionRulesList = original.AlertsSuppressionRulesList
type AlertsSuppressionRulesListIterator = original.AlertsSuppressionRulesListIterator
type AlertsSuppressionRulesListPage = original.AlertsSuppressionRulesListPage
type AllowedConnectionsClient = original.AllowedConnectionsClient
type AllowedConnectionsList = original.AllowedConnectionsList
type AllowedConnectionsListIterator = original.AllowedConnectionsListIterator
type AllowedConnectionsListPage = original.AllowedConnectionsListPage
type AllowedConnectionsResource = original.AllowedConnectionsResource
type AllowedConnectionsResourceProperties = original.AllowedConnectionsResourceProperties
type AllowlistCustomAlertRule = original.AllowlistCustomAlertRule
type AmqpC2DMessagesNotInAllowedRange = original.AmqpC2DMessagesNotInAllowedRange
type AmqpC2DRejectedMessagesNotInAllowedRange = original.AmqpC2DRejectedMessagesNotInAllowedRange
type AmqpD2CMessagesNotInAllowedRange = original.AmqpD2CMessagesNotInAllowedRange
type AscLocation = original.AscLocation
type AscLocationList = original.AscLocationList
type AscLocationListIterator = original.AscLocationListIterator
type AscLocationListPage = original.AscLocationListPage
type Assessment = original.Assessment
type AssessmentLinks = original.AssessmentLinks
type AssessmentList = original.AssessmentList
type AssessmentListIterator = original.AssessmentListIterator
type AssessmentListPage = original.AssessmentListPage
type AssessmentMetadata = original.AssessmentMetadata
type AssessmentMetadataList = original.AssessmentMetadataList
type AssessmentMetadataListIterator = original.AssessmentMetadataListIterator
type AssessmentMetadataListPage = original.AssessmentMetadataListPage
type AssessmentMetadataPartnerData = original.AssessmentMetadataPartnerData
type AssessmentMetadataProperties = original.AssessmentMetadataProperties
type AssessmentPartnerData = original.AssessmentPartnerData
type AssessmentProperties = original.AssessmentProperties
type AssessmentStatus = original.AssessmentStatus
type AssessmentsClient = original.AssessmentsClient
type AssessmentsMetadataClient = original.AssessmentsMetadataClient
type AtaExternalSecuritySolution = original.AtaExternalSecuritySolution
type AtaSolutionProperties = original.AtaSolutionProperties
type AuthenticationDetailsProperties = original.AuthenticationDetailsProperties
type AutoProvisioningSetting = original.AutoProvisioningSetting
type AutoProvisioningSettingList = original.AutoProvisioningSettingList
type AutoProvisioningSettingListIterator = original.AutoProvisioningSettingListIterator
type AutoProvisioningSettingListPage = original.AutoProvisioningSettingListPage
type AutoProvisioningSettingProperties = original.AutoProvisioningSettingProperties
type AutoProvisioningSettingsClient = original.AutoProvisioningSettingsClient
type Automation = original.Automation
type AutomationAction = original.AutomationAction
type AutomationActionEventHub = original.AutomationActionEventHub
type AutomationActionLogicApp = original.AutomationActionLogicApp
type AutomationActionWorkspace = original.AutomationActionWorkspace
type AutomationList = original.AutomationList
type AutomationListIterator = original.AutomationListIterator
type AutomationListPage = original.AutomationListPage
type AutomationProperties = original.AutomationProperties
type AutomationRuleSet = original.AutomationRuleSet
type AutomationScope = original.AutomationScope
type AutomationSource = original.AutomationSource
type AutomationTriggeringRule = original.AutomationTriggeringRule
type AutomationValidationStatus = original.AutomationValidationStatus
type AutomationsClient = original.AutomationsClient
type AwAssumeRoleAuthenticationDetailsProperties = original.AwAssumeRoleAuthenticationDetailsProperties
type AwsCredsAuthenticationDetailsProperties = original.AwsCredsAuthenticationDetailsProperties
type AzureResourceDetails = original.AzureResourceDetails
type AzureResourceIdentifier = original.AzureResourceIdentifier
type AzureResourceLink = original.AzureResourceLink
type AzureTrackedResourceLocation = original.AzureTrackedResourceLocation
type BaseClient = original.BaseClient
type Baseline = original.Baseline
type BaselineAdjustedResult = original.BaselineAdjustedResult
type BasicAdditionalData = original.BasicAdditionalData
type BasicAlertSimulatorRequestProperties = original.BasicAlertSimulatorRequestProperties
type BasicAllowlistCustomAlertRule = original.BasicAllowlistCustomAlertRule
type BasicAuthenticationDetailsProperties = original.BasicAuthenticationDetailsProperties
type BasicAutomationAction = original.BasicAutomationAction
type BasicCustomAlertRule = original.BasicCustomAlertRule
type BasicExternalSecuritySolution = original.BasicExternalSecuritySolution
type BasicListCustomAlertRule = original.BasicListCustomAlertRule
type BasicOnPremiseResourceDetails = original.BasicOnPremiseResourceDetails
type BasicResourceDetails = original.BasicResourceDetails
type BasicResourceIdentifier = original.BasicResourceIdentifier
type BasicSetting = original.BasicSetting
type BasicThresholdCustomAlertRule = original.BasicThresholdCustomAlertRule
type BasicTimeWindowCustomAlertRule = original.BasicTimeWindowCustomAlertRule
type BenchmarkReference = original.BenchmarkReference
type CVE = original.CVE
type CVSS = original.CVSS
type CefExternalSecuritySolution = original.CefExternalSecuritySolution
type CefSolutionProperties = original.CefSolutionProperties
type CloudError = original.CloudError
type CloudErrorBody = original.CloudErrorBody
type Compliance = original.Compliance
type ComplianceList = original.ComplianceList
type ComplianceListIterator = original.ComplianceListIterator
type ComplianceListPage = original.ComplianceListPage
type ComplianceProperties = original.ComplianceProperties
type ComplianceResult = original.ComplianceResult
type ComplianceResultList = original.ComplianceResultList
type ComplianceResultListIterator = original.ComplianceResultListIterator
type ComplianceResultListPage = original.ComplianceResultListPage
type ComplianceResultProperties = original.ComplianceResultProperties
type ComplianceResultsClient = original.ComplianceResultsClient
type ComplianceSegment = original.ComplianceSegment
type CompliancesClient = original.CompliancesClient
type ConnectableResource = original.ConnectableResource
type ConnectedResource = original.ConnectedResource
type ConnectedWorkspace = original.ConnectedWorkspace
type ConnectionFromIPNotAllowed = original.ConnectionFromIPNotAllowed
type ConnectionStrings = original.ConnectionStrings
type ConnectionToIPNotAllowed = original.ConnectionToIPNotAllowed
type ConnectorSetting = original.ConnectorSetting
type ConnectorSettingList = original.ConnectorSettingList
type ConnectorSettingListIterator = original.ConnectorSettingListIterator
type ConnectorSettingListPage = original.ConnectorSettingListPage
type ConnectorSettingProperties = original.ConnectorSettingProperties
type ConnectorsClient = original.ConnectorsClient
type Contact = original.Contact
type ContactList = original.ContactList
type ContactListIterator = original.ContactListIterator
type ContactListPage = original.ContactListPage
type ContactProperties = original.ContactProperties
type ContactsClient = original.ContactsClient
type ContainerRegistryVulnerabilityProperties = original.ContainerRegistryVulnerabilityProperties
type CustomAlertRule = original.CustomAlertRule
type DataExportSettingProperties = original.DataExportSettingProperties
type DataExportSettings = original.DataExportSettings
type DenylistCustomAlertRule = original.DenylistCustomAlertRule
type Device = original.Device
type DeviceClient = original.DeviceClient
type DeviceList = original.DeviceList
type DeviceListIterator = original.DeviceListIterator
type DeviceListPage = original.DeviceListPage
type DeviceProperties = original.DeviceProperties
type DeviceSecurityGroup = original.DeviceSecurityGroup
type DeviceSecurityGroupList = original.DeviceSecurityGroupList
type DeviceSecurityGroupListIterator = original.DeviceSecurityGroupListIterator
type DeviceSecurityGroupListPage = original.DeviceSecurityGroupListPage
type DeviceSecurityGroupProperties = original.DeviceSecurityGroupProperties
type DeviceSecurityGroupsClient = original.DeviceSecurityGroupsClient
type DevicesForHubClient = original.DevicesForHubClient
type DevicesForSubscriptionClient = original.DevicesForSubscriptionClient
type DirectMethodInvokesNotInAllowedRange = original.DirectMethodInvokesNotInAllowedRange
type DiscoveredSecuritySolution = original.DiscoveredSecuritySolution
type DiscoveredSecuritySolutionList = original.DiscoveredSecuritySolutionList
type DiscoveredSecuritySolutionListIterator = original.DiscoveredSecuritySolutionListIterator
type DiscoveredSecuritySolutionListPage = original.DiscoveredSecuritySolutionListPage
type DiscoveredSecuritySolutionProperties = original.DiscoveredSecuritySolutionProperties
type DiscoveredSecuritySolutionsClient = original.DiscoveredSecuritySolutionsClient
type ETag = original.ETag
type EffectiveNetworkSecurityGroups = original.EffectiveNetworkSecurityGroups
type ErrorAdditionalInfo = original.ErrorAdditionalInfo
type ExternalSecuritySolution = original.ExternalSecuritySolution
type ExternalSecuritySolutionKind1 = original.ExternalSecuritySolutionKind1
type ExternalSecuritySolutionList = original.ExternalSecuritySolutionList
type ExternalSecuritySolutionListIterator = original.ExternalSecuritySolutionListIterator
type ExternalSecuritySolutionListPage = original.ExternalSecuritySolutionListPage
type ExternalSecuritySolutionModel = original.ExternalSecuritySolutionModel
type ExternalSecuritySolutionProperties = original.ExternalSecuritySolutionProperties
type ExternalSecuritySolutionsClient = original.ExternalSecuritySolutionsClient
type FailedLocalLoginsNotInAllowedRange = original.FailedLocalLoginsNotInAllowedRange
type FileUploadsNotInAllowedRange = original.FileUploadsNotInAllowedRange
type Firmware = original.Firmware
type GcpCredentialsDetailsProperties = original.GcpCredentialsDetailsProperties
type HTTPC2DMessagesNotInAllowedRange = original.HTTPC2DMessagesNotInAllowedRange
type HTTPC2DRejectedMessagesNotInAllowedRange = original.HTTPC2DRejectedMessagesNotInAllowedRange
type HTTPD2CMessagesNotInAllowedRange = original.HTTPD2CMessagesNotInAllowedRange
type HybridComputeSettingsProperties = original.HybridComputeSettingsProperties
type IPAddress = original.IPAddress
type InformationProtectionKeyword = original.InformationProtectionKeyword
type InformationProtectionPoliciesClient = original.InformationProtectionPoliciesClient
type InformationProtectionPolicy = original.InformationProtectionPolicy
type InformationProtectionPolicyList = original.InformationProtectionPolicyList
type InformationProtectionPolicyListIterator = original.InformationProtectionPolicyListIterator
type InformationProtectionPolicyListPage = original.InformationProtectionPolicyListPage
type InformationProtectionPolicyProperties = original.InformationProtectionPolicyProperties
type InformationType = original.InformationType
type IngestionConnectionString = original.IngestionConnectionString
type IngestionSetting = original.IngestionSetting
type IngestionSettingList = original.IngestionSettingList
type IngestionSettingListIterator = original.IngestionSettingListIterator
type IngestionSettingListPage = original.IngestionSettingListPage
type IngestionSettingToken = original.IngestionSettingToken
type IngestionSettingsClient = original.IngestionSettingsClient
type IoTSecurityAggregatedAlert = original.IoTSecurityAggregatedAlert
type IoTSecurityAggregatedAlertList = original.IoTSecurityAggregatedAlertList
type IoTSecurityAggregatedAlertListIterator = original.IoTSecurityAggregatedAlertListIterator
type IoTSecurityAggregatedAlertListPage = original.IoTSecurityAggregatedAlertListPage
type IoTSecurityAggregatedAlertProperties = original.IoTSecurityAggregatedAlertProperties
type IoTSecurityAggregatedAlertPropertiesTopDevicesListItem = original.IoTSecurityAggregatedAlertPropertiesTopDevicesListItem
type IoTSecurityAggregatedRecommendation = original.IoTSecurityAggregatedRecommendation
type IoTSecurityAggregatedRecommendationList = original.IoTSecurityAggregatedRecommendationList
type IoTSecurityAggregatedRecommendationListIterator = original.IoTSecurityAggregatedRecommendationListIterator
type IoTSecurityAggregatedRecommendationListPage = original.IoTSecurityAggregatedRecommendationListPage
type IoTSecurityAggregatedRecommendationProperties = original.IoTSecurityAggregatedRecommendationProperties
type IoTSecurityAlertedDevice = original.IoTSecurityAlertedDevice
type IoTSecurityDeviceAlert = original.IoTSecurityDeviceAlert
type IoTSecurityDeviceRecommendation = original.IoTSecurityDeviceRecommendation
type IoTSecuritySolutionAnalyticsModel = original.IoTSecuritySolutionAnalyticsModel
type IoTSecuritySolutionAnalyticsModelList = original.IoTSecuritySolutionAnalyticsModelList
type IoTSecuritySolutionAnalyticsModelProperties = original.IoTSecuritySolutionAnalyticsModelProperties
type IoTSecuritySolutionAnalyticsModelPropertiesDevicesMetricsItem = original.IoTSecuritySolutionAnalyticsModelPropertiesDevicesMetricsItem
type IoTSecuritySolutionModel = original.IoTSecuritySolutionModel
type IoTSecuritySolutionProperties = original.IoTSecuritySolutionProperties
type IoTSecuritySolutionsList = original.IoTSecuritySolutionsList
type IoTSecuritySolutionsListIterator = original.IoTSecuritySolutionsListIterator
type IoTSecuritySolutionsListPage = original.IoTSecuritySolutionsListPage
type IoTSeverityMetrics = original.IoTSeverityMetrics
type IotAlertListModel = original.IotAlertListModel
type IotAlertListModelIterator = original.IotAlertListModelIterator
type IotAlertListModelPage = original.IotAlertListModelPage
type IotAlertModel = original.IotAlertModel
type IotAlertPropertiesModel = original.IotAlertPropertiesModel
type IotAlertType = original.IotAlertType
type IotAlertTypeList = original.IotAlertTypeList
type IotAlertTypeProperties = original.IotAlertTypeProperties
type IotAlertTypesClient = original.IotAlertTypesClient
type IotAlertsClient = original.IotAlertsClient
type IotDefenderSettingsClient = original.IotDefenderSettingsClient
type IotDefenderSettingsList = original.IotDefenderSettingsList
type IotDefenderSettingsModel = original.IotDefenderSettingsModel
type IotDefenderSettingsProperties = original.IotDefenderSettingsProperties
type IotRecommendationListModel = original.IotRecommendationListModel
type IotRecommendationListModelIterator = original.IotRecommendationListModelIterator
type IotRecommendationListModelPage = original.IotRecommendationListModelPage
type IotRecommendationModel = original.IotRecommendationModel
type IotRecommendationPropertiesModel = original.IotRecommendationPropertiesModel
type IotRecommendationType = original.IotRecommendationType
type IotRecommendationTypeList = original.IotRecommendationTypeList
type IotRecommendationTypeProperties = original.IotRecommendationTypeProperties
type IotRecommendationTypesClient = original.IotRecommendationTypesClient
type IotRecommendationsClient = original.IotRecommendationsClient
type IotSecuritySolutionAnalyticsClient = original.IotSecuritySolutionAnalyticsClient
type IotSecuritySolutionClient = original.IotSecuritySolutionClient
type IotSecuritySolutionsAnalyticsAggregatedAlertClient = original.IotSecuritySolutionsAnalyticsAggregatedAlertClient
type IotSecuritySolutionsAnalyticsRecommendationClient = original.IotSecuritySolutionsAnalyticsRecommendationClient
type IotSensorProperties = original.IotSensorProperties
type IotSensorsClient = original.IotSensorsClient
type IotSensorsList = original.IotSensorsList
type IotSensorsModel = original.IotSensorsModel
type IotSiteProperties = original.IotSiteProperties
type IotSitesClient = original.IotSitesClient
type IotSitesList = original.IotSitesList
type IotSitesModel = original.IotSitesModel
type JitNetworkAccessPoliciesClient = original.JitNetworkAccessPoliciesClient
type JitNetworkAccessPoliciesList = original.JitNetworkAccessPoliciesList
type JitNetworkAccessPoliciesListIterator = original.JitNetworkAccessPoliciesListIterator
type JitNetworkAccessPoliciesListPage = original.JitNetworkAccessPoliciesListPage
type JitNetworkAccessPolicy = original.JitNetworkAccessPolicy
type JitNetworkAccessPolicyInitiatePort = original.JitNetworkAccessPolicyInitiatePort
type JitNetworkAccessPolicyInitiateRequest = original.JitNetworkAccessPolicyInitiateRequest
type JitNetworkAccessPolicyInitiateVirtualMachine = original.JitNetworkAccessPolicyInitiateVirtualMachine
type JitNetworkAccessPolicyProperties = original.JitNetworkAccessPolicyProperties
type JitNetworkAccessPolicyVirtualMachine = original.JitNetworkAccessPolicyVirtualMachine
type JitNetworkAccessPortRule = original.JitNetworkAccessPortRule
type JitNetworkAccessRequest = original.JitNetworkAccessRequest
type JitNetworkAccessRequestPort = original.JitNetworkAccessRequestPort
type JitNetworkAccessRequestVirtualMachine = original.JitNetworkAccessRequestVirtualMachine
type Kind = original.Kind
type ListCustomAlertRule = original.ListCustomAlertRule
type LocalUserNotAllowed = original.LocalUserNotAllowed
type Location = original.Location
type LocationsClient = original.LocationsClient
type LogAnalyticsIdentifier = original.LogAnalyticsIdentifier
type MacAddress = original.MacAddress
type MqttC2DMessagesNotInAllowedRange = original.MqttC2DMessagesNotInAllowedRange
type MqttC2DRejectedMessagesNotInAllowedRange = original.MqttC2DRejectedMessagesNotInAllowedRange
type MqttD2CMessagesNotInAllowedRange = original.MqttD2CMessagesNotInAllowedRange
type NetworkInterface = original.NetworkInterface
type OnPremiseIotSensor = original.OnPremiseIotSensor
type OnPremiseIotSensorsClient = original.OnPremiseIotSensorsClient
type OnPremiseIotSensorsList = original.OnPremiseIotSensorsList
type OnPremiseResourceDetails = original.OnPremiseResourceDetails
type OnPremiseSQLResourceDetails = original.OnPremiseSQLResourceDetails
type Operation = original.Operation
type OperationDisplay = original.OperationDisplay
type OperationList = original.OperationList
type OperationListIterator = original.OperationListIterator
type OperationListPage = original.OperationListPage
type OperationsClient = original.OperationsClient
type PackageDownloadInfo = original.PackageDownloadInfo
type PackageDownloads = original.PackageDownloads
type PackageDownloadsCentralManager = original.PackageDownloadsCentralManager
type PackageDownloadsCentralManagerFull = original.PackageDownloadsCentralManagerFull
type PackageDownloadsCentralManagerFullOvf = original.PackageDownloadsCentralManagerFullOvf
type PackageDownloadsSensor = original.PackageDownloadsSensor
type PackageDownloadsSensorFull = original.PackageDownloadsSensorFull
type PackageDownloadsSensorFullOvf = original.PackageDownloadsSensorFullOvf
type PathRecommendation = original.PathRecommendation
type Pricing = original.Pricing
type PricingList = original.PricingList
type PricingProperties = original.PricingProperties
type PricingsClient = original.PricingsClient
type ProcessNotAllowed = original.ProcessNotAllowed
type ProtectionMode = original.ProtectionMode
type Protocol1 = original.Protocol1
type ProxyServerProperties = original.ProxyServerProperties
type PublisherInfo = original.PublisherInfo
type QueryCheck = original.QueryCheck
type QueuePurgesNotInAllowedRange = original.QueuePurgesNotInAllowedRange
type ReadCloser = original.ReadCloser
type RecommendationConfigurationProperties = original.RecommendationConfigurationProperties
type RegulatoryComplianceAssessment = original.RegulatoryComplianceAssessment
type RegulatoryComplianceAssessmentList = original.RegulatoryComplianceAssessmentList
type RegulatoryComplianceAssessmentListIterator = original.RegulatoryComplianceAssessmentListIterator
type RegulatoryComplianceAssessmentListPage = original.RegulatoryComplianceAssessmentListPage
type RegulatoryComplianceAssessmentProperties = original.RegulatoryComplianceAssessmentProperties
type RegulatoryComplianceAssessmentsClient = original.RegulatoryComplianceAssessmentsClient
type RegulatoryComplianceControl = original.RegulatoryComplianceControl
type RegulatoryComplianceControlList = original.RegulatoryComplianceControlList
type RegulatoryComplianceControlListIterator = original.RegulatoryComplianceControlListIterator
type RegulatoryComplianceControlListPage = original.RegulatoryComplianceControlListPage
type RegulatoryComplianceControlProperties = original.RegulatoryComplianceControlProperties
type RegulatoryComplianceControlsClient = original.RegulatoryComplianceControlsClient
type RegulatoryComplianceStandard = original.RegulatoryComplianceStandard
type RegulatoryComplianceStandardList = original.RegulatoryComplianceStandardList
type RegulatoryComplianceStandardListIterator = original.RegulatoryComplianceStandardListIterator
type RegulatoryComplianceStandardListPage = original.RegulatoryComplianceStandardListPage
type RegulatoryComplianceStandardProperties = original.RegulatoryComplianceStandardProperties
type RegulatoryComplianceStandardsClient = original.RegulatoryComplianceStandardsClient
type Remediation = original.Remediation
type ResetPasswordInput = original.ResetPasswordInput
type Resource = original.Resource
type ResourceDetails = original.ResourceDetails
type ResourceIdentifier = original.ResourceIdentifier
type Rule = original.Rule
type RuleResults = original.RuleResults
type RuleResultsInput = original.RuleResultsInput
type RuleResultsProperties = original.RuleResultsProperties
type RulesResults = original.RulesResults
type RulesResultsInput = original.RulesResultsInput
type SQLServerVulnerabilityProperties = original.SQLServerVulnerabilityProperties
type SQLVulnerabilityAssessmentBaselineRulesClient = original.SQLVulnerabilityAssessmentBaselineRulesClient
type SQLVulnerabilityAssessmentScanResultsClient = original.SQLVulnerabilityAssessmentScanResultsClient
type SQLVulnerabilityAssessmentScansClient = original.SQLVulnerabilityAssessmentScansClient
type Scan = original.Scan
type ScanProperties = original.ScanProperties
type ScanResult = original.ScanResult
type ScanResultProperties = original.ScanResultProperties
type ScanResults = original.ScanResults
type Scans = original.Scans
type ScopeElement = original.ScopeElement
type ScoreDetails = original.ScoreDetails
type SecureScoreControlDefinitionItem = original.SecureScoreControlDefinitionItem
type SecureScoreControlDefinitionItemProperties = original.SecureScoreControlDefinitionItemProperties
type SecureScoreControlDefinitionList = original.SecureScoreControlDefinitionList
type SecureScoreControlDefinitionListIterator = original.SecureScoreControlDefinitionListIterator
type SecureScoreControlDefinitionListPage = original.SecureScoreControlDefinitionListPage
type SecureScoreControlDefinitionSource = original.SecureScoreControlDefinitionSource
type SecureScoreControlDefinitionsClient = original.SecureScoreControlDefinitionsClient
type SecureScoreControlDetails = original.SecureScoreControlDetails
type SecureScoreControlList = original.SecureScoreControlList
type SecureScoreControlListIterator = original.SecureScoreControlListIterator
type SecureScoreControlListPage = original.SecureScoreControlListPage
type SecureScoreControlScore = original.SecureScoreControlScore
type SecureScoreControlScoreDetails = original.SecureScoreControlScoreDetails
type SecureScoreControlsClient = original.SecureScoreControlsClient
type SecureScoreItem = original.SecureScoreItem
type SecureScoreItemProperties = original.SecureScoreItemProperties
type SecureScoresClient = original.SecureScoresClient
type SecureScoresList = original.SecureScoresList
type SecureScoresListIterator = original.SecureScoresListIterator
type SecureScoresListPage = original.SecureScoresListPage
type SensitivityLabel = original.SensitivityLabel
type Sensor = original.Sensor
type ServerVulnerabilityAssessment = original.ServerVulnerabilityAssessment
type ServerVulnerabilityAssessmentClient = original.ServerVulnerabilityAssessmentClient
type ServerVulnerabilityAssessmentDeleteFuture = original.ServerVulnerabilityAssessmentDeleteFuture
type ServerVulnerabilityAssessmentProperties = original.ServerVulnerabilityAssessmentProperties
type ServerVulnerabilityAssessmentsList = original.ServerVulnerabilityAssessmentsList
type ServerVulnerabilityProperties = original.ServerVulnerabilityProperties
type ServicePrincipalProperties = original.ServicePrincipalProperties
type Setting = original.Setting
type SettingModel = original.SettingModel
type SettingsClient = original.SettingsClient
type SettingsList = original.SettingsList
type SettingsListIterator = original.SettingsListIterator
type SettingsListPage = original.SettingsListPage
type Site = original.Site
type Software = original.Software
type SoftwareInventoriesClient = original.SoftwareInventoriesClient
type SoftwareProperties = original.SoftwareProperties
type SoftwaresList = original.SoftwaresList
type SoftwaresListIterator = original.SoftwaresListIterator
type SoftwaresListPage = original.SoftwaresListPage
type Solution = original.Solution
type SolutionList = original.SolutionList
type SolutionListIterator = original.SolutionListIterator
type SolutionListPage = original.SolutionListPage
type SolutionProperties = original.SolutionProperties
type SolutionsClient = original.SolutionsClient
type SolutionsReferenceData = original.SolutionsReferenceData
type SolutionsReferenceDataClient = original.SolutionsReferenceDataClient
type SolutionsReferenceDataList = original.SolutionsReferenceDataList
type SolutionsReferenceDataProperties = original.SolutionsReferenceDataProperties
type SubAssessment = original.SubAssessment
type SubAssessmentList = original.SubAssessmentList
type SubAssessmentListIterator = original.SubAssessmentListIterator
type SubAssessmentListPage = original.SubAssessmentListPage
type SubAssessmentProperties = original.SubAssessmentProperties
type SubAssessmentStatus = original.SubAssessmentStatus
type SubAssessmentsClient = original.SubAssessmentsClient
type SuppressionAlertsScope = original.SuppressionAlertsScope
type SystemData = original.SystemData
type Tags = original.Tags
type TagsResource = original.TagsResource
type Task = original.Task
type TaskList = original.TaskList
type TaskListIterator = original.TaskListIterator
type TaskListPage = original.TaskListPage
type TaskParameters = original.TaskParameters
type TaskProperties = original.TaskProperties
type TasksClient = original.TasksClient
type ThresholdCustomAlertRule = original.ThresholdCustomAlertRule
type TimeWindowCustomAlertRule = original.TimeWindowCustomAlertRule
type TopologyClient = original.TopologyClient
type TopologyList = original.TopologyList
type TopologyListIterator = original.TopologyListIterator
type TopologyListPage = original.TopologyListPage
type TopologyResource = original.TopologyResource
type TopologyResourceProperties = original.TopologyResourceProperties
type TopologySingleResource = original.TopologySingleResource
type TopologySingleResourceChild = original.TopologySingleResourceChild
type TopologySingleResourceParent = original.TopologySingleResourceParent
type TrackedResource = original.TrackedResource
type TwinUpdatesNotInAllowedRange = original.TwinUpdatesNotInAllowedRange
type UnauthorizedOperationsNotInAllowedRange = original.UnauthorizedOperationsNotInAllowedRange
type UpdateIoTSecuritySolutionProperties = original.UpdateIoTSecuritySolutionProperties
type UpdateIotSecuritySolutionData = original.UpdateIotSecuritySolutionData
type UpgradePackageDownloadInfo = original.UpgradePackageDownloadInfo
type UserDefinedResourcesProperties = original.UserDefinedResourcesProperties
type UserRecommendation = original.UserRecommendation
type VMRecommendation = original.VMRecommendation
type VaRule = original.VaRule
type VendorReference = original.VendorReference
type WorkspaceSetting = original.WorkspaceSetting
type WorkspaceSettingList = original.WorkspaceSettingList
type WorkspaceSettingListIterator = original.WorkspaceSettingListIterator
type WorkspaceSettingListPage = original.WorkspaceSettingListPage
type WorkspaceSettingProperties = original.WorkspaceSettingProperties
type WorkspaceSettingsClient = original.WorkspaceSettingsClient

func New(subscriptionID string, ascLocation string) BaseClient {
	return original.New(subscriptionID, ascLocation)
}
func NewAdaptiveApplicationControlsClient(subscriptionID string, ascLocation string) AdaptiveApplicationControlsClient {
	return original.NewAdaptiveApplicationControlsClient(subscriptionID, ascLocation)
}
func NewAdaptiveApplicationControlsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AdaptiveApplicationControlsClient {
	return original.NewAdaptiveApplicationControlsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAdaptiveNetworkHardeningsClient(subscriptionID string, ascLocation string) AdaptiveNetworkHardeningsClient {
	return original.NewAdaptiveNetworkHardeningsClient(subscriptionID, ascLocation)
}
func NewAdaptiveNetworkHardeningsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AdaptiveNetworkHardeningsClient {
	return original.NewAdaptiveNetworkHardeningsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAdaptiveNetworkHardeningsListIterator(page AdaptiveNetworkHardeningsListPage) AdaptiveNetworkHardeningsListIterator {
	return original.NewAdaptiveNetworkHardeningsListIterator(page)
}
func NewAdaptiveNetworkHardeningsListPage(cur AdaptiveNetworkHardeningsList, getNextPage func(context.Context, AdaptiveNetworkHardeningsList) (AdaptiveNetworkHardeningsList, error)) AdaptiveNetworkHardeningsListPage {
	return original.NewAdaptiveNetworkHardeningsListPage(cur, getNextPage)
}
func NewAdvancedThreatProtectionClient(subscriptionID string, ascLocation string) AdvancedThreatProtectionClient {
	return original.NewAdvancedThreatProtectionClient(subscriptionID, ascLocation)
}
func NewAdvancedThreatProtectionClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AdvancedThreatProtectionClient {
	return original.NewAdvancedThreatProtectionClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAlertListIterator(page AlertListPage) AlertListIterator {
	return original.NewAlertListIterator(page)
}
func NewAlertListPage(cur AlertList, getNextPage func(context.Context, AlertList) (AlertList, error)) AlertListPage {
	return original.NewAlertListPage(cur, getNextPage)
}
func NewAlertsClient(subscriptionID string, ascLocation string) AlertsClient {
	return original.NewAlertsClient(subscriptionID, ascLocation)
}
func NewAlertsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AlertsClient {
	return original.NewAlertsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAlertsSuppressionRulesClient(subscriptionID string, ascLocation string) AlertsSuppressionRulesClient {
	return original.NewAlertsSuppressionRulesClient(subscriptionID, ascLocation)
}
func NewAlertsSuppressionRulesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AlertsSuppressionRulesClient {
	return original.NewAlertsSuppressionRulesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAlertsSuppressionRulesListIterator(page AlertsSuppressionRulesListPage) AlertsSuppressionRulesListIterator {
	return original.NewAlertsSuppressionRulesListIterator(page)
}
func NewAlertsSuppressionRulesListPage(cur AlertsSuppressionRulesList, getNextPage func(context.Context, AlertsSuppressionRulesList) (AlertsSuppressionRulesList, error)) AlertsSuppressionRulesListPage {
	return original.NewAlertsSuppressionRulesListPage(cur, getNextPage)
}
func NewAllowedConnectionsClient(subscriptionID string, ascLocation string) AllowedConnectionsClient {
	return original.NewAllowedConnectionsClient(subscriptionID, ascLocation)
}
func NewAllowedConnectionsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AllowedConnectionsClient {
	return original.NewAllowedConnectionsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAllowedConnectionsListIterator(page AllowedConnectionsListPage) AllowedConnectionsListIterator {
	return original.NewAllowedConnectionsListIterator(page)
}
func NewAllowedConnectionsListPage(cur AllowedConnectionsList, getNextPage func(context.Context, AllowedConnectionsList) (AllowedConnectionsList, error)) AllowedConnectionsListPage {
	return original.NewAllowedConnectionsListPage(cur, getNextPage)
}
func NewAscLocationListIterator(page AscLocationListPage) AscLocationListIterator {
	return original.NewAscLocationListIterator(page)
}
func NewAscLocationListPage(cur AscLocationList, getNextPage func(context.Context, AscLocationList) (AscLocationList, error)) AscLocationListPage {
	return original.NewAscLocationListPage(cur, getNextPage)
}
func NewAssessmentListIterator(page AssessmentListPage) AssessmentListIterator {
	return original.NewAssessmentListIterator(page)
}
func NewAssessmentListPage(cur AssessmentList, getNextPage func(context.Context, AssessmentList) (AssessmentList, error)) AssessmentListPage {
	return original.NewAssessmentListPage(cur, getNextPage)
}
func NewAssessmentMetadataListIterator(page AssessmentMetadataListPage) AssessmentMetadataListIterator {
	return original.NewAssessmentMetadataListIterator(page)
}
func NewAssessmentMetadataListPage(cur AssessmentMetadataList, getNextPage func(context.Context, AssessmentMetadataList) (AssessmentMetadataList, error)) AssessmentMetadataListPage {
	return original.NewAssessmentMetadataListPage(cur, getNextPage)
}
func NewAssessmentsClient(subscriptionID string, ascLocation string) AssessmentsClient {
	return original.NewAssessmentsClient(subscriptionID, ascLocation)
}
func NewAssessmentsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AssessmentsClient {
	return original.NewAssessmentsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAssessmentsMetadataClient(subscriptionID string, ascLocation string) AssessmentsMetadataClient {
	return original.NewAssessmentsMetadataClient(subscriptionID, ascLocation)
}
func NewAssessmentsMetadataClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AssessmentsMetadataClient {
	return original.NewAssessmentsMetadataClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAutoProvisioningSettingListIterator(page AutoProvisioningSettingListPage) AutoProvisioningSettingListIterator {
	return original.NewAutoProvisioningSettingListIterator(page)
}
func NewAutoProvisioningSettingListPage(cur AutoProvisioningSettingList, getNextPage func(context.Context, AutoProvisioningSettingList) (AutoProvisioningSettingList, error)) AutoProvisioningSettingListPage {
	return original.NewAutoProvisioningSettingListPage(cur, getNextPage)
}
func NewAutoProvisioningSettingsClient(subscriptionID string, ascLocation string) AutoProvisioningSettingsClient {
	return original.NewAutoProvisioningSettingsClient(subscriptionID, ascLocation)
}
func NewAutoProvisioningSettingsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AutoProvisioningSettingsClient {
	return original.NewAutoProvisioningSettingsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewAutomationListIterator(page AutomationListPage) AutomationListIterator {
	return original.NewAutomationListIterator(page)
}
func NewAutomationListPage(cur AutomationList, getNextPage func(context.Context, AutomationList) (AutomationList, error)) AutomationListPage {
	return original.NewAutomationListPage(cur, getNextPage)
}
func NewAutomationsClient(subscriptionID string, ascLocation string) AutomationsClient {
	return original.NewAutomationsClient(subscriptionID, ascLocation)
}
func NewAutomationsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) AutomationsClient {
	return original.NewAutomationsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewComplianceListIterator(page ComplianceListPage) ComplianceListIterator {
	return original.NewComplianceListIterator(page)
}
func NewComplianceListPage(cur ComplianceList, getNextPage func(context.Context, ComplianceList) (ComplianceList, error)) ComplianceListPage {
	return original.NewComplianceListPage(cur, getNextPage)
}
func NewComplianceResultListIterator(page ComplianceResultListPage) ComplianceResultListIterator {
	return original.NewComplianceResultListIterator(page)
}
func NewComplianceResultListPage(cur ComplianceResultList, getNextPage func(context.Context, ComplianceResultList) (ComplianceResultList, error)) ComplianceResultListPage {
	return original.NewComplianceResultListPage(cur, getNextPage)
}
func NewComplianceResultsClient(subscriptionID string, ascLocation string) ComplianceResultsClient {
	return original.NewComplianceResultsClient(subscriptionID, ascLocation)
}
func NewComplianceResultsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) ComplianceResultsClient {
	return original.NewComplianceResultsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewCompliancesClient(subscriptionID string, ascLocation string) CompliancesClient {
	return original.NewCompliancesClient(subscriptionID, ascLocation)
}
func NewCompliancesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) CompliancesClient {
	return original.NewCompliancesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewConnectorSettingListIterator(page ConnectorSettingListPage) ConnectorSettingListIterator {
	return original.NewConnectorSettingListIterator(page)
}
func NewConnectorSettingListPage(cur ConnectorSettingList, getNextPage func(context.Context, ConnectorSettingList) (ConnectorSettingList, error)) ConnectorSettingListPage {
	return original.NewConnectorSettingListPage(cur, getNextPage)
}
func NewConnectorsClient(subscriptionID string, ascLocation string) ConnectorsClient {
	return original.NewConnectorsClient(subscriptionID, ascLocation)
}
func NewConnectorsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) ConnectorsClient {
	return original.NewConnectorsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewContactListIterator(page ContactListPage) ContactListIterator {
	return original.NewContactListIterator(page)
}
func NewContactListPage(cur ContactList, getNextPage func(context.Context, ContactList) (ContactList, error)) ContactListPage {
	return original.NewContactListPage(cur, getNextPage)
}
func NewContactsClient(subscriptionID string, ascLocation string) ContactsClient {
	return original.NewContactsClient(subscriptionID, ascLocation)
}
func NewContactsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) ContactsClient {
	return original.NewContactsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewDeviceClient(subscriptionID string, ascLocation string) DeviceClient {
	return original.NewDeviceClient(subscriptionID, ascLocation)
}
func NewDeviceClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) DeviceClient {
	return original.NewDeviceClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewDeviceListIterator(page DeviceListPage) DeviceListIterator {
	return original.NewDeviceListIterator(page)
}
func NewDeviceListPage(cur DeviceList, getNextPage func(context.Context, DeviceList) (DeviceList, error)) DeviceListPage {
	return original.NewDeviceListPage(cur, getNextPage)
}
func NewDeviceSecurityGroupListIterator(page DeviceSecurityGroupListPage) DeviceSecurityGroupListIterator {
	return original.NewDeviceSecurityGroupListIterator(page)
}
func NewDeviceSecurityGroupListPage(cur DeviceSecurityGroupList, getNextPage func(context.Context, DeviceSecurityGroupList) (DeviceSecurityGroupList, error)) DeviceSecurityGroupListPage {
	return original.NewDeviceSecurityGroupListPage(cur, getNextPage)
}
func NewDeviceSecurityGroupsClient(subscriptionID string, ascLocation string) DeviceSecurityGroupsClient {
	return original.NewDeviceSecurityGroupsClient(subscriptionID, ascLocation)
}
func NewDeviceSecurityGroupsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) DeviceSecurityGroupsClient {
	return original.NewDeviceSecurityGroupsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewDevicesForHubClient(subscriptionID string, ascLocation string) DevicesForHubClient {
	return original.NewDevicesForHubClient(subscriptionID, ascLocation)
}
func NewDevicesForHubClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) DevicesForHubClient {
	return original.NewDevicesForHubClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewDevicesForSubscriptionClient(subscriptionID string, ascLocation string) DevicesForSubscriptionClient {
	return original.NewDevicesForSubscriptionClient(subscriptionID, ascLocation)
}
func NewDevicesForSubscriptionClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) DevicesForSubscriptionClient {
	return original.NewDevicesForSubscriptionClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewDiscoveredSecuritySolutionListIterator(page DiscoveredSecuritySolutionListPage) DiscoveredSecuritySolutionListIterator {
	return original.NewDiscoveredSecuritySolutionListIterator(page)
}
func NewDiscoveredSecuritySolutionListPage(cur DiscoveredSecuritySolutionList, getNextPage func(context.Context, DiscoveredSecuritySolutionList) (DiscoveredSecuritySolutionList, error)) DiscoveredSecuritySolutionListPage {
	return original.NewDiscoveredSecuritySolutionListPage(cur, getNextPage)
}
func NewDiscoveredSecuritySolutionsClient(subscriptionID string, ascLocation string) DiscoveredSecuritySolutionsClient {
	return original.NewDiscoveredSecuritySolutionsClient(subscriptionID, ascLocation)
}
func NewDiscoveredSecuritySolutionsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) DiscoveredSecuritySolutionsClient {
	return original.NewDiscoveredSecuritySolutionsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewExternalSecuritySolutionListIterator(page ExternalSecuritySolutionListPage) ExternalSecuritySolutionListIterator {
	return original.NewExternalSecuritySolutionListIterator(page)
}
func NewExternalSecuritySolutionListPage(cur ExternalSecuritySolutionList, getNextPage func(context.Context, ExternalSecuritySolutionList) (ExternalSecuritySolutionList, error)) ExternalSecuritySolutionListPage {
	return original.NewExternalSecuritySolutionListPage(cur, getNextPage)
}
func NewExternalSecuritySolutionsClient(subscriptionID string, ascLocation string) ExternalSecuritySolutionsClient {
	return original.NewExternalSecuritySolutionsClient(subscriptionID, ascLocation)
}
func NewExternalSecuritySolutionsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) ExternalSecuritySolutionsClient {
	return original.NewExternalSecuritySolutionsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewInformationProtectionPoliciesClient(subscriptionID string, ascLocation string) InformationProtectionPoliciesClient {
	return original.NewInformationProtectionPoliciesClient(subscriptionID, ascLocation)
}
func NewInformationProtectionPoliciesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) InformationProtectionPoliciesClient {
	return original.NewInformationProtectionPoliciesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewInformationProtectionPolicyListIterator(page InformationProtectionPolicyListPage) InformationProtectionPolicyListIterator {
	return original.NewInformationProtectionPolicyListIterator(page)
}
func NewInformationProtectionPolicyListPage(cur InformationProtectionPolicyList, getNextPage func(context.Context, InformationProtectionPolicyList) (InformationProtectionPolicyList, error)) InformationProtectionPolicyListPage {
	return original.NewInformationProtectionPolicyListPage(cur, getNextPage)
}
func NewIngestionSettingListIterator(page IngestionSettingListPage) IngestionSettingListIterator {
	return original.NewIngestionSettingListIterator(page)
}
func NewIngestionSettingListPage(cur IngestionSettingList, getNextPage func(context.Context, IngestionSettingList) (IngestionSettingList, error)) IngestionSettingListPage {
	return original.NewIngestionSettingListPage(cur, getNextPage)
}
func NewIngestionSettingsClient(subscriptionID string, ascLocation string) IngestionSettingsClient {
	return original.NewIngestionSettingsClient(subscriptionID, ascLocation)
}
func NewIngestionSettingsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IngestionSettingsClient {
	return original.NewIngestionSettingsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIoTSecurityAggregatedAlertListIterator(page IoTSecurityAggregatedAlertListPage) IoTSecurityAggregatedAlertListIterator {
	return original.NewIoTSecurityAggregatedAlertListIterator(page)
}
func NewIoTSecurityAggregatedAlertListPage(cur IoTSecurityAggregatedAlertList, getNextPage func(context.Context, IoTSecurityAggregatedAlertList) (IoTSecurityAggregatedAlertList, error)) IoTSecurityAggregatedAlertListPage {
	return original.NewIoTSecurityAggregatedAlertListPage(cur, getNextPage)
}
func NewIoTSecurityAggregatedRecommendationListIterator(page IoTSecurityAggregatedRecommendationListPage) IoTSecurityAggregatedRecommendationListIterator {
	return original.NewIoTSecurityAggregatedRecommendationListIterator(page)
}
func NewIoTSecurityAggregatedRecommendationListPage(cur IoTSecurityAggregatedRecommendationList, getNextPage func(context.Context, IoTSecurityAggregatedRecommendationList) (IoTSecurityAggregatedRecommendationList, error)) IoTSecurityAggregatedRecommendationListPage {
	return original.NewIoTSecurityAggregatedRecommendationListPage(cur, getNextPage)
}
func NewIoTSecuritySolutionsListIterator(page IoTSecuritySolutionsListPage) IoTSecuritySolutionsListIterator {
	return original.NewIoTSecuritySolutionsListIterator(page)
}
func NewIoTSecuritySolutionsListPage(cur IoTSecuritySolutionsList, getNextPage func(context.Context, IoTSecuritySolutionsList) (IoTSecuritySolutionsList, error)) IoTSecuritySolutionsListPage {
	return original.NewIoTSecuritySolutionsListPage(cur, getNextPage)
}
func NewIotAlertListModelIterator(page IotAlertListModelPage) IotAlertListModelIterator {
	return original.NewIotAlertListModelIterator(page)
}
func NewIotAlertListModelPage(cur IotAlertListModel, getNextPage func(context.Context, IotAlertListModel) (IotAlertListModel, error)) IotAlertListModelPage {
	return original.NewIotAlertListModelPage(cur, getNextPage)
}
func NewIotAlertTypesClient(subscriptionID string, ascLocation string) IotAlertTypesClient {
	return original.NewIotAlertTypesClient(subscriptionID, ascLocation)
}
func NewIotAlertTypesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotAlertTypesClient {
	return original.NewIotAlertTypesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotAlertsClient(subscriptionID string, ascLocation string) IotAlertsClient {
	return original.NewIotAlertsClient(subscriptionID, ascLocation)
}
func NewIotAlertsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotAlertsClient {
	return original.NewIotAlertsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotDefenderSettingsClient(subscriptionID string, ascLocation string) IotDefenderSettingsClient {
	return original.NewIotDefenderSettingsClient(subscriptionID, ascLocation)
}
func NewIotDefenderSettingsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotDefenderSettingsClient {
	return original.NewIotDefenderSettingsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotRecommendationListModelIterator(page IotRecommendationListModelPage) IotRecommendationListModelIterator {
	return original.NewIotRecommendationListModelIterator(page)
}
func NewIotRecommendationListModelPage(cur IotRecommendationListModel, getNextPage func(context.Context, IotRecommendationListModel) (IotRecommendationListModel, error)) IotRecommendationListModelPage {
	return original.NewIotRecommendationListModelPage(cur, getNextPage)
}
func NewIotRecommendationTypesClient(subscriptionID string, ascLocation string) IotRecommendationTypesClient {
	return original.NewIotRecommendationTypesClient(subscriptionID, ascLocation)
}
func NewIotRecommendationTypesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotRecommendationTypesClient {
	return original.NewIotRecommendationTypesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotRecommendationsClient(subscriptionID string, ascLocation string) IotRecommendationsClient {
	return original.NewIotRecommendationsClient(subscriptionID, ascLocation)
}
func NewIotRecommendationsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotRecommendationsClient {
	return original.NewIotRecommendationsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotSecuritySolutionAnalyticsClient(subscriptionID string, ascLocation string) IotSecuritySolutionAnalyticsClient {
	return original.NewIotSecuritySolutionAnalyticsClient(subscriptionID, ascLocation)
}
func NewIotSecuritySolutionAnalyticsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotSecuritySolutionAnalyticsClient {
	return original.NewIotSecuritySolutionAnalyticsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotSecuritySolutionClient(subscriptionID string, ascLocation string) IotSecuritySolutionClient {
	return original.NewIotSecuritySolutionClient(subscriptionID, ascLocation)
}
func NewIotSecuritySolutionClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotSecuritySolutionClient {
	return original.NewIotSecuritySolutionClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotSecuritySolutionsAnalyticsAggregatedAlertClient(subscriptionID string, ascLocation string) IotSecuritySolutionsAnalyticsAggregatedAlertClient {
	return original.NewIotSecuritySolutionsAnalyticsAggregatedAlertClient(subscriptionID, ascLocation)
}
func NewIotSecuritySolutionsAnalyticsAggregatedAlertClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotSecuritySolutionsAnalyticsAggregatedAlertClient {
	return original.NewIotSecuritySolutionsAnalyticsAggregatedAlertClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotSecuritySolutionsAnalyticsRecommendationClient(subscriptionID string, ascLocation string) IotSecuritySolutionsAnalyticsRecommendationClient {
	return original.NewIotSecuritySolutionsAnalyticsRecommendationClient(subscriptionID, ascLocation)
}
func NewIotSecuritySolutionsAnalyticsRecommendationClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotSecuritySolutionsAnalyticsRecommendationClient {
	return original.NewIotSecuritySolutionsAnalyticsRecommendationClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotSensorsClient(subscriptionID string, ascLocation string) IotSensorsClient {
	return original.NewIotSensorsClient(subscriptionID, ascLocation)
}
func NewIotSensorsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotSensorsClient {
	return original.NewIotSensorsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewIotSitesClient(subscriptionID string, ascLocation string) IotSitesClient {
	return original.NewIotSitesClient(subscriptionID, ascLocation)
}
func NewIotSitesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) IotSitesClient {
	return original.NewIotSitesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewJitNetworkAccessPoliciesClient(subscriptionID string, ascLocation string) JitNetworkAccessPoliciesClient {
	return original.NewJitNetworkAccessPoliciesClient(subscriptionID, ascLocation)
}
func NewJitNetworkAccessPoliciesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) JitNetworkAccessPoliciesClient {
	return original.NewJitNetworkAccessPoliciesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewJitNetworkAccessPoliciesListIterator(page JitNetworkAccessPoliciesListPage) JitNetworkAccessPoliciesListIterator {
	return original.NewJitNetworkAccessPoliciesListIterator(page)
}
func NewJitNetworkAccessPoliciesListPage(cur JitNetworkAccessPoliciesList, getNextPage func(context.Context, JitNetworkAccessPoliciesList) (JitNetworkAccessPoliciesList, error)) JitNetworkAccessPoliciesListPage {
	return original.NewJitNetworkAccessPoliciesListPage(cur, getNextPage)
}
func NewLocationsClient(subscriptionID string, ascLocation string) LocationsClient {
	return original.NewLocationsClient(subscriptionID, ascLocation)
}
func NewLocationsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) LocationsClient {
	return original.NewLocationsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewOnPremiseIotSensorsClient(subscriptionID string, ascLocation string) OnPremiseIotSensorsClient {
	return original.NewOnPremiseIotSensorsClient(subscriptionID, ascLocation)
}
func NewOnPremiseIotSensorsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) OnPremiseIotSensorsClient {
	return original.NewOnPremiseIotSensorsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewOperationListIterator(page OperationListPage) OperationListIterator {
	return original.NewOperationListIterator(page)
}
func NewOperationListPage(cur OperationList, getNextPage func(context.Context, OperationList) (OperationList, error)) OperationListPage {
	return original.NewOperationListPage(cur, getNextPage)
}
func NewOperationsClient(subscriptionID string, ascLocation string) OperationsClient {
	return original.NewOperationsClient(subscriptionID, ascLocation)
}
func NewOperationsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) OperationsClient {
	return original.NewOperationsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewPricingsClient(subscriptionID string, ascLocation string) PricingsClient {
	return original.NewPricingsClient(subscriptionID, ascLocation)
}
func NewPricingsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) PricingsClient {
	return original.NewPricingsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewRegulatoryComplianceAssessmentListIterator(page RegulatoryComplianceAssessmentListPage) RegulatoryComplianceAssessmentListIterator {
	return original.NewRegulatoryComplianceAssessmentListIterator(page)
}
func NewRegulatoryComplianceAssessmentListPage(cur RegulatoryComplianceAssessmentList, getNextPage func(context.Context, RegulatoryComplianceAssessmentList) (RegulatoryComplianceAssessmentList, error)) RegulatoryComplianceAssessmentListPage {
	return original.NewRegulatoryComplianceAssessmentListPage(cur, getNextPage)
}
func NewRegulatoryComplianceAssessmentsClient(subscriptionID string, ascLocation string) RegulatoryComplianceAssessmentsClient {
	return original.NewRegulatoryComplianceAssessmentsClient(subscriptionID, ascLocation)
}
func NewRegulatoryComplianceAssessmentsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) RegulatoryComplianceAssessmentsClient {
	return original.NewRegulatoryComplianceAssessmentsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewRegulatoryComplianceControlListIterator(page RegulatoryComplianceControlListPage) RegulatoryComplianceControlListIterator {
	return original.NewRegulatoryComplianceControlListIterator(page)
}
func NewRegulatoryComplianceControlListPage(cur RegulatoryComplianceControlList, getNextPage func(context.Context, RegulatoryComplianceControlList) (RegulatoryComplianceControlList, error)) RegulatoryComplianceControlListPage {
	return original.NewRegulatoryComplianceControlListPage(cur, getNextPage)
}
func NewRegulatoryComplianceControlsClient(subscriptionID string, ascLocation string) RegulatoryComplianceControlsClient {
	return original.NewRegulatoryComplianceControlsClient(subscriptionID, ascLocation)
}
func NewRegulatoryComplianceControlsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) RegulatoryComplianceControlsClient {
	return original.NewRegulatoryComplianceControlsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewRegulatoryComplianceStandardListIterator(page RegulatoryComplianceStandardListPage) RegulatoryComplianceStandardListIterator {
	return original.NewRegulatoryComplianceStandardListIterator(page)
}
func NewRegulatoryComplianceStandardListPage(cur RegulatoryComplianceStandardList, getNextPage func(context.Context, RegulatoryComplianceStandardList) (RegulatoryComplianceStandardList, error)) RegulatoryComplianceStandardListPage {
	return original.NewRegulatoryComplianceStandardListPage(cur, getNextPage)
}
func NewRegulatoryComplianceStandardsClient(subscriptionID string, ascLocation string) RegulatoryComplianceStandardsClient {
	return original.NewRegulatoryComplianceStandardsClient(subscriptionID, ascLocation)
}
func NewRegulatoryComplianceStandardsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) RegulatoryComplianceStandardsClient {
	return original.NewRegulatoryComplianceStandardsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSQLVulnerabilityAssessmentBaselineRulesClient(subscriptionID string, ascLocation string) SQLVulnerabilityAssessmentBaselineRulesClient {
	return original.NewSQLVulnerabilityAssessmentBaselineRulesClient(subscriptionID, ascLocation)
}
func NewSQLVulnerabilityAssessmentBaselineRulesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SQLVulnerabilityAssessmentBaselineRulesClient {
	return original.NewSQLVulnerabilityAssessmentBaselineRulesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSQLVulnerabilityAssessmentScanResultsClient(subscriptionID string, ascLocation string) SQLVulnerabilityAssessmentScanResultsClient {
	return original.NewSQLVulnerabilityAssessmentScanResultsClient(subscriptionID, ascLocation)
}
func NewSQLVulnerabilityAssessmentScanResultsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SQLVulnerabilityAssessmentScanResultsClient {
	return original.NewSQLVulnerabilityAssessmentScanResultsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSQLVulnerabilityAssessmentScansClient(subscriptionID string, ascLocation string) SQLVulnerabilityAssessmentScansClient {
	return original.NewSQLVulnerabilityAssessmentScansClient(subscriptionID, ascLocation)
}
func NewSQLVulnerabilityAssessmentScansClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SQLVulnerabilityAssessmentScansClient {
	return original.NewSQLVulnerabilityAssessmentScansClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSecureScoreControlDefinitionListIterator(page SecureScoreControlDefinitionListPage) SecureScoreControlDefinitionListIterator {
	return original.NewSecureScoreControlDefinitionListIterator(page)
}
func NewSecureScoreControlDefinitionListPage(cur SecureScoreControlDefinitionList, getNextPage func(context.Context, SecureScoreControlDefinitionList) (SecureScoreControlDefinitionList, error)) SecureScoreControlDefinitionListPage {
	return original.NewSecureScoreControlDefinitionListPage(cur, getNextPage)
}
func NewSecureScoreControlDefinitionsClient(subscriptionID string, ascLocation string) SecureScoreControlDefinitionsClient {
	return original.NewSecureScoreControlDefinitionsClient(subscriptionID, ascLocation)
}
func NewSecureScoreControlDefinitionsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SecureScoreControlDefinitionsClient {
	return original.NewSecureScoreControlDefinitionsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSecureScoreControlListIterator(page SecureScoreControlListPage) SecureScoreControlListIterator {
	return original.NewSecureScoreControlListIterator(page)
}
func NewSecureScoreControlListPage(cur SecureScoreControlList, getNextPage func(context.Context, SecureScoreControlList) (SecureScoreControlList, error)) SecureScoreControlListPage {
	return original.NewSecureScoreControlListPage(cur, getNextPage)
}
func NewSecureScoreControlsClient(subscriptionID string, ascLocation string) SecureScoreControlsClient {
	return original.NewSecureScoreControlsClient(subscriptionID, ascLocation)
}
func NewSecureScoreControlsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SecureScoreControlsClient {
	return original.NewSecureScoreControlsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSecureScoresClient(subscriptionID string, ascLocation string) SecureScoresClient {
	return original.NewSecureScoresClient(subscriptionID, ascLocation)
}
func NewSecureScoresClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SecureScoresClient {
	return original.NewSecureScoresClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSecureScoresListIterator(page SecureScoresListPage) SecureScoresListIterator {
	return original.NewSecureScoresListIterator(page)
}
func NewSecureScoresListPage(cur SecureScoresList, getNextPage func(context.Context, SecureScoresList) (SecureScoresList, error)) SecureScoresListPage {
	return original.NewSecureScoresListPage(cur, getNextPage)
}
func NewServerVulnerabilityAssessmentClient(subscriptionID string, ascLocation string) ServerVulnerabilityAssessmentClient {
	return original.NewServerVulnerabilityAssessmentClient(subscriptionID, ascLocation)
}
func NewServerVulnerabilityAssessmentClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) ServerVulnerabilityAssessmentClient {
	return original.NewServerVulnerabilityAssessmentClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSettingsClient(subscriptionID string, ascLocation string) SettingsClient {
	return original.NewSettingsClient(subscriptionID, ascLocation)
}
func NewSettingsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SettingsClient {
	return original.NewSettingsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSettingsListIterator(page SettingsListPage) SettingsListIterator {
	return original.NewSettingsListIterator(page)
}
func NewSettingsListPage(cur SettingsList, getNextPage func(context.Context, SettingsList) (SettingsList, error)) SettingsListPage {
	return original.NewSettingsListPage(cur, getNextPage)
}
func NewSoftwareInventoriesClient(subscriptionID string, ascLocation string) SoftwareInventoriesClient {
	return original.NewSoftwareInventoriesClient(subscriptionID, ascLocation)
}
func NewSoftwareInventoriesClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SoftwareInventoriesClient {
	return original.NewSoftwareInventoriesClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSoftwaresListIterator(page SoftwaresListPage) SoftwaresListIterator {
	return original.NewSoftwaresListIterator(page)
}
func NewSoftwaresListPage(cur SoftwaresList, getNextPage func(context.Context, SoftwaresList) (SoftwaresList, error)) SoftwaresListPage {
	return original.NewSoftwaresListPage(cur, getNextPage)
}
func NewSolutionListIterator(page SolutionListPage) SolutionListIterator {
	return original.NewSolutionListIterator(page)
}
func NewSolutionListPage(cur SolutionList, getNextPage func(context.Context, SolutionList) (SolutionList, error)) SolutionListPage {
	return original.NewSolutionListPage(cur, getNextPage)
}
func NewSolutionsClient(subscriptionID string, ascLocation string) SolutionsClient {
	return original.NewSolutionsClient(subscriptionID, ascLocation)
}
func NewSolutionsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SolutionsClient {
	return original.NewSolutionsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSolutionsReferenceDataClient(subscriptionID string, ascLocation string) SolutionsReferenceDataClient {
	return original.NewSolutionsReferenceDataClient(subscriptionID, ascLocation)
}
func NewSolutionsReferenceDataClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SolutionsReferenceDataClient {
	return original.NewSolutionsReferenceDataClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewSubAssessmentListIterator(page SubAssessmentListPage) SubAssessmentListIterator {
	return original.NewSubAssessmentListIterator(page)
}
func NewSubAssessmentListPage(cur SubAssessmentList, getNextPage func(context.Context, SubAssessmentList) (SubAssessmentList, error)) SubAssessmentListPage {
	return original.NewSubAssessmentListPage(cur, getNextPage)
}
func NewSubAssessmentsClient(subscriptionID string, ascLocation string) SubAssessmentsClient {
	return original.NewSubAssessmentsClient(subscriptionID, ascLocation)
}
func NewSubAssessmentsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) SubAssessmentsClient {
	return original.NewSubAssessmentsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewTaskListIterator(page TaskListPage) TaskListIterator {
	return original.NewTaskListIterator(page)
}
func NewTaskListPage(cur TaskList, getNextPage func(context.Context, TaskList) (TaskList, error)) TaskListPage {
	return original.NewTaskListPage(cur, getNextPage)
}
func NewTasksClient(subscriptionID string, ascLocation string) TasksClient {
	return original.NewTasksClient(subscriptionID, ascLocation)
}
func NewTasksClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) TasksClient {
	return original.NewTasksClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewTopologyClient(subscriptionID string, ascLocation string) TopologyClient {
	return original.NewTopologyClient(subscriptionID, ascLocation)
}
func NewTopologyClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) TopologyClient {
	return original.NewTopologyClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewTopologyListIterator(page TopologyListPage) TopologyListIterator {
	return original.NewTopologyListIterator(page)
}
func NewTopologyListPage(cur TopologyList, getNextPage func(context.Context, TopologyList) (TopologyList, error)) TopologyListPage {
	return original.NewTopologyListPage(cur, getNextPage)
}
func NewWithBaseURI(baseURI string, subscriptionID string, ascLocation string) BaseClient {
	return original.NewWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func NewWorkspaceSettingListIterator(page WorkspaceSettingListPage) WorkspaceSettingListIterator {
	return original.NewWorkspaceSettingListIterator(page)
}
func NewWorkspaceSettingListPage(cur WorkspaceSettingList, getNextPage func(context.Context, WorkspaceSettingList) (WorkspaceSettingList, error)) WorkspaceSettingListPage {
	return original.NewWorkspaceSettingListPage(cur, getNextPage)
}
func NewWorkspaceSettingsClient(subscriptionID string, ascLocation string) WorkspaceSettingsClient {
	return original.NewWorkspaceSettingsClient(subscriptionID, ascLocation)
}
func NewWorkspaceSettingsClientWithBaseURI(baseURI string, subscriptionID string, ascLocation string) WorkspaceSettingsClient {
	return original.NewWorkspaceSettingsClientWithBaseURI(baseURI, subscriptionID, ascLocation)
}
func PossibleAadConnectivityStateValues() []AadConnectivityState {
	return original.PossibleAadConnectivityStateValues()
}
func PossibleActionTypeValues() []ActionType {
	return original.PossibleActionTypeValues()
}
func PossibleActionValues() []Action {
	return original.PossibleActionValues()
}
func PossibleAdditionalWorkspaceDataTypeValues() []AdditionalWorkspaceDataType {
	return original.PossibleAdditionalWorkspaceDataTypeValues()
}
func PossibleAdditionalWorkspaceTypeValues() []AdditionalWorkspaceType {
	return original.PossibleAdditionalWorkspaceTypeValues()
}
func PossibleAlertIntentValues() []AlertIntent {
	return original.PossibleAlertIntentValues()
}
func PossibleAlertNotificationsValues() []AlertNotifications {
	return original.PossibleAlertNotificationsValues()
}
func PossibleAlertSeverityValues() []AlertSeverity {
	return original.PossibleAlertSeverityValues()
}
func PossibleAlertStatusValues() []AlertStatus {
	return original.PossibleAlertStatusValues()
}
func PossibleAlertsToAdminsValues() []AlertsToAdmins {
	return original.PossibleAlertsToAdminsValues()
}
func PossibleAssessedResourceTypeValues() []AssessedResourceType {
	return original.PossibleAssessedResourceTypeValues()
}
func PossibleAssessmentStatusCodeValues() []AssessmentStatusCode {
	return original.PossibleAssessmentStatusCodeValues()
}
func PossibleAssessmentTypeValues() []AssessmentType {
	return original.PossibleAssessmentTypeValues()
}
func PossibleAuthenticationProvisioningStateValues() []AuthenticationProvisioningState {
	return original.PossibleAuthenticationProvisioningStateValues()
}
func PossibleAuthenticationTypeValues() []AuthenticationType {
	return original.PossibleAuthenticationTypeValues()
}
func PossibleAuthorizationStateValues() []AuthorizationState {
	return original.PossibleAuthorizationStateValues()
}
func PossibleAutoProvisionValues() []AutoProvision {
	return original.PossibleAutoProvisionValues()
}
func PossibleBundleTypeValues() []BundleType {
	return original.PossibleBundleTypeValues()
}
func PossibleCategoriesValues() []Categories {
	return original.PossibleCategoriesValues()
}
func PossibleConfigurationStatus1Values() []ConfigurationStatus1 {
	return original.PossibleConfigurationStatus1Values()
}
func PossibleConfigurationStatus2Values() []ConfigurationStatus2 {
	return original.PossibleConfigurationStatus2Values()
}
func PossibleConfigurationStatusValues() []ConfigurationStatus {
	return original.PossibleConfigurationStatusValues()
}
func PossibleConnectionTypeValues() []ConnectionType {
	return original.PossibleConnectionTypeValues()
}
func PossibleControlTypeValues() []ControlType {
	return original.PossibleControlTypeValues()
}
func PossibleCreatedByTypeValues() []CreatedByType {
	return original.PossibleCreatedByTypeValues()
}
func PossibleDataSourceValues() []DataSource {
	return original.PossibleDataSourceValues()
}
func PossibleDeviceCriticalityValues() []DeviceCriticality {
	return original.PossibleDeviceCriticalityValues()
}
func PossibleDeviceStatusValues() []DeviceStatus {
	return original.PossibleDeviceStatusValues()
}
func PossibleDirectionValues() []Direction {
	return original.PossibleDirectionValues()
}
func PossibleEndOfSupportStatusValues() []EndOfSupportStatus {
	return original.PossibleEndOfSupportStatusValues()
}
func PossibleEnforcementModeValues() []EnforcementMode {
	return original.PossibleEnforcementModeValues()
}
func PossibleEnforcementSupportValues() []EnforcementSupport {
	return original.PossibleEnforcementSupportValues()
}
func PossibleEventSourceValues() []EventSource {
	return original.PossibleEventSourceValues()
}
func PossibleExeValues() []Exe {
	return original.PossibleExeValues()
}
func PossibleExecutableValues() []Executable {
	return original.PossibleExecutableValues()
}
func PossibleExpandControlsEnumValues() []ExpandControlsEnum {
	return original.PossibleExpandControlsEnumValues()
}
func PossibleExpandEnumValues() []ExpandEnum {
	return original.PossibleExpandEnumValues()
}
func PossibleExportDataValues() []ExportData {
	return original.PossibleExportDataValues()
}
func PossibleExternalSecuritySolutionKindValues() []ExternalSecuritySolutionKind {
	return original.PossibleExternalSecuritySolutionKindValues()
}
func PossibleFamilyValues() []Family {
	return original.PossibleFamilyValues()
}
func PossibleFileTypeValues() []FileType {
	return original.PossibleFileTypeValues()
}
func PossibleHybridComputeProvisioningStateValues() []HybridComputeProvisioningState {
	return original.PossibleHybridComputeProvisioningStateValues()
}
func PossibleImplementationEffortValues() []ImplementationEffort {
	return original.PossibleImplementationEffortValues()
}
func PossibleIntentValues() []Intent {
	return original.PossibleIntentValues()
}
func PossibleIssueValues() []Issue {
	return original.PossibleIssueValues()
}
func PossibleKindEnum1Values() []KindEnum1 {
	return original.PossibleKindEnum1Values()
}
func PossibleKindEnum2Values() []KindEnum2 {
	return original.PossibleKindEnum2Values()
}
func PossibleKindEnumValues() []KindEnum {
	return original.PossibleKindEnumValues()
}
func PossibleMacSignificanceValues() []MacSignificance {
	return original.PossibleMacSignificanceValues()
}
func PossibleManagementStateValues() []ManagementState {
	return original.PossibleManagementStateValues()
}
func PossibleMsiValues() []Msi {
	return original.PossibleMsiValues()
}
func PossibleOnboardingKindValues() []OnboardingKind {
	return original.PossibleOnboardingKindValues()
}
func PossibleOperatorValues() []Operator {
	return original.PossibleOperatorValues()
}
func PossiblePermissionPropertyValues() []PermissionProperty {
	return original.PossiblePermissionPropertyValues()
}
func PossiblePricingTierValues() []PricingTier {
	return original.PossiblePricingTierValues()
}
func PossibleProgrammingStateValues() []ProgrammingState {
	return original.PossibleProgrammingStateValues()
}
func PossiblePropertyTypeValues() []PropertyType {
	return original.PossiblePropertyTypeValues()
}
func PossibleProtocolValues() []Protocol {
	return original.PossibleProtocolValues()
}
func PossibleProvisioningState1Values() []ProvisioningState1 {
	return original.PossibleProvisioningState1Values()
}
func PossibleProvisioningStateValues() []ProvisioningState {
	return original.PossibleProvisioningStateValues()
}
func PossiblePurdueLevelValues() []PurdueLevel {
	return original.PossiblePurdueLevelValues()
}
func PossibleRankValues() []Rank {
	return original.PossibleRankValues()
}
func PossibleRecommendationAction1Values() []RecommendationAction1 {
	return original.PossibleRecommendationAction1Values()
}
func PossibleRecommendationActionValues() []RecommendationAction {
	return original.PossibleRecommendationActionValues()
}
func PossibleRecommendationConfigStatusValues() []RecommendationConfigStatus {
	return original.PossibleRecommendationConfigStatusValues()
}
func PossibleRecommendationSeverityValues() []RecommendationSeverity {
	return original.PossibleRecommendationSeverityValues()
}
func PossibleRecommendationStatusValues() []RecommendationStatus {
	return original.PossibleRecommendationStatusValues()
}
func PossibleRecommendationTypeValues() []RecommendationType {
	return original.PossibleRecommendationTypeValues()
}
func PossibleRelationToIPStatusValues() []RelationToIPStatus {
	return original.PossibleRelationToIPStatusValues()
}
func PossibleReportedSeverityValues() []ReportedSeverity {
	return original.PossibleReportedSeverityValues()
}
func PossibleResourceStatusValues() []ResourceStatus {
	return original.PossibleResourceStatusValues()
}
func PossibleRuleSeverityValues() []RuleSeverity {
	return original.PossibleRuleSeverityValues()
}
func PossibleRuleStateValues() []RuleState {
	return original.PossibleRuleStateValues()
}
func PossibleRuleStatusValues() []RuleStatus {
	return original.PossibleRuleStatusValues()
}
func PossibleRuleTypeBasicCustomAlertRuleValues() []RuleTypeBasicCustomAlertRule {
	return original.PossibleRuleTypeBasicCustomAlertRuleValues()
}
func PossibleRuleTypeValues() []RuleType {
	return original.PossibleRuleTypeValues()
}
func PossibleScanStateValues() []ScanState {
	return original.PossibleScanStateValues()
}
func PossibleScanTriggerTypeValues() []ScanTriggerType {
	return original.PossibleScanTriggerTypeValues()
}
func PossibleScanningFunctionalityValues() []ScanningFunctionality {
	return original.PossibleScanningFunctionalityValues()
}
func PossibleScriptValues() []Script {
	return original.PossibleScriptValues()
}
func PossibleSensorStatusValues() []SensorStatus {
	return original.PossibleSensorStatusValues()
}
func PossibleSensorTypeValues() []SensorType {
	return original.PossibleSensorTypeValues()
}
func PossibleSeverityValues() []Severity {
	return original.PossibleSeverityValues()
}
func PossibleSolutionStatusValues() []SolutionStatus {
	return original.PossibleSolutionStatusValues()
}
func PossibleSourceSystemValues() []SourceSystem {
	return original.PossibleSourceSystemValues()
}
func PossibleSourceValues() []Source {
	return original.PossibleSourceValues()
}
func PossibleStateValues() []State {
	return original.PossibleStateValues()
}
func PossibleStatusReasonValues() []StatusReason {
	return original.PossibleStatusReasonValues()
}
func PossibleStatusValues() []Status {
	return original.PossibleStatusValues()
}
func PossibleSubAssessmentStatusCodeValues() []SubAssessmentStatusCode {
	return original.PossibleSubAssessmentStatusCodeValues()
}
func PossibleThreatsValues() []Threats {
	return original.PossibleThreatsValues()
}
func PossibleTiStatusValues() []TiStatus {
	return original.PossibleTiStatusValues()
}
func PossibleTransportProtocolValues() []TransportProtocol {
	return original.PossibleTransportProtocolValues()
}
func PossibleTypeBasicResourceIdentifierValues() []TypeBasicResourceIdentifier {
	return original.PossibleTypeBasicResourceIdentifierValues()
}
func PossibleTypeValues() []Type {
	return original.PossibleTypeValues()
}
func PossibleUnmaskedIPLoggingStatusValues() []UnmaskedIPLoggingStatus {
	return original.PossibleUnmaskedIPLoggingStatusValues()
}
func PossibleUserImpactValues() []UserImpact {
	return original.PossibleUserImpactValues()
}
func PossibleValueTypeValues() []ValueType {
	return original.PossibleValueTypeValues()
}
func PossibleVersionKindValues() []VersionKind {
	return original.PossibleVersionKindValues()
}
func UserAgent() string {
	return original.UserAgent() + " profiles/preview"
}
func Version() string {
	return original.Version()
}
